2003-05-14 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.2 is released.

2003-05-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-delete-incoming): Changed to t. 

	* rfc2047.el (rfc2047-syntax-table): Funcall.

	* lpath.el ((featurep 'xemacs)): Added set-char-table-range. 
	((featurep 'xemacs)): No, don't.

	* rfc2047.el (rfc2047-encodable-p): Use the header charset. 

	* gnus-sum.el (gnus-summary-reselect-current-group): Supply
	leave-hidden. 

2003-05-14  Jonathan Kamens  <jik@kamens.brookline.ma.us>

	* gnus-sum.el (gnus-summary-exit): Added `leave-hidden'.  (Tiny
	patch.) 

2003-05-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el (gnus-registry-store-extra-entry): Use
	gnus-assq-delete-all. 

	* gnus-xmas.el (gnus-xmas-assq-delete-all): New function.

	* message.el (message-ignored-bounced-headers): Add Delivered-To. 

	* gnus-sum.el (gnus-summary-find-next): Indent.
	(gnus-summary-find-prev): Ditto.
	(gnus-summary-catchup): Doc fix.
	(gnus-summary-mark-current-read-and-unread-as-read): New function.
	(gnus-summary-catchup): Really mark after point.

	* gnus-util.el (gnus-user-date): Use %d instead of %m.
	(gnus-user-date): Use floating point time so that we don't get
	overflows. 

	* gnus-sum.el (gnus-summary-local-variables): Clean up.

	* gnus-fun.el (gnus-display-x-face-in-from): Don't use centering
	since none of the other image things do.

2003-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (assq-delete-all): New compiler macro for Emacs 20.

2003-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Fbind find-coding-system.

	* dgnushack.el (dgnushack-make-load): Remove redundant format call
	in message.  Suggested by Yoichi NAKAYAMA <yoichi@geiin.org>.
	* pop3.el (pop3-movemail): Ditto.

2003-05-12  Colin Marquardt <c.marquardt@alcatel.de>  (tiny change)

	* gnus.el (gnus-agent): Docstring fix.

2003-05-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install): new variable
	(gnus-registry-fetch-extra, gnus-registry-fetch-extra-entry) 
	(gnus-registry-store-extra-entry, gnus-registry-delete-group) 
	(gnus-registry-add-group): add a modification timestamp to each entry
	(gnus-registry-install-hooks): new function

2003-05-12  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-cat-name): Eval macro while compiling.
	(gnus-agent-cat-disable-undownloaded-faces): New function.
	Accessor for new agent property
	'agent-disable-undownloaded-faces'.
	gnus-cus.el (gnus-agent-parameters): Added
	agent-disable-undownloaded-faces and corrected documentation.
	(gnus-agent-cat-prepare-category-field,
	gnus-agent-customize-category): Changed to avoid creating free
	references to each field's symbol.
	gnus-sum.el (gnus-summary-use-undownloaded-faces): New local variable.
	(gnus-select-newgroup): Initialize it.
	(gnus-summary-highlight-line): Use it.	

2003-05-12  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-point-at-bol, rfc2047-point-at-bol): Eval
	and compile.
	(rfc2047-syntax-table): Fix building table to work in Emacs 22.
	(rfc2047-unfold-region): Delete unused var `leading'.

2003-05-12  Simon Josefsson  <jas@extundo.com>

	* pgg.el (pgg-temp-buffer-show-function): Reuse existing visible
	output window if one is available.  Tiny patch from Ville Skytt,Ad
	<scop@xemacs.org>.

2003-05-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs): Added
	space. 

2003-05-11  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-enter-digest-group): Don't do article
	washing etc.
	(gnus-handle-ephemeral-exit): Don't reload article after exiting.

	* nndoc.el (nndoc-type-alist): `mime-digest' should be before
	`mime-parts'.

2003-05-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-cite.el (gnus-article-hide-citation-maybe): Make toggling
	work.  Update mode-line.

2003-05-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-logo-color-alist): Added no colours.

2003-05-09  Dave Love  <fx@gnu.org>

	* utf7.el (mm-util): Require.
	(utf7-direct-encoding-chars, utf7-imap-direct-encoding-chars):
	Defconst, not defvar.
	(utf7-utf-16-coding-system): New.
	(utf7-encode-internal): Hoist concat out of loop.
	(utf7-fragment-encode): Use mm-with-unibyte-current-buffer.
	(utf7-get-u16char-converter) [utf7-utf-16-coding-system]: New
	case.
	(utf7-latin1-u16-char-converter): Encode the region.
	(utf7-u16-latin1-char-converter): Decode the region.
	(utf7-encode, utf7-decode): Fix multibyteness.

	* mm-bodies.el (mm-body-7-or-8): Don't special-case mule.
	(mm-encode-body): Use mm-read-coding-system, not mm-read-charset.
	(mm-uu-yenc-decode-function): Defvar when compiling.
	(mm-encode-body, mm-decode-body): Doc fix.

2003-05-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unregistered-group-regex):
	removed in favor of the group/topic/global variables
	(gnus-registry-register-message-ids): fixed test to omit
	gnus-registry-unregistered-group-regex

	* gnus.el (gnus-variable-list): removed gnus-registry-alist and
	gnus-registry-headers-alist from the list
	(gnus-registry-headers-alist): removed
	(registry-ignore): new parameter, with accompanying
	gnus-registry-ignored-groups global variable

	* gnus-start.el (gnus-clear-system): no need to clear the
	registry, we can do it ourselves
	(gnus-gnus-to-quick-newsrc-format): extra parameters so it can be
	used by gnus-registry.el

	* gnus-registry.el (gnus-registry-cache-file): new file variable
	(gnus-registry-cache-read, gnus-registry-cache-save): new
	functions
	(gnus-registry-cache-whitespace): new function.  From Dan
	Christensen <jdc@chow.mat.jhu.edu>
	(gnus-registry-save, gnus-registry-read): use the new
	gnus-registry-cache-{read|save} functions, and change the name
	from gnus-registry-translate-{from|to}-alist
	(gnus-registry-clear): fixed so it doesn't refer to old function name

2003-05-09  Jesper Harder  <harder@ifa.au.dk>

	* gnus-picon.el (gnus-picon-transform-address): Parse the encoded
	address.

2003-05-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-start.el (gnus-clear-system): added gnus-registry-alist to
	the list of cleared variables

	* gnus-registry.el (gnus-registry-split-fancy-with-parent):
	nnmail-split-fancy-with-parent-ignore-groups can be a single regex
	in addition to a list of regexes.

	* spam.el (spam-use-regex-headers): docstring fix.  From Niklas
	Morberg <niklas.morberg@axis.com>

2003-05-08  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-sum.el (gnus-summary-next-page): Mention
	`gnus-article-skip-boring' in docstring.

2003-05-08  Jesper Harder  <harder@ifa.au.dk>

	* rfc2231.el (rfc2231-parse-string): "=" should have whitespace
	syntax here.

	* ietf-drums.el (ietf-drums-syntax-table): "=" should not have
	whitespace syntax class when parsing email addresses.

	* message.el (message-forward-subject-name-subject): Don't use
	mail-decode-encoded-word-string before parsing from.

2003-05-07  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* message.el (message-setup-1): Setup alternative email before
	generate-headers.
	
	(message-forward-subject-name-subject): Fix the case when the
	field "from" doesn't exist.

2003-05-07  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-encode-region): Skip \n as whitespace.

	* mm-util.el (mm-find-mime-charset-region): Expurgate utf-16 from
	possible values.

2003-05-07  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-kill-to-signature): Fix.

2003-05-06  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-auto-goto-ignores): Docstring fix.

	* gnus-art.el (gnus-mime-display-multipart-as-mixed)
	(gnus-mime-display-multipart-related-as-mixed)
	(gnus-button-mid-or-mail-heuristic-alist): do.

2003-05-05  Dave Love  <fx@gnu.org>

	* mm-util.el (mm-default-multibyte-p): New.
	(mm-coding-system-p): Maybe use find-coding-systems.

2003-05-04  Dave Love  <fx@gnu.org>

	* rfc2047.el (with-syntax-table): Define if necessary.
	(rfc2047-syntax-table): Fix last change for XEmacs.
	(rfc2047-parse-and-decode): Revert last change.

2003-05-03  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el: Don't test for `mm-guess-mime-charset'.

	* mm-util.el (mm-guess-mime-charset): Remove.  Not used any more.

	* gnus.el (gnus-default-charset): Set default value to
	`undecided'.

	* gnus-art.el (article-decode-charset): Don't supply 4th arg to
	mm-decode-body.

	* mm-bodies.el (mm-decode-coding-region-safely): Remove.
	(mm-decode-body): Don't use mm-decode-coding-region-safely.

2003-05-03  Vasily Korytov <deskpot@despammed.com>  (tiny change)

	* gnus-util.el (gnus-multiple-choice): Add ", ?".

2003-05-03  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-syntax-table): Don't call make-char-table
	with 2 args.
	(rfc2047-decode-string): Don't set the buffer multibyte before
	calling buffer-string.

	* mm-encode.el (mm-long-lines-p): Autoload.
	(mm-encode-content-transfer-encoding): Doc fix.  Don't make buffer
	unibyte.  Signal error on unknown encoding.
	(mm-encode-buffer, mm-qp-or-base64): Doc fix.

	* rfc2047.el (rfc2047-point-at-bol, rfc2047-point-at-eol): New.
	Callers of gnus- versions changed to use them.
	(rfc2047-header-encoding-alist): Add `address-mime' part.  Doc
	fixes.
	(rfc2047-encoding-type): New.
	(rfc2047-encode-message-header): Use mm-charset-to-coding-system.
	Don't include header name field in encoding.  Add `address-mime'
	case and bind rfc2047-encoding-type for `mime' case.
	(rfc2047-encodable-p): Deleted.
	(rfc2047-syntax-table): New.
	(rfc2047-encode-region, rfc2047-encode): Rewritten to take account
	of rfc2047 rules with respect to rfc2822 tokens and to do encoding
	in place rather than by passing strings.
	(rfc2047-encode-string): Doc fix.
	(rfc2047-q-encode-region): Don't use
	mm-with-unibyte-current-buffer.
	(rfc2047-encoded-word-regexp): eval-and-compile.
	(rfc2047-decode-region): Avoid concatenation in loop.
	(rfc2047-parse-and-decode): Remove useless disjunction.

2003-05-02  Dave Love  <fx@gnu.org>

	* rfc2047.el (rfc2047-q-encode-region, rfc2047-decode): Use
	mm-with-unibyte-current-buffer.
	(ietf-drums, gnus-util): don't require.

	* sieve.el (sieve-manage-mode-menu): Define before use.

	* mml-smime.el (message-narrow-to-headers): Autoload.

	* mm-util.el (mm-coding-system-p): Don't override nil from
	coding-system-p.
	(mm-mule4-p, mm-disable-multibyte-mule4)
	(mm-with-unibyte-current-buffer-mule4): Deleted.
	(mm-multibyte-p): Use defun, not defalias.
	(mm-make-temp-file): Moved to group at top of file.
	(mm-point-at-eol, mm-point-at-bol): New.

	* gnus-cite.el (gnus-art): Require.

	* gnus-ems.el (gnus-get-buffer-create)
	(nnheader-find-etc-directory, message-text-with-property):
	Autoload.
	(gnus-tmp-unread, gnus-tmp-replied, gnus-tmp-score-char)
	(gnus-tmp-indentation, gnus-tmp-opening-bracket, gnus-tmp-lines)
	(gnus-tmp-name, gnus-tmp-closing-bracket, gnus-tmp-subject-or-nil)
	(gnus-check-before-posting): Only defvar when compiling.

	* gnus-int.el (gnus-agent-expire): Autoload, don't defun.

	* gnus-util.el (rmail-default-rmail-file, mm-text-coding-system):
	Defvar when compiling.
	(gnus-output-to-rmail): Require mm-util.

	* mail-source.el (mail-source-callback): Use mm-make-temp-file.
	(mail-source-make-complex-temp-name): Deleted.

	* message.el (message-use-idna): Use mm-coding-system-p.
	(message-tokenize-header, message-make-organization)
	(message-make-from):  Use with-temp-buffer.
	(message-set-work-buffer): Deleted.
	(message-fill-paragraph): Use `if' not `and' for compiler warning.
	(message-check-news-header-syntax): Remove useless lambda.
	(message-forward-make-body): Use mm-disable-multibyte,
	mm-with-unibyte-current-buffer, mm-enable-multibyte.
	(message-replace-chars-in-string): Deleted.

	* mm-extern.el (mm-extern-local-file): Use mm-disable-multibyte.
	(mm-extern-url): Use mm-with-unibyte-current-buffer,
	mm-disable-multibyte.
	(mm-extern-anon-ftp): Use mm-disable-multibyte.

	* mml1991.el (mml1991-mailcrypt-encrypt, mml1991-gpg-encrypt): Use
	mm-with-unibyte-current-buffer.

	* mml2015.el (mml): Require.
	(mml2015-mailcrypt-encrypt, mml2015-gpg-encrypt): Use
	mm-with-unibyte-current-buffer.

	* nnheader.el (gnus-util): Require.

	* nntp.el (format-spec, format-spec-make, open-tls-stream):
	Autoload.

	* rfc2231.el (mail-header-remove-comments, mm-encode-body)
	(mail-header-remove-whitespace): Autoload.

	* sieve-manage.el (starttls-negotiate): Autoload.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnrss.el (nnrss-find-rss-via-syndic8): Indent.

2003-05-01  Mark A. Hershberger  <mah@everybody.org>

	* nnrss.el (nnrss-find-rss-via-syndic8): Don't error out.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-05-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam-report.el (spam-report-gmane-regex): docstring fix.  From
	Jon Ericson <Jon.Ericson@jpl.nasa.gov> (tiny change)

	* gnus.el (gnus-install-group-spam-parameters): docstring fix.
	From Jon Ericson <Jon.Ericson@jpl.nasa.gov> (tiny change)

	* gnus-registry.el (gnus-registry-fetch-extra) 
	(gnus-registry-store-extra, gnus-registry-group-count): new functions
	(gnus-registry-fetch-group, gnus-registry-delete-group) 
	(gnus-registry-add-group): changed to work with extra data element
	if present

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Gnus v5.10.1 is released.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.24 is released.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dgnushack.el (when): Check whether defadvice is fbound.

2003-05-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unregistered-group-regex): new variable
	(gnus-registry-register-message-ids): use it

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

	* gnus.el: Update copyright for several files.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.23 is released.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam-stat.el (spam-stat-test-directory): Compare against zero. 

2003-05-01  Trey Jackson <tjackson@ichips.intel.com>  (tiny change)

	* spam-stat.el (spam-stat-test-directory): Skip 0 length files.
	
2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-forward-subject-name-subject): Decode
	string when forwarding.

2003-05-01  Oystein Viggen  <oysteivi@tihlde.org>

	* dgnushack.el (when): Add defadvice.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.22 is released.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.21 is released.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-05-01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.20 is released.

2003-05-01  Vasily Korytov  <deskpot@despammed.com>

	* gnus-dired.el (gnus-dired-mode-map): Move to C-c C-l.

2003-04-30  Mark A. Hershberger  <mah@everybody.org>

	* mm-url.el (mm-url-insert-file-contents): set url-current-object
	in the case where mm-url-use-external is set.

	* nnrss.el (nnrss-request-article): Change the messages created to
	multipart/alternative.  Hopefully fixes a problem interaction with
	w3m.
	(nnrss-find-rss-via-syndic8): Better handling if xml-rpc.el isn't
	around.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-news-header-syntax): Alter "posting"
	message. 

	* nnrss.el (nnrss-node-text): Don't use char classes.

2003-05-01  David Z. Maze  <dmaze@mit.edu>

	* nnrss.el (nnrss-find-rss-via-syndic8): Have an `error' branch
	in condition-case.

2003-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-required-headers): Remove In-Reply-To.

	* gnus-int.el (gnus-open-server): Revert changes.

2003-04-30  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-int.el (gnus-open-server): Try to open unagentized servers
	even when unplugged.

2003-04-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-prefer-mid-or-mail): Fixed typo in
	doc-string.

2003-05-01  Steve Youngs  <youngs@xemacs.org>

	* lpath.el: Add a section for non-Mule XEmacsen.
	fbind `find-charset-string' and `coding-system-base' in that
	section.

	* gnus-util.el (gnus-completing-read-maybe-default): New.
	(gnus-completing-read): Use it.

	* mm-view.el (mm-view-pkcs7-decrypt): Ditto.

	* gnus-art.el (gnus-read-string): New.
	(gnus-summary-pipe-to-muttprint): Use it.

	* gnus-xmas.el (gnus-xmas-open-network-stream): New.

	* dns.el (dns-make-network-process): Use it.

	Take care of some differences between XEmacs 21.1 and newer
	versions of XEmacs.

2003-04-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent): added
	diagnostic message
	(gnus-registry-grep-in-list): don't run when word is nil
	(gnus-registry-fetch-message-id-fast): new function
	(gnus-registry-delete-group, gnus-registry-add-group): make sure
	the id and group are not nil
	(gnus-registry-register-message-ids): new function
	(gnus-register-action): optimized logical flow
	(gnus-summary-prepare-hook): added gnus-registry-register-message-ids

2003-04-30  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-delay.el (gnus-delay-article): Call
	`gnus-agent-queue-setup' to create the delay group.

	* gnus-agent.el (gnus-agent-queue-setup): Support optional arg
	for the (queue) group name.

2003-04-30  Simon Josefsson  <jas@extundo.com>

	* mm-util.el (mm-charset-to-coding-system): Use user specified
	charset unless coding-system-get is fboundp.

2003-04-30  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-cat-defaccessor, gnus-agent-cat-name):
	Wrapped in eval-when-compile.
	(gnus-agent-mode): Bind gnus-agent-go-online to nil as you
	shouldn't be asked twice to go online with each server.
	(gnus-agent-get-undownloaded-list, gnus-agent-fetch-articles,
	gnus-agent-crosspost, gnus-agent-flush-cache,
	gnus-agent-fetch-session, gnus-agent-unread-articles,
	gnus-agent-uncached-articles, gnus-agent-regenerate-group,
	gnus-agent-group-covered-p): Expanded pop macros used for
	effect. Avoids compilation warning in emacs 21.3.

	* gnus-int.el (gnus-open-server): Restructured to only open
	nnagent when gnus-plugged is nil.

2003-04-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Fbind string-to-multibyte.

2003-04-30  Steve Youngs  <youngs@xemacs.org>

	* dgnushack.el: Add some missing autoloads for XEmacs 21.1.

2003-04-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-fetch-group): faster
	(gnus-registry-delete-group): new function
	(gnus-registry-add-group): new function
	(gnus-register-spool-action): use it
	(gnus-register-action): use it
	(gnus-registry-translate-from-alist) 
	(gnus-registry-translate-to-alist): remove the headers registry
	for now

2003-04-29  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-alist): Fixed CTAN regexp.

2003-04-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam-report.el (spam-report-gmane): gnus-summary-article-number
	is not necessary, just use the function parameter

2003-04-29  Karl Pflysterer  <sigurd@12move.de>

	* spam-stat.el (spam-stat-save): No longer font-locks the file
	when saving

2003-04-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el: Bind mail-header-separator when compiling (XEmacs
	provides it in mail-lib/auto-autoloads.el).

2003-04-29  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-pgg-sign): Use mml-sender instead of
	message-sender.

	* mml.el (mml-generate-mime-1): Set mml-sender too.

2003-04-29  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-display-while-building): Docstring fix.

	* mm-url.el (mm-url-use-external): do.

2003-04-29  Simon Josefsson  <jas@extundo.com>

	* canlock.el (mail-fetch-field): Autoload it (fix xemacs compile
	warnings).

	* sieve-mode.el (c-mode): Ditto.

	* pgg.el (run-at-time): Ditto.

	* mm-url.el (require): Require timer when compiling for
	with-timeout macro (fix xemacs compile warnings).

2003-04-28  Dave Love  <fx@gnu.org>

	* gnus-util.el (nnheader): Don't require.
	(Nnheader-narrow-to-headers, nnheader-replace-chars-in-string):
	Autoload.

	* spam.el: Require cl when compiling.

	* dns.el: Require cl when compiling.

2003-04-28  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-goto-next-page)
	(gnus-article-goto-prev-page): Revert 2003-02-12 change to make
	gnus-pick-mode work.

2003-04-28  Steve Youngs  <youngs@xemacs.org>

	* Makefile.in (FLAGS): Use @FLAGS@.

2003-04-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-mime-display-multipart-as-mixed) 
	(gnus-mime-display-multipart-alternative-as-mixed) 
	(gnus-mime-display-multipart-related-as-mixed): Added doc-strings,
	allow customization.

2003-04-27  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* dgnushack.el (dgnushack-compile-verbosely): New function.  Not
	currently called (See source for explanation).

2003-04-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-catchup): Don't mark ticked messages. 
	(gnus-summary-mark-read-and-unread-as-read): Take an optional
	mark.

	* gnus.el (gnus-version-number): Bump.

2003-04-27 06:47:31 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.19 is released.

2003-04-27  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-registry.el (gnus-register-spool-action): Replaced literal
	carriage-return character with its escape sequence.

2003-04-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-catchup-from-here): Doc fix.

	* nnrss.el (nnrss-node-text): Use only one
	gnus-replace-in-string. 

	* gnus.el: Remove gnus-functionp throughout.

	* gnus-util.el (gnus-functionp): Removed.

	* gnus-msg.el (gnus-summary-wide-reply-with-original): Doc fix. 

	* message.el (message-required-headers): Add In-Reply-To.

2003-04-27  Marshall T. Vandegrift  <vandem2@rpi.edu>

	* gnus-fun.el (gnus-face-from-file): Bind coding-system-for-read
	to binary.

2003-04-27  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-preview): do.

	* message.el (message-mode): do.

	* gnus-undo.el (gnus-undo-mode): do.

	* gnus-topic.el (gnus-topic-mode): do.

	* gnus-sum.el (gnus-summary-mode, gnus-summary-edit-article): do.

	* gnus-msg.el (gnus-setup-message)
	(gnus-inews-add-send-actions, gnus-configure-posting-styles): do.

	* gnus-gl.el (gnus-grouplens-mode): do.

	* gnus-art.el (gnus-mime-save-part-and-strip)
	(gnus-mime-delete-part): Use it.

	* gnus-util.el (gnus-make-local-hook): New function.

2003-04-25  Simon Josefsson  <jas@extundo.com>

	* nnrss.el (nnrss-node-text): Don't use a star.
	(nnrss-node-text): Use g-r-i-s, not g-r-r-i-s which doesn't exist.

2003-04-24  Dave Love  <fx@gnu.org>

	* mm-encode.el (mm-long-lines-p): Autoload.
	(mm-encode-content-transfer-encoding): Don't try to make buffer
	unibyte before decoding.  Don't ignore errors for base64 encoding.

	* qp.el (quoted-printable-decode-region): Use mm-insert-byte.
	Signal error on malformed text, as for base64.
	(quoted-printable-encode-region): DTRT in Emacs 22.

	* mm-util.el (mm-make-temp-file, mm-insert-byte): New.
	(mm-auto-save-coding-system): Consider utf-8-emacs.
	(mm-mime-mule-charset-alist, mm-mule-charset-to-mime-charset)
	(mm-charset-to-coding-system, mm-mime-charset)
	(mm-find-mime-charset-region): Check for :mime-charset coding
	systems property.

	* mml-sec.el (mml2015, mml1991): Don't require.
	(mml2015-sign, mml2015-encrypt, mml1991-sign, mml1991-encrypt) 
	(message-goto-body, mml-insert-tag): Autoload.

	* mm-decode.el (mm-tmp-directory): Re-write to help avoid warnings.

	* gnus-start.el (message-make-date): Autoload rather than
	requiring message.

	* gnus-group.el (gnus-group-name-charset-group-alist): Use
	mm-coding-system-p.
	(gnus-cache-active-altered): Defvar when compiling.
	(gnus-group-delete-group): Re-write to help avoid warnings.

	* gnus-art.el (gnus-use-idna): Use mm-coding-system-p.

	* pgg.el: Split eval-when-compile forms.

2003-04-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-group.el (gnus-large-ephemeral-newsgroup) 
	(gnus-fetch-old-ephemeral-headers): News variables.
	(gnus-group-read-ephemeral-group): Use them.

2003-04-24  Simon Josefsson  <jas@extundo.com>

	* sieve.el (sieve-upload): Don't use replace-regexp-in-string.

	* nnrss.el (nnrss-node-text): Ditto.

2003-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-do-gcc): Make sure the obsolete variable
	gnus-inews-mark-gcc-as-read exists.

2003-04-23  Simon Josefsson  <jas@extundo.com>

	* gnus-sieve.el (gnus-sieve-generate): Rewrite regexp search so it
	doesn't exceed the regexp stack space.

2003-04-23  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-inews-mark-gcc-as-read): Don't defvar it.

	* gnus-art.el (gnus-article-hide-pgp-hook): do.

2003-04-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* mml.el (mml-preview): Bind `=', RET, and mouse-2.

2003-04-23  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-body): Don't override supplied charset.

2003-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (merge, copy-list): Remove compiler macros.
	(butlast): Add a compiler macro.

2003-04-22  Paul Jarc  <prj@po.cwru.edu>

	* gnus-util.el (gnus-merge): Added "type" argument to match CL
	merge and gnus-sum.el's expectations.

2003-04-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-url-regexp): Added nntp.

	* message.el (message-generate-headers-first): Default to
	'(references).

	* gnus-art.el (gnus-mime-delete-part): Require confirmation.

2003-04-21  Jesper Harder  <harder@ifa.au.dk>

	* smime.el (smime-decrypt-region): Insert From header.

2003-04-21  Kai Gro,A_johann  <kai.grossjohann@gmx.net>

	* gnus-fun.el (gnus-face-from-file, gnus-convert-png-to-face):
	Max length of header is 726, not 740.  From Gaute B Strokkenes
	<gs234@cam.ac.uk>.

2003-04-20  Jesper Harder  <harder@ifa.au.dk>

	* nndb.el, mml1991.el: Fix license template.

2003-04-20  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-articles): Don't download body unless
	required.

	* imap.el (imap-gssapi-open, imap-ssl-open): Erase buffer before
	starting process, like imap-kerberos4-open does.

	* mml-smime.el, rfc1843.el, dig.el, smime.el, uudecode.el: Fix
	license template.

	* mml-sec.el: Fix license template.

	* gnus-sieve.el, sieve.el, sieve-manage.el, sieve-mode.el: Fix
	license template.

	* pgg-def.el, pgg.el, pgg-gpg.el, pgg-parse.el, pgg-pgp5.el,
	pgg-pgp.el: Fix license template.

2003-04-19  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-delete-article): Improve docstring.

2003-04-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-move-spam-nonspam-groups-only): dumb typo fix

2003-04-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-split): allow a particular check as a parameter,
	e.g. (: spam-split 'spam-use-bogofilter)
	(spam-mark-only-unseen-as-spam): new parameter, see doc
	(spam-mark-junk-as-spam-routine): use
	spam-mark-only-unseen-as-spam, simplify routine to take advantage
	of gnus-newsgroup-unread as well as gnus-newsgroup-unseen

2003-04-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (gnus-group-short-name, gnus-group-prefixed-p): new functions
	(gnus-group-guess-full-name): don't prefix the group twice

	* nnmail.el (nnmail-split-fancy-with-parent): docstring fix

	* gnus-registry.el (gnus-registry-clear)
	(gnus-registry-fetch-group, gnus-registry-grep-in-list)
	(gnus-registry-split-fancy-with-parent): new functions
	(gnus-register-spool-action, gnus-register-action): simplified the format
	(gnus-registry): new customization group
	(gnus-registry-unfollowed-groups): new variable

2003-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-button-alist): Add nntp: urls.
	(gnus-header-button-alist): Ditto.

2003-04-17  Dave Love  <fx@gnu.org>

	* gnus-util.el (gnus-string-equal): Revert last change.

2003-04-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-browse-make-menu-bar): Fix typo.

2003-04-17  Mike Woolley  <mike@ariel.co.uk>

	* gnus-sum.el (gnus-sum-thread-tree-false-root): New variable.

2003-04-15  Michael Shields  <shields@msrl.com>

	* gnus-art.el (article-hide-boring-headers): Hide Reply-To: if
	the broken-reply-to group parameter is set.  Idea from Vasily
	Korytov <deskpot@myrealbox.com>.

2003-04-17  Steve Youngs  <youngs@xemacs.org>

	* dgnushack.el: 'setenv' is in env.el for XEmacsen <= 21.4, but in
	process.el in XEmacsen >= 21.5.

2003-04-17  Steve Youngs  <youngs@xemacs.org>

	* dgnushack.el: Add a whole swag of autoloads and defaliases to
	satisfy the byte-compiler when building with XEmacs.

	* lpath.el (maybe-bind): Add 'w3-meta-content-type-charset-regexp'
	and 'w3-meta-charset-content-type-regexp' in XEmacs.  The upstream
	W3 doesn't have these.

	* mailcap.el: Maybe require 'lpr in XEmacs.

2003-04-16  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-pgg-sign): Bind pgg-default-user-id to MML
	sender tag, if available.

2003-04-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-register-action)
	(gnus-register-spool-action, hashtable-to-alist)
	(gnus-registry-translate-from-alist, alist-to-hashtable)
	(gnus-registry-translate-to-alist, gnus-registry-headers-hashtb):
	new variables and function fixes

	* gnus.el (gnus-registry-headers-alist): new variable to hold
	article header data
	(gnus-variable-list): save gnus-registry-headers-alist

	* spam-report.el (Module): new module for spam reporting

	* gnus.el (spam-process): added
	gnus-group-spam-exit-processor-report-gmane to the list of choices
	(gnus-install-group-spam-parameters): defined new spam exit processor

	* spam.el (autoload): autoload spam-report-gmane when needed
	(spam-report-gmane-register-routine): glue for spam-report.el
	(spam-group-spam-processor-report-gmane-p): glue for the
	gnus-group-spam-exit-processor-report-gmane spam processor
	(spam-summary-prepare-exit): check the report-gmane spam processor
	and run spam-report-gmane-register-routine if it's active

	From John Wiegley <johnw@gnu.org>

	* spam.el (spam-bogofilter-score): check bogofilter headers before
	checking bogofilter itself

2003-04-16  Dave Love  <fx@gnu.org>

	* gnus-agent.el: Wrap defsetf in eval-when-compile.
	(gnus-agent-cat-defaccessor): Don't use gensym.

	* mml1991.el: Require cl, mm-util when compiling.
	(quoted-printable-decode-region, quoted-printable-encode-region):
	Autoload.

	* pgg.el: Require cl when compiling.

	* nnmail.el (gnus): Require.

	* gnus-util.el: Move provide to end.
	(gnus-string-equal): Maybe use compare-strings.
	(gnus-merge): New.

	* gnus-sum.el (gnus-summary-prepare-threads): Don't use copy-list.
	(gnus-summary-insert-articles): Use gnus-merge.

	* gnus-fun.el: Require cl and mm-util when compiling.

	* gnus-diary.el (gnus-diary-delay-format-french)
	(gnus-diary-delay-format-english): Don't use setf with nthcdr.

	* nndiary.el (nndiary-compute-reminders): Don't use setf with
	nthcdr.

2003-04-16  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-make-cat): Added optional parameter to
	specify a predicate other than false.
	(gnus-category-read): Use the new feature to create a 'default'
	category with a 'short' predicate.

2003-04-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-unique-id): Comment change.

	* gnus-art.el (gnus-article-next-page-1): New function.
	(gnus-article-next-page): Use it.

2003-04-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-split): added save-restriction to save-excursion

2003-04-15  Reiner Steib  <Reiner.Steib@gmx.de>
	From Julien Avarre <julien@avarre.com>

	* gnus-fun.el: Fixed autoload cookie.

2003-04-15  Paul Jarc  <prj@po.cwru.edu>
	From Remi Letot  <remi.letot@easynet.be>

	* nnmaildir.el (nnmaildir-request-scan): Use gnus-remove-if
	instead of remove-if.

2003-04-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-news-other-window): Use delq and
	copy-sequence instead of remove which is a cl run-time function in
	Emacs 20.

2003-04-14  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-summary-news-other-window): Make a buffer
	local copy of gnus-discouraged-post-methods with the current
	method removed.

2003-04-14  Simon Josefsson  <jas@extundo.com>

	* mailcap.el (mailcap-mime-data): Add application/pgp-keys.

2003-04-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* mm-util.el (mm-sort-coding-systems-predicate): Convert elements
	of `mm-coding-system-priorities' to base coding system.

	* gnus-sum.el: Added coding cookie ("middle dot" in
	gnus-summary-morse-message).

2003-04-13  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (article-fill-long-lines)
	(article-verify-x-pgp-sig, article-decode-group-name)
	(gnus-mime-button-menu): Split >80 character lines.

2003-04-13  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-local-variables): Use defvar since
	we're let-binding it.

	* nnmbox.el (nnmbox-mbox-buffer): It's not a constant.

2003-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-hide-headers): Don't do intangible.

	* gnus.el (gnus-group-prefixed-name): Comment out the test for
	colon. 

	* gnus-srvr.el (gnus-browse-read-group): Don't give the real name
	to the ephemeral entry, but the prefixed name.

	* gnus.el (gnus-group-prefixed-name): Clean up.

2003-04-13  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-group-pathname): Bind
	gnus-command-method so that gnus-agent-directory will always
	return a valid directory.
	* gnus-cache.el (gnus-cache-enter-article): Remove article from
	gnus-newsgroup-undownloaded so that the summary will display the
	article as downloaded.
	(gnus-cache-remove-article): If the article isn't in the agent,
	remove it from gnus-newsgroup-undownloaded so that the summary
	will display the article as undownloaded.

2003-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-04-13 01:12:01 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.18 is released.

2003-04-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-draft.el (gnus-draft-send): Add message-hidden-headers. 

2003-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-next-page): Use
	gnus-article-over-scroll.
	(gnus-article-over-scroll): New variable.

	* message.el (message-newline-and-reformat): Place a boundary
	before filling.
	(message-make-forward-subject-function): Changed default to
	message-forward-subject-name-subject. 
	(message-forward-subject-name-subject): New function.

	* nnimap.el (nnimap-split-fancy): Ditto.

	* gnus-sum.el (gnus-summary-line-message-size): Ditto.

	* gnus-cus.el (gnus-group-parameters): Removed "which see".

	* mml.el (mml-minibuffer-read-file): Bind
	completion-ignored-extensions to nil.

	* message.el (message-fix-before-sending): Comment fix.
	(message-fix-before-sending): Make hidden headers visible.
	(message-hide-headers): Bind after-change-functions to nil.
	(message-forbidden-properties): Put invisible and intangible
	back. 
	(message-strip-forbidden-properties): Ignore message-hidden text.

	* gnus-msg.el: Hide headers.

	* message.el (message-hidden-headers): New variable.
	(message-hide-headers): New function.
	(message-hide-header-p): New function.
	(message-hide-header-p): Change logic.
	(message-forbidden-properties): Remove intangible nil invisible
	nil. 
	(message-hide-headers): Narrow to headers.

	* lpath.el (featurep): Bind Info-directory, Info-menu.

2003-04-12  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-body-charset-encoding-alist): UTF-16 *must* be
	encoded.
	(mm-encode-body): Don't corrupt UTF-16.
	(mm-body-encoding): Pay attention to mm-body-charset-encoding-alist.

2003-04-10  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-get-undownloaded-list): Articles in
	the CACHE are now detected and handled the same as an article
	downloaded into the agent.
	(gnus-agent-group-path): Modified to match nnmail-group-pathname
	so that the agent front-end and back-end (nnagent) always use the
	same directory.
	(gnus-agent-group-pathname): New function. Wrapper for
	nnmail-group-pathname.
	(gnus-agent-expire-unagentized-dirs): New variable.  May be
	customized to disable gnus-agent-expire-unagentized-dirs.
	(gnus-agent-expire-unagentized-dirs): Expand gnus-agent-directory
	as the directories in gnus-agent-expire-current-dirs were
	expanded.

2003-04-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Disable "Encrypt
	body" entry in read only groups.

2003-04-09  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Disable "Import file"
	and "Create article" items in non-editable groups.

2003-04-09  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-write-active): Added option of
	replacing, rather than updating, the agent's active file.  Do NOT
	use the fully qualified group name as gnus-active-to-gnus-format
	blindly prefixes group names with server names.
	(gnus-agent-save-group-info): Merge BOTH min/max of current active
	range, was just merging min, with specified active range.
	(gnus-agent-expire): Save agent's active ranges after
	expiring all groups.
	(gnus-agent-expire-group-1): Update min of agent's active range to
	min article currently fetched.
	(gnus-agent-expire-unagentized-dirs): Avoid asking to delete the
	same ancestor multiple times.

	* gnus-async.el (gnus-asynchronous): Moved defcustom of
	gnus-asynchronous away from defgroup of gnus-asynchronous.  This
	seems to fix an intermittant error in which loading gnus-async
	fails to define gnus-asynchronous (the variable).

	* gnus-sum.el: Concur with Steve Young, 5th argument to 'load' is
	non-essential.  Removed on all platforms.
	(gnus-select-newsgroup): When the agent is active, expand the
	group's active range to include fetched articles that are no
	longer in the server's active range.

	* gnus-util.el (gnus-with-output-to-file): Removed all of the
	print-* bindings as they should be handled by the function doing
	the printing.

2003-04-09  Jesper Harder  <harder@ifa.au.dk>

	* mm-uu.el (mm-uu-copy-to-buffer): buffer-file-coding-system
	might be unbound in non-MULE XEmacsen.

2003-04-08  Jesper Harder  <harder@ifa.au.dk>

	* mm-uu.el (mm-uu-diff-groups-regexp, mm-uu-type-alist)
	(mm-uu-diff-extract, mm-uu-diff-test): New functionality:
	recognize diffs.

	* mm-bodies.el (mm-decode-body): Use the supplied charset
	unconditionally if `code-pages' hasn't been loaded.

2003-04-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (article-verify-x-pgp-sig): Don't use
	`insert-buffer', the docstring says "This function is meant for
	the user to run interactively.  Don't call it from programs!"

	* mm-extern.el (mm-extern-mail-server): do.

	* mml1991.el (mml1991-mailcrypt-sign, mml1991-mailcrypt-sign)
	(mml1991-gpg-sign, mml1991-gpg-encrypt, mml1991-pgg-sign)
	(mml1991-pgg-encrypt): do.

	* pgg.el (pgg-decrypt-region): do.

	* mm-view.el (mm-view-pkcs7-decrypt): do.

	* mml-smime.el (mml-smime-verify): do.

	* mml.el (mml-insert-mime, mml-preview): do.

	* mml2015.el (mml2015-gpg-decrypt-1, mml2015-gpg-sign)
	(mml2015-gpg-encrypt, mml2015-pgg-clear-decrypt)
	(mml2015-pgg-encrypt): do.

2003-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-decode-body): Silence XEmacs when compiling.

2003-04-06  Jesper Harder  <harder@ifa.au.dk>

	* mm-uu.el (mm-uu-copy-to-buffer): Copy
	`buffer-file-coding-system' to the new buffer.
	(mm-uu-pgp-signed-extract-1): Don't copy
	`buffer-file-coding-system' here.

	* mm-bodies.el (mm-decode-body): last-coding-system-used doesn't
	exist in XEmacs.
	(mm-decode-body): Add missing quote.

	* mm-uu.el (mm-uu-pgp-signed-extract-1): Set
	buffer-file-coding-system.

	* mm-bodies.el (mm-decode-body): Set buffer-file-coding-system to
	last-coding-system-used.

	* mml2015.el (mml2015-pgg-clear-verify): Encode the text
	according to buffer-file-coding-system.

	* pgg-gpg.el (pgg-gpg-process-region): Revert previous change.

	* pgg-pgp.el (pgg-pgp-process-region, pgg-pgp-verify-region)
	(pgg-pgp-snarf-keys-region): do.

	* pgg-pgp5.el (pgg-pgp5-verify-region)
	(pgg-pgp5-snarf-keys-region, pgg-pgp5-process-region): do.

	* pgg.el (pgg-make-temp-file, pgg-temporary-file-directory): do.
	
2003-04-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-split): (save-excursion) around (widen)
	(spam-ham-move-routine): Use spam-group-ham-mark-p, not
	spam-group-spam-mark-p (from Michael Shields <shields@msrl.com>)

2003-04-05  Steve Youngs  <youngs@xemacs.org>

	* gnus-sum.el: XEmacs doesn't support the 5th arg to 'load', so
	don't use it when loading gnus-sum.el if we're in XEmacs.

2003-04-05  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bound
	print-escape-nonascii to fix more characters in compiled format
	specs.

2003-04-05  Jesper Harder  <harder@ifa.au.dk>

	* gnus-audio.el (gnus-audio-au-player, gnus-audio-wav-player):
	Fix customization type.

2003-04-04  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bound
	print-quoted, print-readably, print-escape-multibyte, and
	print-level to match original behavior of gnus-prin1.  This should
	repair the format of .newsrc.eld when using compiled format specs.

2003-04-04  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (tool-bar-map): defvar it.

	* gnus-art.el (tool-bar-map): do.

	* gnus-sum.el (tool-bar-map): do.

2003-04-03  Jesper Harder  <harder@ifa.au.dk>

	* earcon.el (earcon-regexp-alist): catmeow is a wav file.

2003-04-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-ctan-directory-regexp): Changed meaning
	and value.
	(gnus-button-alist): Use it.

2003-04-03  Jesper Harder  <harder@ifa.au.dk>

	* pgg-gpg.el (pgg-gpg-process-region): do.

	* pgg-pgp.el (pgg-pgp-process-region, pgg-pgp-verify-region)
	(pgg-pgp-snarf-keys-region): do.

	* pgg-pgp5.el (pgg-pgp5-verify-region)
	(pgg-pgp5-snarf-keys-region, pgg-pgp5-process-region): Use it.

	* pgg.el (pgg-make-temp-file): New function. `make-temp-name' is
	unsafe.
	(pgg-temporary-file-directory): Remove.

2003-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Fbind Info-directory and Info-menu.

2003-04-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-util.el (gnus-message): Added doc-string.

	* gnus-score.el (gnus-score-find-trace): Changed behavior of `q'.
	(gnus-score-edit-file-at-point): Goto first match when using `e'.

2003-04-01  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-ctan-directory-regexp): New variable.
	(gnus-button-alist): Use it.  Changed CTAN and "setq" entries.

2003-04-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-via-rlogin-command-switches): Doc fix.
	(nntp-open-via-rlogin-and-telnet): Disable the telnet linemode.

2003-03-31  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bound
	print-escape-newlines to print escape sequences rather than
	literal newline characters.

2003-03-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-valid-fqdn-regexp): Use
	`message-valid-fqdn-regexp' for initialization.
	(gnus-button-handle-info-url): Renamed and extended version of
	`gnus-button-handle-info'.
	(gnus-button-message-level): Renamed from `gnus-button-mail-level'
	(gnus-button-handle-symbol, gnus-button-handle-library)
	(gnus-button-handle-info-keystrokes): New functions.
	(gnus-button-browse-level): New variable.
	(gnus-button-alist): Use them.  Added levels.
	(gnus-header-button-alist): Added levels.

2003-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-03-31 20:08:19 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.17 is released.

2003-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-unload): Removed.

	* pop3.el (pop3-read-response): Use
	nnheader-accept-process-output.
	(pop3-retr): Ditto.

	* mm-view.el (mm-text-html-renderer-alist): Add -nolist to Lynx. 
	(mm-text-html-washer-alist): Ditto.

2003-03-31  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-gssapi-program): Also try GNU SASL.
	(imap-gssapi-open): Accept GNU SASL greeting.
	(imap-read-timeout): New.
	(imap-wait-for-tag): Use it.

2003-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-accept-process-output): Use new function.

	* nnheader.el (nnheader-read-timeout): New variable.
	(nnheader-accept-process-output): New function.

	* nntp.el (nntp-read-timeout): Removed.

	* gnus-sum.el (gnus-summary-prepare-threads): Add comment.

2003-03-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cache.el (gnus-cache-braid-nov): Revoke last change.

2003-03-30  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-inside-rhs-p): Narrow to header before
	searching.

	* gnus-art.el (article-decode-idna-rhs): More restrictive regexp.

2003-03-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-process-mmdf-mail-format): Indent.

2003-03-28  Vasily Korytov  <deskpot@myrealbox.com>

	* message.el (message-make-in-reply-to): Use
	mail-extract-address-components to determine sender's
	name/address.

2003-03-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndoc.el (nndoc-type-alist): Move mime-parts further ahead. 

	* gnus-registry.el (gnus-registry-translate-to-alist): Make a
	valid lambda.
	(gnus-registry-translate-from-alist): Ditto.

	* gnus-start.el (gnus-gnus-to-quick-newsrc-format): Bind
	print-length to nil.

	* gnus-sum.el (gnus-summary-highlight-line-0): Indent.

	* gnus-fun.el (gnus-fun-ppm-change-string): New function.
	(gnus-grab-cam-face): Use it.

2003-03-28  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-set-mark)
	(nnmaildir-close-group): Allow each mark directory in a group to
	have its own inode for mark files, to accommodate AFS.

2003-03-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-start.el (gnus-read-newsrc-el-hook): new hook called by
	gnus-read-newsrc-el-file
	(gnus-read-newsrc-el-file): call the gnus-read-newsrc-el-hook

	* gnus-registry.el (gnus-registry-translate-to-alist)
	(gnus-registry-translate-from-alist, alist-to-hashtable)
	(hashtable-to-alist): new functions
	(gnus-register-spool-action): add a spool item to the registry

	* gnus.el (gnus-variable-list): added gnus-registry-alist to the
	list of saved variables
	(gnus-registry-alist): new variable

2003-03-27  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (article-decode-group-name): Be correct instead of
	smart.

2003-03-27  Katsumi Yamaoka <yamaoka@jpl.org>

	* lpath.el: Bind url-current-object for Emacs; bind
	gnus-agent-expire-current-dirs for XEmacs; fbind open-ssl-stream
	for both Emacsen.

2003-03-27  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-article-loose-mime)
	(gnus-article-emulate-mime): Move to gnus-article-mime customize
	group.

	* gnus-msg.el (gnus-mailing-list-groups): Fix customize type and
	doc string.

2003-03-26  Kevin Ryde <user42@zip.com.au>

	* gnus-sum.el (gnus-summary-find-for-reselect): Renamed from
	gnus-summary-find-uncancelled, skip temporary articles inserted by
	"refer" functions.

2003-03-26  Vasily Korytov  <deskpot@myrealbox.com>

	* smiley.el (smiley-buffer): New function.

2003-03-26  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Replaced
	gnus-summary-update-line (which updated the article's face) with
	gnus-summary-update-download-mark (which updates the article's
	face by calling gnus-summary-update-line AND updates the download
	mark to show that the article was fetched).

2003-03-23  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs): Provides
	option of deleting agent directories for groups/servers that are
	not currently agentized.
	(gnus-agent-expire): Use gnus-agent-expire-unagentized-dirs.

	* gnus-int.el (gnus-open-server): Report backend errors in
	condition handler.

2003-03-23  Simon Josefsson  <jas@extundo.com>

	* message.el (message-idna-to-ascii-rhs-1): Don't continue outside
	header.

	* rfc2047.el (rfc2047-header-encoding-alist): Make Followup-To
	same as Newsgroups.

	* nntp.el (nntp-open-connection-function): Mention
	nntp-open-tls-stream.
	(nntp-open-tls-stream): New function.

	* tls.el: New file.

	* nnimap.el (nnimap-server-port, nnimap-stream): Say TLS/SSL
	instead of SSL.
	(nnimap-stream): Add other streams, link to imap variables.
	(nnimap-authenticator): Add other authenticator, link to imap
	variables.

	* imap.el: Autoload open-tls-stream.
	(imap-streams): Add tls in front of ssl.
	(imap-stream-alist): Add tls.
	(imap-default-tls-port): New variable.
	(imap-tls-p, imap-tls-open): New functions.

2003-03-22  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* mm-url.el (mm-url-insert-file-contents): parse url only if
	results is a list.

2003-03-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch-imap): Revert.

2003-03-22  Svend Tollak Munkejord  <stm@bacchus.pvv.org>

	* deuglify.el (gnus-outlook-repair-attribution-outlook): Use a
	less strict regexp.

2003-03-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch-imap): Use buffer name for
	more imap function.

2003-03-21  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (article-decode-group-name): Replace Newsgroups and
	Followup-To data inline.

2003-03-21  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-treat-display-xface): Don't enable if
	icontopbm isn't available.

2003-03-21  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-int.el (gnus-open-server): Catch errors in backend's
	open-server method.  Returns nil rather than crashing startup.

	* gnus-sum.el (eval-when-compile): Modified to resolve
	compile-time warnings.

	* gnus-uu.el (gnus-uu-mark-series): Added informative msg.
	Reports length of series so that the user can compare N with a
	subject that should, if the entire series is present, contain
	'(.../N)'.
	(gnus-uu-delete-work-dir): Avoid hanging when O/S forbids deletion
	of temp file (Win-XP may leave the temp file locked when the
	uudecode process fails).

2003-03-20  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* message.el (message-split-line): Ignore error.

	* lpath.el (split-line): Avoid split-line warning message.

2003-03-20  Kim F. Storm  <storm@cua.dk>

	* message.el (message-split-line): New function.
	(message-mode-map): Remap split-line to message-split-line.

2003-03-20  Katsumi Yamaoka <yamaoka@jpl.org>

	* message.el (message-make-overlay): Defalias it to make-overlay.
	(message-delete-overlay): Defalias it to delete-overlay.
	(message-overlay-put): Defalias it to overlay-put.
	(message-idna-to-ascii-rhs-1): Use them.

	* messagexmas.el (message-xmas-redefine): Defalias some overlay
	functions to extent functions.

2003-03-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-check-news-header-syntax): Fixed regexp.

2003-03-20  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* rfc2231.el (rfc2231-decode-encoded-string): Downcase charset.

	* mm-url.el (mm-url-insert): Move url-current-object stuff into
	mm-url-insert-file-contents.

	* nnrss.el (nnrss-fetch): Fetch the local stuff.
	(nnrss-check-group): Use it.

2003-03-20 Mark A. Hershberger  <mah@everybody.org>

	* nnrss.el: Primitive XML Name-space support.  This means that RSS
	feeds like Kevin Burton's[1] can now be read in Gnus.

	Implemented support for Mark Pilgrim's RSS Autodiscovery.[2] This
	means that if you want to read the RSS feed for example.com, all
	you have to do is hit "G R http://www.example.com/ RET" and
	nnrss.el will find and the feed listed on the site or (if you have
	loaded xml-rpc.el) look it up on syndic8.com.

	Marked the message as HTML (by adding a Content-Type header) so
	that Gnus will render it as html if the user wants that.

	Implemented the ability to save nnrss-group-alist so that any new
	feeds the you subscribe to will be found the next time you start
	up.

	Implemented support for RSS 2.0 elements (author, pubDate).

	Prefer for <content:encoded> over <description> where both
	elements exist.

	* mm-url.el (mm-url-insert): Set url-current-object.

	* gnus-group.el (gnus-group-make-rss-group): New function.

2003-03-20  Katsumi Yamaoka <yamaoka@jpl.org>

	* message.el (message-idna-to-ascii-rhs-1): Don't use replace-*
	for highlight overlays.

2003-03-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cache.el (gnus-cache-braid-nov): Test if a line looks like
	a NOV.

2003-03-20  Simon Josefsson  <jas@extundo.com>

	* message.el (message-use-idna): Disable if UTF-8 unavailable.
	(message-idna-to-ascii-rhs): Use it.

	* gnus-art.el (gnus-use-idna): Disable if UTF-8 unavailable.

2003-03-19  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-group-ham-mark-p, spam-group-spam-mark-p)
	(spam-group-ham-marks, spam-group-spam-marks): new functions
	(spam-spam-marks, spam-ham-marks): removed in favor of the
	spam-marks and ham-marks parameters
	(spam-generic-register-routine, spam-ham-move-routine): use the
	new spam-group-{spam,ham}-mark-p functions

	* gnus.el (spam-marks, ham-marks): new group parameters with
	default values same as the old spam-spam-marks and spam-ham-marks

2003-03-19  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-article-decode-hook): Add IDNA.
	(gnus-use-idna): New variable.
	(article-decode-idna-rhs): New function.

	* message.el (message-use-idna): New variable.
	(message-mode-field-menu): Add entry for IDNA.
	(message-idna-inside-rhs-p, message-idna-to-ascii-rhs-1)
	(message-idna-to-ascii-rhs): New function.
	(message-generate-headers): Invoke IDNA code.

2003-03-19  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--system-name): New function.
	(nnmaildir-request-accept-article): Use it.

2003-03-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-byte-compile): Make it work silently as the
	gnus-compile function does.

	* gnus-sum.el (gnus-summary-highlight-line-0): Revoke the last
	bogus change.

2003-03-19  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-mule-charset-to-mime-charset): Test if
	sort-coding-systems is defined.

2003-03-18  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-open-server, nnmaildir-request-scan)
	(nnmaildir-request-create-group, nnmaildir-request-delete-group):
	Replace create-directory with target-prefix.

2003-03-18  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-coding-region-safely): Don't use
	find-charset-string which is slooow in XEmacs.

2003-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-highlight-line-0): Silence the byte-
	compiler under XEmacs.

2003-03-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-treat-highlight-signature): Make the default
	work for multipart/signed where the message text isn't `last'.

2003-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-setup-w3m): Set w3m-display-inline-images to
	the value of mm-inline-text-html-with-images.
	(mm-inline-text-html-render-with-w3m): Don't bind
	w3m-display-inline-images.

	* gnus-art.el (gnus-article-wash-html-with-w3m): Don't bind
	w3m-display-inline-images.

	* lpath.el: Bind w3m-display-inline-images; bind mm-w3m-mode-map
	regardless of an Emacs flavor.

2003-03-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bump.

2003-03-18 00:38:22 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.16 is released.

2003-03-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* lpath.el (featurep): Bind mm-w3m-mode-map.

2003-03-17  Paul Jarc  <prj@po.cwru.edu>

	* nnmail.el (nnmail-cache-primary-mail-backend): Not all
	'respool-able backends define a global nnchoke-get-new-mail
	variable.

2003-03-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-mime-delete-part): New function.
	(gnus-mime-action-alist, gnus-mime-button-commands): Use it.

2003-03-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-news-header-syntax): Don't push
	groups twice onto list of unknown groups.

	* nndoc.el (nndoc-type-alist): Move exim-bounce a bit further
	back.

	* nnheader.el (nnheader-find-etc-directory): Doc fix.

	* gnus-msg.el (gnus-inews-add-send-actions): Don't restore window
	config unless the summary buffer exists.

	* gnus-sum.el (gnus-summary-next-group): Semi-exit group first to
	that target group is computed correctly when articles are marked
	as read by Xref handling.

	* mail-source.el (mail-source-fetch-imap): Pass buffer-name to
	imap-open.

	* message.el (message-send-mail): Add courtesy string to Bcc's,
	too.

	* gnus-cite.el (gnus-cited-line-p): New function.

2003-03-15  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-body): Add new optional parameter,
	force, to use the supplied charset unconditionally.

	* gnus-art.el (article-decode-charset): Use it.

2003-03-14  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-decode-coding-region-safely): New function.
	(mm-decode-body): Use it.

	* rfc2047.el (rfc2047-decode-region): do.
	(rfc2047-decode-string): Guess coding system if the default is
	invalid.

2003-03-12  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-update-info): Pretend missing
	articles are marked 'read, so we get correct article counts.

2003-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button): Exclude a newline from
	the button.
	(gnus-insert-prev-page-button): Ditto.
	(gnus-insert-next-page-button): Ditto.
	(gnus-insert-mime-security-button): Ditto.

	* mm-view.el (mm-inline-image-emacs): Open the bottom of an image
	one line.  Suggested by Greg Klanderman <gak@klanderman.net>.
	(mm-inline-image-xemacs): Ditto.

2003-03-12  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--parse-filename, nnmaildir--sort-files,
	nnmaildir--scan, nnmaildir-request-accept-article): Changes for
	the recent filename uniqueness discussion.

2003-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-inline-image-emacs): Make it delete an excessive
	newline next time.
	(mm-inline-image-xemacs): Ditto.

2003-03-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-agent.el (gnus-agent-synchronize-flags-server): Don't use
	kill-line.

2003-03-09  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-inews-insert-archive-gcc): Don't use
	kill-line.

2003-03-09  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetched-hook): New variable.  Just
	fixing the code to match the documentation.
	(gnus-agent-fetch-selected-article): Replaced
	gnus-summary-update-article-line with gnus-summary-update-line as
	the former did not correctly recalculate the thread indentation.
	(gnus-agent-find-parameter): The agent-predicate, if not found
	anywhere else, defaults to the value of gnus-agent-predicate.
	(gnus-agent-fetch-session): Fixed typo; now executes
	gnus-agent-fetched-hook rather than the undocumented
	gnus-agent-fetch-hook.
	(gnus-agent-fetch-group-1): Removed part of 2003-03-06 fix.  The
	default agent predicate is now provided by
	gnus-agent-find-parameter.
	(gnus-agent-message): New macro.  This macro avoids potentially
	costly parameter evaluation when the message's level is too high
	to display.
	(gnus-agent-expire-group-1): Disabled undo tracking in temp
	overview buffer. Uses new gnus-agent-message macro to reduce
	overhead of optional messages. Reversed message levels to
	emphasize percent completion messages.  Detailed messages of
	little use except when debugging code.

2003-03-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine): use
	spam-mark-ham-unread-before-move-from-spam-group
	(spam-mark-ham-unread-before-move-from-spam-group): new variable

2003-03-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: load nnimap.el when compiling
	(spam-setup-widening): use
	nnimap-split-download-body-default instead of
	nnimap-split-download-body which is a user-customizable variable

2003-03-07  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-download-body-default): New, holds
	default for n-s-d-b.
	(nnimap-split-download-body): Add new setting (symbol default),
	which uses contents of n-s-d-b-d, and made it the default.

2003-03-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-hashcash): new variable
	(spam-list-of-checks): added spam-use-hashcash with associated
	spam-check-hashcash
	(spam-check-hashcash): new function, installed iff hashcash.el is
	loaded
	(spam-setup-widening): don't use (return)

2003-03-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): Added default
	predicate of `false' to avoid an error when a group defines no
	predicate. Fixed typo that disabled agent scoring (i.e. the
	low/high predicates should now work).

2003-03-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: add spam-maybe-spam-stat-load to
	gnus-get-top-new-news-hook, remove it from gnus-get-new-news-hook
	(spam-bogofilter-register-with-bogofilter): use
	spam-bogofilter-spam-switch and spam-bogofilter-ham-switch
	(spam-bogofilter-spam-switch, spam-bogofilter-ham-switch): new
	custom variables to replace "-s" and "-n"

	* gnus-group.el (gnus-group-get-new-news): call the new
	gnus-get-top-new-news-hook hook

	* gnus-start.el (gnus-get-top-new-news-hook): new hook, run ONLY
	by gnus-get-new-news, NOT by gnus-group-get-new-news-this-group

2003-03-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-uu.el (mm-uu-pgp-encrypted-test): Fix message.

2003-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cus.el (gnus-group-customize): Don't use delete-if which is
	a cl run-time function.

2003-03-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): Added missing binding
	on gnus-agent-short-article.
	(gnus-category-read): Replaced CL function mapcar* with new macro:
	gnus-mapcar.
	* gnus-util.el (gnus-mapcar): New macro.  Generalizes mapcar to
	support functions that accept multiple parameters.  A separate
	sequence must be provided for each parameter in the function.
	Iteration stops when the end of the shortest list is reached.

2003-03-06  Jesper Harder  <harder@ifa.au.dk>

	* nnimap.el (nnimap-request-accept-article): Use delete-region.

	* html2text.el (html2text-clean-dtdd, html2text-delete-tags)
	(html2text-delete-single-tag, html2text-clean-anchor)
	(html2text-remove-tags): Use delete-region.
	(html2text-fix-paragraphs): Simplify.

	* mml1991.el (mml1991-mailcrypt-sign, mml1991-mailcrypt-encrypt)
	(mml1991-gpg-sign, mml1991-gpg-encrypt, mml1991-pgg-sign)
	(mml1991-pgg-encrypt, mml1991-pgg-encrypt): Use delete-region, not
	kill-region.

2003-03-04  John Paul Wallington  <jpw@gnu.org>

	* gnus-agent.el (gnus-agent-enable-expiration)
	(gnus-agent-article-alist, gnus-agent-article-alist)
	(gnus-agent-cat-defaccessor): Doc fixes.

2003-03-04  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-function-implies-unread-1): Grok
	byte-compiled functions.

2003-03-04  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-sum.el (gnus-auto-goto-ignores): New variable. Provides
	customization between new maneuvering (which permits selecting
	undownloaded articles) and old maneuvering (which skipped over
	undownloaded articles) behaviors.
	(gnus-summary-find-next): Pass through the unread and subject
	parameters when calling gnus-summary-find-prev.
	(gnus-summary-find-next,gnus-summary-find-prev): Apply
	gnus-auto-goto-ignores to filter out unacceptable articles.

2003-03-04  Jesper Harder  <harder@ifa.au.dk>

	* mail-source.el (mail-source-read-passwd): Remove. `read-passwd'
	exists in all supported Emacs versions, so we don't need this
	compatibility function.
	(mail-source-fetch-pop, mail-source-check-pop)
	(mail-source-fetch-webmail): Use read-passwd.

	* nntp.el (nntp-send-authinfo, nntp-send-nosy-authinfo)
	(nntp-open-telnet, nntp-open-via-telnet-and-telnet): Use
	read-passwd.

	* nnwarchive.el (nnwarchive-open-server): Use read-passwd.

	* imap.el (imap-read-passwd): Remove.
	(imap-interactive-login): Use read-passwd.

	* canlock.el (canlock-read-passwd): Remove.
	(canlock-insert-header, canlock-verify): Use read-passwd.

	* sieve-manage.el (sieve-manage-read-passwd): Remove.
	(sieve-manage-interactive-login): Use read-passwd.

	* pop3.el (pop3-read-passwd): Remove.
	(pop3-movemail, pop3-get-message-count, pop3-apop): Use
	read-passwd.

	* pgg.el (pgg-read-passphrase): Simplify.

2003-03-04  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-mode): Fixed the mode line reports
	'plugged' when actually 'unplugged' bug.
	(gnus-category-read): Ignore nil values when converting an
	old-format category so that the new-format category will default
	those attributes to the global variables.

2003-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-old-incoming-confirm): Fixed
	doc-string.

2003-03-03  Jesper Harder  <harder@ifa.au.dk>

	* nnrss.el (nnrss-decode-entities-unibyte-string): Use `buffer-string'.
	* nndoc.el (nndoc-dissect-mime-parts-sub): do.
	* nndb.el (nndb-request-accept-article, nndb-status-message): do.
	* mm-url.el (mm-url-decode-entities-string): do.
	* mml1991.el (mml1991-mailcrypt-sign, mml1991-gpg-sign): do.
	* mm-decode.el (mm-find-raw-part-by-type): do.
	* message.el (message-send-mail-partially)
	(message-send-mail-with-sendmail): do.
	* gnus-uu.el (gnus-uu-save-article, gnus-uu-reginize-string): do.
	* gnus-kill.el (gnus-pp-gnus-kill): do.
	* gnus-art.el (gnus-article-treat-unfold-headers)
	(gnus-article-encrypt-body): do.

2003-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* mail-source.el (mail-source-delete-incoming): Allow integer value.
	(mail-source-delete-old-incoming-confirm): New variable.
	(mail-source-delete-old-incoming): Use it.  New function.
	(mail-source-callback): Call `mail-source-delete-old-incoming' if
	`mail-source-delete-incoming' is a nonnegative integer.

2003-03-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-extended-version): Fix for 'emacs-gnus-config.
	(gnus-user-agent): Fixed typo.

2003-03-03  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-enable-expiration): Fixed documentation.
	(gnus-agent-expire-group-1): Removed invalid (interactive) specifier.

2003-03-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-fetch-articles): Fix nil message.
	(gnus-agent-fetch-session): Allow debugging to take place.

2003-03-03  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-highlight-selected-summary)
	(gnus-article-get-xrefs, gnus-summary-show-thread): Use
	`gnus-point-at-bol' and `gnus-point-at-eol' instead of
	`(progn (beginning-of-line) (point))'.  It's shorter, faster,
	and makes it clear that we don't need the side effect.
	* gnus-util.el (gnus-delete-line): do.
	* gnus-xmas.el (gnus-group-add-icon): do.
	* nnmail.el (nnmail-article-group, nnmail-cache-fetch-group): do.
	* nntp.el (nntp-send-authinfo-from-file): do.
	* nnml.el (nnml-header-value): do.
	* nnheader.el (nnheader-insert-references): do.
	* gnus-cite.el (gnus-article-highlight-citation)
	(gnus-cite-parse): do.
	* gnus-score.el (gnus-score-followup): do.
	* gnus-draft.el (gnus-draft-send): do.
	* gnus-group.el (gnus-group-highlight-line): do.
	* gnus-cache.el (gnus-cache-braid-nov): do.
	* nnfolder.el (nnfolder-retrieve-headers)
	(nnfolder-request-article): do.
	* gnus-art.el (article-hide-boring-headers)
	(gnus-article-hide-header): do.

	* nnheader.el (nnheader-find-nov-line): Use gnus-delete-line.
	* nnml.el (nnml-request-replace-article): do.
	* nnmbox.el (nnmbox-request-move-article, nnmbox-delete-mail): do.
	* nnfolder.el (nnfolder-request-move-article): do.
	* gnus-cache.el (gnus-cache-possibly-remove-article): do.
	* gnus-art.el (gnus-mm-display-part): do.

	* gnus-art.el (gnus-article-goto-part): Use gnus-goto-char.

2003-03-02  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* nntp.el (nntp-possibly-change-group): Avoid calling
	process-buffer on nil (Which happened when you lost your
	connection while fetching); instead signal a "Server Closed
	Connection" error.

2003-03-02  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-enable-expiration): New
	variable. Either ENABLE or DISABLE.  Sets default behavior for
	selecting which groups are expired.
	(gnus-agent-cat-set-property, gnus-agent-cat-defaccessor,
	gnus-agent-set-cat-groups): Provides abstract interface for
	accessing agent category.  Category now implemented by an alist.
	(gnus-agent-add-group, gnus-agent-remove-group,
	gnus-category-insert-line, gnus-category-edit-predicate,
	gnus-category-edit-score, gnus-category-edit-groups,
	gnus-category-copy, gnus-category-add, gnus-group-category): Use
	new agent category abstraction.
	(gnus-agent-find-parameter): New function. Search for agent
	configuration parameter first in the group's parameters, then its
	topics (if any), and then the group's category.  If not found
	anywhere, use the original defined constants.
	(gnus-agent-fetch-headers, gnus-agent-fetch-group-1): Use new
	gnus-agent-find-parameter.
	(gnus-agent-fetch-headers, gnus-agent-uncached-articles): Clearing
	gnus-agent-cache now blocks retrieving headers and articles from
	the local cache.  Fetched content is still added to the cache
	before being returned.
	(gnus-agent-fetch-session): Use error-message-string to generate
	displayed error message.
	(gnus-agent-customize-category): New Command. 'e' in category
	buffer opens category customization buffer.
	(gnus-category-read): Reads either positional or alist format;
	returns alist format.
	(gnus-category-write): Writes category file compatible with
	current, and previous, versions of gnus-agent.
	(gnus-category-make-function, gnus-category-make-function-1):
	Corrected documentation; parameter is predicate NOT category.
	(gnus-predicate-implies-unread): Now works in more cases per the
	todo comment.
	(gnus-function-implies-unread-1): New function. Supports
	gnus-predicate-implies-unread.
	(gnus-agent-expire-group): Command now provides default of group
	under point.
	(gnus-agent-expire-group-1): Obeys new agent-enable-expiration and
	agent-days-until-old parameters. No longer supports
	gnus-agent-expire-days being set to an alist.
	(gnus-agent-request-article): Now performs its own checks of
	gnus-agent, gnus-agent-cache, and gnus-plugged rather than
	assuming that the caller will do them correctly.
	(): Added one-time hook to gnus-group-prepare-hook.  Detects when
	gnus-agent-expire-days is set to an alist.  Converts said alist
	into group parameter so that gnus-agent-expire-days will not be
	needed.
	* gnus-art.el (gnus-request-article-this-buffer): Conditional
	checks surrounding gnus-agent-request-article removed; now
	performed by gnus-agent-request-article.
	* gnus-cus.el (gnus-agent-parameters): New variable. List of
	customizable group/topic parameters that regulate the agent.
	(gnus-group-customize): Uses gnus-agent-parameters.  Replaced
	kill-buffer with gnus-kill-buffer to remove the killed buffer from
	the list of gnus buffers.
	(gnus-trim-whitespace): Removes leading and trailing whitespace
	from multiline strings.
	(gnus-agent-cat-prepare-category-field,
	gnus-agent-customize-category): Constructs a category
	customization buffer.
	* gnus-int.el (gnus-retrieve-headers,
	gnus-request-expire-articles): No longer checks gnus-agent-cache
	as it is handled internally by the agent.
	(gnus-request-head, gnus-request-body): Conditional checks
	surrounding gnus-agent-request-article removed; now performed by
	gnus-agent-request-article.

	* gnus-start.el (): Added defvar statements to resolve compilation
	warnings.
	(gnus-long-file-names): New function. Isolates platform dependent
	msdos-long-file-names.
	(gnus-save-startup-file-via-temp-buffer): New variable. Provides
	option of writing directly to file.  Avoids memory exhausted
	errors when .newsrc.eld is huge.
	(gnus-save-newsrc-file): Uses new
	gnus-save-startup-file-via-temp-buffer.
	(gnus-gnus-to-quick-newsrc-format): Rewritten to write to
	standard-output.
	(gnus-display-time-event-handler): Changed to alias from a defun
	to avoid a compile-time warning when display-time-event-handler is
	not defined.
	* gnus-util.el (gnus-with-output-to-file): New macro. Binds
	standard-output such that prin1 and princ will write directly to a
	file.

	* gnus.el (gnus-agent-cache): Expanded documentation.
	(gnus-summary-high-undownloaded-face): Removed second bold keyword
	so that this face is actually bold.

	* nnkiboze.el (nnkiboze-request-article): Only use the cache when
	gnus-use-cache has been set.

2003-03-02  Jesper Harder  <harder@ifa.au.dk>

	* nnvirtual.el (nnvirtual-update-xref-header): Simplify.

2003-03-01  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-refer-article): Be more permissive.

2003-03-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* spam.el: Fix typo.

2003-03-01  Satyaki Das  <satyaki@theforce.stanford.edu>
	(Trivial patch.)

	* pgg-gpg.el (pgg-gpg-process-region): Insert process status into
	errors-buffer. This produces a nicer error message in case of
	problems.

2003-03-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-maybe-spam-stat-load, spam-maybe-spam-stat-load):
	load stats iff spam-use-stat is on

	* spam.el: add spam-maybe-spam-stat-load to gnus-startup hook,
	also use spam-maybe-spam-stat-load and spam-maybe-spam-stat-save
	instead of spam-stat-load and spam-stat-save in the
	gnus-get-new-news-hook and gnus-save-newsrc-hook, respectively

2003-03-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* mm-view.el (mm-inline-text): Ignore errors from enriched-decode.

2003-03-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-make-fqdn): Protect against nil user-mail.

2003-02-28  Vasily Korytov <deskpot@myrealbox.com>

	* gnus-art.el (gnus-boring-article-headers): New values:
	'to-list and 'cc-list.

2003-02-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-setup-widening): new function to set
	nnimap-split-download-body, we add it to gnus-get-new-news-hook
	(spam-list-of-statistical-checks): list of statistical splitter
	checks
	(spam-split): added a widen call when a statistical check is
	enabled

2003-02-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-user-agent): Changed default to
	'emacs-gnus-type, renamed 'full.

2003-02-28  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnfolder.el (nnfolder-request-accept-article): Don't use
	mail-header-unfold-field.

2003-02-27  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* imap.el (imap-ssl-open): Don't depend on ssl.el.
	* nntp.el (nntp-open-ssl-stream): Don't depend on ssl.el.

2003-02-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: add spam-stat-load to gnus-get-new-news-hook
	(spam-split): remove spam-stat-load call

2003-02-26  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-toggle-header): Run
	gnus-article-decode-hook instead of calling a-decode-encoded-words
	directly (the latter is run as part of the former).

2003-02-26  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-expire-group): Remove debug.

2003-02-25  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-sendmail-envelope-from): New option.
	(message-sendmail-envelope-from): New function.
	(message-send-mail-with-sendmail): Use it.

2003-02-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-mid-or-mail-heuristic-alist): Added
	compensation for TDMA addresses.

2003-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-msg.el (gnus-user-agent): New variable.
	(gnus-version-expose-system): Removed.  Obsoleted by
	`gnus-user-agent'.
	(gnus-extended-version): Use `gnus-user-agent'.

2003-02-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-stat-register-spam-routine,
	spam-stat-register-ham-routine): remove spam-stat-save
	(spam-stat hook): add spam-stat-save to the gnus-save-newsrc-hook

2003-02-24  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-group.el (gnus-topic-mode-p): Fixed free variable
	reference.

2003-02-24  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* nnheader.el (nnheader-find-nov-line): Changed midpoint
	calculation to avoid integer overflow.

2003-02-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-start.el (gnus-backup-startup-file): Fixed custom type.

2003-02-24  Ted Zlatanov <tzz@lifelogs.com>
	* spam.el: disabled spam-get-article-as-filename

	From Michael Shields  <shields@msrl.com>

	* gnus-group.el (gnus-group-is-exiting-without-update-p): New.
	* gnus-sum.el (gnus-summary-exit-no-update): Use it.
	* gnus-sum.el (gnus-summary-expire-articles): Use it.
	* spam.el (spam-summary-prepare-exit): Use it.
	* gnus.el (gnus-install-group-spam-parameters): New.
	* spam.el (spam-group-ham-processor-copy-p): New.
	* spam.el (spam-summary-prepare-exit): Support for ham copying.
	* spam.el (spam-mark-spam-as-expired-and-move-routine): Fix bug
	that would cause the current message to be moved if the group had
	no spam.
	* spam.el (spam-ham-move-routine): New `copy' argument.

2003-02-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>
	From Martin Thornquist <martint@ifi.uio.no>

	* gnus-topic.el (gnus-topic-select-group): Select last group if
	after last group.
	* gnus-group.el (gnus-group-select-group): Ditto.

2003-02-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (popup-menu): Compiler macro for Emacs 20.
	(gnus-article-refer-article): Use gnus-point-at-(b|e)ol instead of
	point-at-(b|e)ol which aren't available in Emacs 20.

	* gnus-registry.el (puthash): Alias to cl-puthash for Emacs 20.

2003-02-23  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-start.el (gnus-activate-group): Re-enabled the catch error
	clause of the condition-case statement.  Errors connecting to a
	server no longer terminate gnus.

	* gnus-agent.el (gnus-agent-toggle-plugged): Renamed parameter to
	make its use obvious.  Added no-nothing case to avoid
	opening(closing) servers when already open(closed).
	(gnus-agent-while-plugged): Added macro to facilitate internal use
	of gnus-agent-toggle-plugged.
	(gnus-agent-fetch-group): Use new gnus-agent-while-plugged to
	temporarily open servers.
	(gnus-agent-get-undownloaded-list): Sort list of article numbers
	as sorting gnus-newsgroup-headers is wrong.
	(gnus-agent-summary-fetch-group): Use new gnus-agent-while-plugged
	to temporarily open servers. Corrected logic to handle setting
	gnus-agent-mark-unread-after-downloaded.
	(gnus-agent-fetch-articles): Now handles headers with missing
	article sizes and/or missing article lengths.  Now clears the
	message buffer when finished.
	(gnus-agent-fetch-group-1): Position point before calling
	gnus-summary-set-agent-mark.
	(gnus-get-predicate): Corrected description, parameter is
	predicate not category.
	(gnus-agent-expire-group): Adapted the gnus-agent-expire-* code to
	provide a separate single group expiration function.
	(gnus-agent-regenerate-group): Now clears the message buffer when
	finished.

2003-02-23  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus.el (gnus-agent-target-move-group-header): New variable.
	* gnus-draft.el (gnus-draft-send): If special header
	"X-Gnus-Agent-Target-Move-Group" is present, do like Gcc into
	that group, instead of performing the regular sending functions.

2003-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-xmas.el (gnus-xmas-mime-button-menu): Accept a prefix arg.

2003-02-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-user-fqdn, message-valid-fqdn-regexp): New
	variables.
	(message-make-fqdn): Use it.  Improved validity check.

2003-02-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-user-mail-address): Check whether
	user-mail-address looks valid.

	* gnus-msg.el (gnus-mailing-list-followup-to): New function.

	* gnus-util.el (gnus-fetch-original-field): New function.

2003-02-23  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* message.el (message-mode): \\(...\\) around additional
	paragraph-separate alternative.

2003-02-23  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-mime-button-commands): Add ellipsis.
	(gnus-mime-button-menu): Define MIME popup menu with easy-menu to
	display key bindings.
	(gnus-mime-button-menu): Rewrite.

2003-02-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-button-url-regexp): Removed `.

2003-02-23  Max Froumentin  <mf@w3.org>

	* gnus-art.el (gnus-button-url-regexp): Remove `, enter '.

2003-02-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-mime-action-on-part): Require a match
	interactively.

	* gnus-start.el (gnus-save-newsrc-file): Use
	gnus-backup-startup-file.
	(gnus-backup-startup-file): New variable.

2003-02-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-summary-buffer-name): Moved function here.

	* gnus-draft.el (defun): Remove debug.

2003-02-22  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-refer-article): Skip method if we
	can't open server.

2003-02-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-draft.el (defun): Configure posting styles.

	* gnus-start.el (gnus-get-unread-articles-in-group): Make sure
	the entry for the group exists before we alter it.

2003-02-22  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* message.el (message-mode): MML tags separate paragraphs.  Small
	change from David S Goldberg <david.goldberg6@verizon.net>.

	* gnus-agent.el (gnus-agent-get-undownloaded-list): Sort
	`gnus-newsgroup-headers'.

	* gnus-art.el (gnus-article-refer-article): Grok more message id
	formats.  From Karl Pfl,Adsterer <sigurd@12move.de>.

2003-02-22  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-path-name-rewrite-functions): Doc fix: don't
	use "path name".

2003-02-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-move-article)
	(gnus-summary-expire-articles): send data header for article, not
	just article ID

	* gnus-registry.el (gnus-registry-hashtb, gnus-register-action)
	(gnus-register-spool-action): added hashtable of message ID keys
	with message motion data

2003-02-21  Florian Weimer  <fw@deneb.enyo.de>
	From Reiner Steib  <Reiner.Steib@gmx.de>.

	* gnus-art.el (gnus-button-mid-or-mail-heuristic-alist): New
	variable, used in `gnus-button-mid-or-mail-heuristic'.
	(gnus-button-mid-or-mail-heuristic): New function derived from
	Florian Weimer's Perl script.
	(gnus-button-handle-mid-or-mail): Allow a function instead of
	'guess.
	(gnus-button-guessed-mid-regexp): Removed.

2003-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-resend): Bind message-setup-hook to nil;
	remove X-Draft-From header.

2003-02-20  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-simplify-subject-fully, gnus-subject-equal)
	(gnus-newsgroup-undownloaded)
	(gnus-summary-save-parts-default-mime, gnus-auto-select-next):
	Doc fixes.

2003-02-17  John Paul Wallington  <jpw@gnu.org>

	* gnus.el (gnus-shell-command-separator, gnus-email-address)
	(gnus-default-charset, gnus-other-frame-parameters): Doc fixes.

2003-02-20  Jesper Harder  <harder@ifa.au.dk>

	* gnus-spec.el (gnus-xmas-format): Use insert instead of
	insert-string which is obsolete in Emacs 21.4.

	* message.el (message-cross-post-followup-to-header): do.

	* spam.el (spam-ifile-register-with-ifile)
	(spam-stat-register-spam-routine)
	(spam-stat-register-ham-routine)
	(spam-bogofilter-register-with-bogofilter): do.

	* mailcap.el (mailcap-mime-data): Fix typo.

	* gnus-topic.el (gnus-topic-make-menu-bar): Add ellipsis.

2003-02-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-cite.el (gnus-cite-unsightly-citation-regexp)
	(gnus-cite-parse): Renamed `gnus-unsightly-citation-regexp' to
	`gnus-cite-unsightly-citation-regexp'.

2003-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-copy-article-buffer): Copy an article header
	even if there's just a header.

2003-02-19  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-fix-before-sending): Fix highlighting of
	illegible and invisible text.

	* gnus-util.el (gnus-multiple-choice): Separate choices with
	",,A ".  Suggested by Dan Jacobson <jidanni@dman.ddts.net>.

2003-02-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-exit-no-update): Use gnus-kill-buffer.

2003-02-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine)
	(spam-mark-spam-as-expired-and-move-routine): use
	gnus-summary-kill-process-mark and gnus-summary-yank-process-mark
	around process-mark manipulation on the group

2003-02-17  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add MIME/Multipart
	submenu.

2003-02-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch): Reverse the return value of
	the continuation question.

2003-02-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndraft.el (nndraft-request-move-article): Bind
	nnmh-allow-delete-final to t.

2003-02-14  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* mm-uu.el (mm-uu-uu-filename): Fix use of character constant.

2003-02-11  Stefan Monnier  <monnier@cs.yale.edu>

	* nntp.el (nntp-accept-process-output): Don't use point-max to get
	the buffer's size.

2003-01-31  Joe Buehler  <jhpb@draco.hekimian.com>

	* nnheader.el: Added cygwin to system-type comparisons.

2003-01-27  Juanma Barranquero  <lektu@terra.es>

	* imap.el (imap-mailbox-status): Fix typo.

2003-02-14  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-art.el (gnus-article-prepare): Don't set agent mark if
	online.

2003-02-14  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-group-make-menu-bar): Include all
	commands.
	* gnus-sum.el: Small change from Frank Weinberg
	<frank@usenet-rundfahrt.de>:
	(gnus-auto-center-group): New variable.
	(gnus-summary-read-group-1): Use it.
	(gnus-summary-next-group): Fix docstring.

2003-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-faces-at): Simplify.

2003-02-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine)
	(spam-mark-spam-as-expired-and-move-routine): made the article
	move conditional, so it's not called even if there's nothing to move

2003-02-13  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* message.el (message-unix-mail-delimiter): Accept any whitespace
	after the email address and before the date; do not require the
	space character.  From Kurt B. Kaiser <kbk@shore.net>.

2003-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-only-boring-p): Make sure that the
	gnus-article-boring-faces variable is bound; use gnus-faces-at.

	* gnus-util.el (gnus-faces-at): New macro.

2003-02-13  Michael Shields  <shields@msrl.com>

	* gnus-cite.el
	(gnus-cite-attribution-suffix, gnus-cite-parse):
	Better handling for Microsoft citation styles.
	(gnus-unsightly-citation-regexp): New.

2003-02-12  Michael Shields  <shields@msrl.com>

	* gnus-art.el (article-strip-banner): Strip both per-group and
	per-user-address banners.
	(article-really-strip-banner): New.

2003-02-12  Michael Shields  <shields@msrl.com>

	* gnus-sum.el (gnus-article-goto-next-page,
	gnus-article-goto-prev-page): Call gnus-summary-*-page, instead of
	relying on the summary bindings of `n' and `p'.

2003-02-12  Michael Shields  <shields@msrl.com>

	* gnus-art.el (gnus-article-only-boring-p): New.
	(gnus-article-skip-boring): New.
	* gnus-cite.el (gnus-article-boring-faces): New.
	* gnus-sum.el (gnus-summary-next-page): Use
	gnus-article-only-boring-p.

2003-02-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-mark-spam-as-expired-and-move-routine)
	(spam-ham-move-routine): unmark all articles before marking those
	of interest and calling gnus-summary-move-article

2003-02-12  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-kill-buffer): Move to gnus.el because it's
	logically the complement of gnus-get-buffer-create and
	gnus-add-buffer.

	* gnus-util.el (gnus-kill-buffer): do.

	* nnmail.el: Autoload gnus-kill-buffer.

2003-02-11  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-summary-set-agent-mark): Added call to
	gnus-summary-goto-subject as gnus-summary-update-mark operates on
	the current LINE.
	(gnus-agent-summary-fetch-group): Minimized the number of times
	that the article is updated in the buffer.

2003-02-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-move-routine): use the process-mark instead of
	gnus-current-article when moving articles
	(spam-mark-spam-as-expired-and-move-routine): ditto, use the process-mark

2003-02-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-expire-articles): Recursive.
	(gnus-topic-catchup-articles): Ditto.
	(gnus-topic-mark-topic): Reverse recursive logic.

2003-02-11  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-refer-thread): Handle case where
	gnus-refer-thread-limit is t.

2003-02-10  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-mule-charset-to-mime-charset): Use
	sort-coding-systems to prefer utf-8 over utf-16.

2003-02-09  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-expire-days):
	gnus-request-move-article depends on gnus-agent-expire to clean up
	the cache after moving the article.  Therefore, g-a-e-d can NOT
	default to nil or can gnus-agent-expire be disabled by doing so.
	If you don't want to run gnus-agent-expire, don't call it.
	(gnus-agent-expire): The broken test to disable gnus-agent-expire
	when g-a-e-d was NOT nil was removed.
	(gnus-agent-article-name): Removed unnecessary input test as
	article IDs are always strings.
	(gnus-agent-regenerate-group): Added check to protect against
	servers that generate absurdly long article IDs.  Valid IDs are
	less than 10 digits to avoid overflow errors.  Fixed logic error
	when ensuring that the final article ID is present in the new
	alist.

2003-02-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-goto-missing-topic): Just move to the
	next line after finding the parent.

2003-02-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bumped.

2003-02-08 23:23:27 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.15 is released.

2003-02-08  Michael Welsh Duggan  <md5i@cs.cmu.edu>

	* nnmail.el (nnmail-split-it): If a message ends up matching the
	  same mailbox more than once, it will cause duplicates to appear
	  in the mailbox.

2003-02-08  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-select-article): Remove blink removal
	code that only worked under Emacs.

	* pgg-gpg.el (pgg-gpg-process-region): Don't blink.  From Satyaki
	Das <satyaki@chicory.stanford.edu>.

2003-02-08  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-refer-article): Use
	gnus-replace-in-string.

	* gnus-util.el (gnus-map-function): Remove unneeded let-binding.
	(gnus-remove-duplicates): do.

2003-02-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-int.el (gnus-internal-registry-spool-current-method): new variable
	(gnus-request-scan): set
	gnus-internal-registry-spool-current-method to gnus-command-method
	before a request-scan operation

	* gnus-registry.el (regtest-nnmail): use
	gnus-internal-registry-spool-current-method

2003-02-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch): Typo fix.

2003-02-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnmail.el (nnmail-spool-hook): new hook
	(nnmail-cache-insert): call nnmail-spool-hook

	* gnus-registry.el: new file with examples of using the hooks

	* gnus.el (gnus-registry): added registry customization group
	(gnus-group-prefixed-name): improve function to return full group
	name optionally
	(gnus-group-guess-prefixed-name): shortcut to
	gnus-group-prefixed-name, using just the group name
	(gnus-group-full-name): always get a group's full name
	(gnus-group-guess-full-name): shortcut, using just the group name

	* gnus-sum.el (gnus-summary-article-move-hook)
	(gnus-summary-article-delete-hook)
	(gnus-summary-article-expire-hook): new hooks
	(gnus-summary-move-article, gnus-summary-expire-articles)
	(gnus-summary-delete-article): invoke the new hooks

2003-02-07  Frank Weinberg  <frank@usenet-rundfahrt.de>

	* gnus-art.el (gnus-article-refer-article): Strip leading "news:"
	from message-ID

2003-02-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-run-hooks): Use save-current-buffer.

2003-02-07  John Paul Wallington  <jpw@gnu.org>

	* mm-util.el (mm-delete-duplicates, mm-append-to-file)
	(mm-write-region, mm-detect-coding-region): Doc fixes.

2003-02-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-source-fetch): Ignore errors.
	(mail-source-ignore-errors): New variable.

	* gnus-sum.el (gnus-summary-refer-thread): Don't re-fetch current
	articles.

	* gnus-msg.el (gnus-version-expose-system): Change default.

2003-02-07  Vasily Korytov  <deskpot@myrealbox.com>

	* gnus-msg.el (gnus-version-expose-system): New variable.

2003-02-07  Simon Josefsson  <jas@extundo.com>

	* mml-sec.el (mml-unsecure-message): Don't use kill-region.  Tiny
	patch from deskpot@myrealbox.com (Vasily Korytov).

2003-02-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-display-face): Get the Face header from
	the current buffer.

2003-02-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-internally): Bind
	buffer-read-only to nil.

2003-02-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-expire-1,2): Pass the dir argument
	from g-a-e-1 to g-a-e-2.

2003-02-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB): no need to regexp-quote the argument
	of bbdb-search-simple, use spam-use-BBDB-exclusive
	(spam-check-whitelist): use spam-use-whitelist-exclusive
	(spam-use-whitelist-exclusive): new variable affecting
	spam-use-whitelist
	(spam-use-BBDB-exclusive): new variable affecting spam-use-BBDB

2003-02-05  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agent-expire-days): Change default to nil.
	(gnus-agent-expire): Don't expire if g-a-e-d is nil.
	(gnus-agent-expire): Move most code into gnus-agent-expire-1.
	(gnus-agent-expire-1): New.
	(gnus-agent-expire-1): Move code into gnus-agent-expire-2.
	(gnus-agent-expire-2): New.

2003-02-05  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-delete-if): Rename to gnus-remove-if.
	"delete-if" is misleading because it isn't actually destructive.

	* gnus-topic.el (gnus-group-prepare-topics): Use new name.

	* nnmail.el (nnmail-purge-split-history): do.

	* gnus-win.el (gnus-get-buffer-window): do.

	* gnus-sum.el (gnus-simplify-whitespace): Remove unnecessary
	let-binding.
	(gnus-simplify-all-whitespace): do.

2003-02-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-delay.el (gnus-delay-article): Fix binding of the
	nndraft:delayed group.

2003-02-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus.el (spam group parameters): change 'other to 'const in
	the group parameter definitions to soothe XEmacs

2003-02-04  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-delay.el (gnus-delay-article): Really create
	nndraft:delayed group if it doesn't exist.

2003-02-04  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-search-article): Speed up by
	disabling various visual features while searching.
	(gnus-summary-recenter): Test gnus-auto-center-summary first.

2003-02-03  Jesper Harder  <harder@ifa.au.dk>

	* spam.el (spam-list-of-checks): Don't quote nil and t in
	docstrings.  From the elisp manual:

	   When a documentation string refers to a Lisp symbol, write
	   it [..] with single-quotes around it.  [..] There are two
	   exceptions: write t and nil without single-quotes.

	* messcompat.el (message-from-style): do.

	* message.el (message-send-mail): do.

	* gnus-util.el (gnus-use-byte-compile): do.

	* gnus-score.el (gnus-score-lower-thread): do.

	* gnus-int.el (gnus-server-unopen-status): do.

	* gnus.el (gnus-define-group-parameter, gnus-large-newsgroup)
	(large-newsgroup-initial, gnus-install-group-spam-parameters): do.

	* gnus-cus.el (gnus-group-customize, gnus-score-parameters)
	(gnus-group-parameters): do.

	* gnus-art.el (gnus-article-mime-match-handle-function): do.

	* mm-decode.el (mm-text-html-renderer): do.

2003-02-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnheader.el (nnheader-directory-separator-character): Change the
	way to compute the dafault value.

2003-02-02  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-button-handle-describe-key): Implement it.
	(gnus-button-alist): Fix regexp for describe-key.
	(gnus-button-handle-describe-function)
	(gnus-button-handle-describe-variable)
	(gnus-button-handle-apropos, gnus-button-handle-apropos-command)
	(gnus-button-handle-apropos-variable)
	(gnus-button-handle-apropos-documentation): Docstring fix.

	* gnus-util.el (gnus-kill-buffer): Use get-buffer.

2003-02-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-draft.el (gnus-group-send-queue): Bind gnus-posting-styles
	to nil.

	* nnmail.el: Removed gnus-util autoload.

	* gnus.el: Use gnus-prin1-to-string throughout.

	* gnus-util.el (gnus-prin1-to-string): Bind print-length and
	print-level.

	* gnus-art.el (article-display-x-face): Removed grey x-face stuff.
	(gnus-treat-display-grey-xface): Removed.

	* gnus-fun.el (gnus-grab-cam-face): New.
	(gnus-convert-image-to-gray-x-face): Removed.
	(gnus-convert-gray-x-face-to-xpm): removed.
	(gnus-convert-gray-x-face-region): Removed.
	(gnus-grab-gray-x-face): Removed.

	* nnmail.el (nnmail-expiry-wait-function): Doc indent.

2003-01-31  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-kill-buffer): Functions in gnus-util
	shouldn't depend on the rest of Gnus, so test if gnus-buffers is
	bound.

	* nnmail.el (nnmail-cache-close): Use gnus-kill-buffer.

2003-01-30  Jesper Harder  <harder@ifa.au.dk>

	* gnus-cite.el (gnus-cite-reply-regexp, gnus-cite-always-check):
	Remove -- these are bogus options which are never used.

2003-01-29  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-mode): Use summary tool bar.

2003-01-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-blackholes)
	(spam-blackhole-good-server-regex): new variable to skip some IPs
	when checking blackholes; use it
	(spam-check-bogofilter-headers)
	(spam-bogofilter-bogosity-positive-spam-header): new variable, in
	case more X-Bogosity is used than just "Yes/No"
	(spam-ham-move-routine): semi-fixed, only first article is
	properly moved now

2003-01-27  Jesper Harder  <harder@ifa.au.dk>

	* gnus-util.el (gnus-kill-buffer): Remove buffer from gnus-buffers
	as well.

	* gnus-sum.el (gnus-select-newsgroup): Use gnus-kill-buffer.

	* gnus-score.el (gnus-score-headers, gnus-score-find-bnews): do.

	* gnus-start.el (gnus-save-newsrc-file, gnus-clear-system): do.

	* gnus-bcklg.el (gnus-backlog-shutdown): do.

	* gnus-srvr.el (gnus-server-exit, gnus-browse-exit): do.

2003-01-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-fun.el (gnus-face-encode): New function.
	(gnus-convert-png-to-face): Use it.

	* gnus-sum.el (gnus-summary-make-menu-bar): Added M-& to marks.

2003-01-26  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-dissection-list): Remove.
	(mm-dissect-singlepart): Don't push to mm-dissection-list, it's
	only used in mm-remove-all-parts.
	(mm-remove-all-parts): Remove it, it's never called.

2003-01-25  Simon Josefsson  <jas@extundo.com>

	* gnus-group.el (gnus-group-make-group): Report errors.

	* nnimap.el (nnimap-request-create-group): Ditto.

	* sieve-manage.el (sieve-manage-is-okno): Parse literal strings.

	* sieve.el (sieve-upload): Fix error printing.

	* mm-encode.el (mm-qp-or-base64): Always QP iff
	mm-use-ultra-safe-encoding and cleartext PGP.

	* gnus-sum.el (gnus-summary-select-article): Inhibit
	redisplay (mainly for secured messages).

	* nnmail.el (nnmail-article-group): Copy body too (but don't
	process it).

2003-01-25  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-setup-buffer): Reset
	gnus-button-marker-list.

2003-01-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-read-timeout): Default to using a second delay
	under Microsoft Windows.

2003-01-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnheader.el (nnheader-directory-separator-character): New
	variable.

2003-01-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-max-fetch-size)
	(gnus-agent-article-alist, gnus-agent-get-undownloaded-list)
	(gnus-agent-catchup, gnus-agent-summary-fetch-group)
	(gnus-agent-fetch-articles, gnus-agent-backup-overview-buffer)
	(gnus-agent-flush-cache, gnus-agent-fetch-headers)
	(gnus-agent-braid-nov, gnus-agent-load-alist)
	(gnus-agent-article-alist-save-format)
	(gnus-agent-read-agentview, gnus-agent-save-alist)
	(gnus-agent-fetch-group-1, gnus-agent-expire)
	(gnus-agent-uncached-articles, gnus-agent-retrieve-headers)
	(gnus-agent-regenerate-group): Reformat to keep under eighty
	columns.  Reword docstrings so that first line is under eighty
	chars and a complete sentence.  Still need to work on the rear
	end of the file, in particular gnus-agent-expire.

2003-01-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agentize): Indent.

	* gnus.el (gnus-version-number): Bumped.

2003-01-24 20:32:44 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.14 is released.

2003-01-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-prepare-threads): Reset state for %B
	before beginning.  Tiny patch from Mark Thomas
	<swoon@bellatlantic.net>.

2003-01-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-blackholes, spam-split)
	(spam-mark-junk-as-spam-routine, spam-summary-prepare-exit): added
	gnus-message calls to show to users what spam.el is doing

2003-01-24  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-message-replysign)
	(gnus-message-replyencrypt): Fix typo.

2003-01-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-mime-security-show-details): Toggle showing
	details.

2003-01-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-press-button): let* -> let.
	(gnus-mime-security-show-details): Cleaned up.
	(gnus-mime-security-press-button): Save excursion.
	(gnus-insert-mime-security-button): Clean up.

	* gnus-sum.el (gnus-summary-force-verify-and-decrypt): Doc fix.

	* gnus-async.el (gnus-async-wait-for-article): Don't use a
	timeout.

	* nntp.el (nntp-accept-process-output): Removed timeout.
	(nntp-read-timeout): New variable.
	(nntp-accept-process-output): Use it.

	* gnus-sum.el (gnus-data-find-list): Remove *.

2003-01-23  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-sum.el (gnus-summary-first-subject): Fixed bug that I
	introduced on 2002-01-22.
	(gnus-summary-first-unseen-or-unread-subject): Ditto.

2003-01-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-regex-headers, spam-list-of-checks)
	(spam-regex-headers-spam, spam-regex-headers-ham): added spam/ham
	checks of incoming mail based on simple header regexp matching

2003-01-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-spam-mark): set to `$'

2003-01-22  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-get-undownloaded-list): Now computes
	gnus-newsgroup-unfetched, the list of articles whose headers have
	not been fetched from the server.

	* gnus-sum.el (gnus-summary-find-next): Removed undownloaded
	parameter as it never worked due to a bug.  Added check to prevent
	selection of any article in the gnus-newsgroup-unfetched list.
	(gnus-summary-find-prev): Added check to prevent selection of any
	article in the gnus-newsgroup-unfetched list.
	(gnus-summary-first-subject): Documented API. Modified
	implementation so that constraints are handled independently.
	Added check to prevent selection of any article in the
	gnus-newsgroup-unfetched list.
	(gnus-summary-first-unseen-subject): Updated parameters in
	gnus-summary-first-subject call to match new API.
	(gnus-summary-first-unseen-or-unread-subject): Ditto.
	(gnus-summary-catchup): Do not mark unfetched articles as read.

2003-01-22  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-treat-strip-pgp, gnus-article-hide-pgp-hook):
	make-obsolete-variable allows only two arguments in XEmacs and
	Emacs 20.

	* gnus-sum.el (gnus-summary-wash-hide-map): Remove
	gnus-article-hide-pgp.
	(gnus-summary-make-menu-bar): do.

	* gnus-art.el (gnus-treat-strip-pgp): Make obsolete.
	(gnus-treatment-function-alist): Remove gnus-treat-strip-pgp and
	gnus-article-hide-pgp.
	(article-hide-pgp): Remove.
	(gnus-article-hide): Remove gnus-article-hide-pgp.

	* gnus.el: Remove gnus-article-hide-pgp

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-required-headers): Doc fix.

2003-01-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-group-ham-processor-bogofilter-p): fixed bug
	(spam-ifile-register-ham-routine, spam-ifile-ham-category): new
	option to make ifile a purely binary classifier

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mml-sec.el (mml-secure-sign-pgpauto): Renamed.
	(mml-secure-encrypt-pgpmime): Removed double.

	* gnus-sum.el (gnus-summary-mark-article-as-replied): Added
	debugging statements.

2003-01-21  Andreas Fuchs  <asf@void.at>

	* mml-sec.el (mml-sign-alist): Added pgpauto.

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bumped version number.

2003-01-21 07:15:41 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.13 is released.

2003-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-button-url-regexp): Removed |.

	* message.el (message-send-hook): Doc fix.

	* gnus-win.el (gnus-buffer-configuration): Display article
	instead of article-copy when `reply'.

2003-01-21  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-format): Change customize group to gnus.
	(gnus-cache): Add link.
	(gnus-group-charter-alist): Fix docstring.

2003-01-20  Jesper Harder  <harder@ifa.au.dk>

	* mailcap.el (mailcap-print-command): lpr-command might be
	unbound in XEmacs.

2003-01-18  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-regenerate-group): Added interactive form.

	* gnus-sum.el (gnus-summary-update-article-line): Fixed
	calculation of net characters added for use in the gnus-data
	structure.

2003-01-18  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nnmail.el (nnmail-process-unix-mail-format): Improve error
	message.  Suggested by Jari Aalto.

2003-01-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-followup-with-original): Clean up.
	(gnus-article-reply-with-original): Ditto.

	* gnus-sum.el (gnus-summary-catchup): Make sure downloadable,
	read articles don't become unread.

2003-01-17  Simon Josefsson  <jas@extundo.com>

	* gnus-fun.el (gnus-x-face-from-file):
	(gnus-face-from-file): Suggest image format in minibuffer prompt.

	* gnus-fun.el (gnus-convert-image-to-x-face-command)
	(gnus-convert-image-to-face-command): Doc fix.

2003-01-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-fun.el (gnus-convert-face-to-png): Protect against errors.

2003-01-17  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-mime-print-part): Use mm-save-part-to-file to
	avoid encoding problems.

	* mailcap.el (mailcap-ps-command): New variable.
	(mailcap-mime-data): Add print entry where applicable.  Use
	pdftotext on a tty.

2003-01-16  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-sum.el (gnus-alter-header-function): Add type and group.

2003-01-16  Simon Josefsson  <jas@extundo.com>

	* gnus-fun.el (gnus-convert-image-to-x-face-command)
	(gnus-convert-image-to-face-command, gnus-x-face-from-file)
	(gnus-face-from-file): Doc fix; don't mention image format.

2003-01-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-get-article-as-filename): new function (unused for now)
	(spam-get-article-as-buffer): new function
	(spam-get-article-as-string): use spam-get-article-as-buffer
	(spam-summary-prepare-exit): fixed bug, noticed by Malcolm Purvis

2003-01-15  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el: Don't use `path'.
	From the GNU coding standards:

	    Please do not use the term ``pathname'' that is used in Unix
	    documentation; use ``file name'' (two words) instead.  We use
	    the term ``path'' only for search paths, which are lists of
	    directory names.

	* nnsoup.el (nnsoup-file-name): Ditto.

	* nnmail.el (nnmail-pathname-coding-system): Ditto.
	(nnmail-group-pathname): Ditto.

	* nnimap.el (nnimap-group-overview-filename): Ditto.

	* nnheader.el (nnheader-pathname-coding-system): Ditto.
	(nnheader-group-pathname): Ditto.

	* nnfolder.el (nnfolder-group-pathname): Ditto.

	* gnus.el (gnus-home-directory): Ditto.

	* gnus-group.el (gnus-group-icon-list): Ditto.

2003-01-16  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-mime-print-part): Use mm-handle-media-type.

	* message.el (message-mode-menu): Use it.
	(message-mode-menu): Deactivate "Yank Original" if there's no
	reply buffer.

	* messagexmas.el (message-xmas-redefine): Redefine in XEmacs.

	* message.el (message-mark-active-p): New function.

2003-01-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-bogofilter-headers, spam-bogofilter-header)
	(spam-bogofilter-database-directory): new variables
	(spam-check-bogofilter-headers, spam-check-bogofilter)
	(spam-bogofilter-register-with-bogofilter)
	(spam-bogofilter-register-spam-routine)
	(spam-bogofilter-register-ham-routine)
	(spam-group-ham-processor-bogofilter-p): new functions for the new
	Bogofilter interface
	(spam-summary-prepare-exit): use the new Bogofilter functions
	(spam-list-of-checks): added spam-use-bogofilter-headers
	(spam-bogofilter-score): rewrote function
	(spam-check-bogofilter): optional score parameter, uses
	spam-check-bogofilter-headers better
	(spam-check-bogofilter-headers): optional score parameter

	* gnus.el (gnus-install-group-spam-parameters): new variable, t by
	default, in the gnus-start customization group.  Used to disable
	the spam-*/ham-* parameters.
	(gnus-group-ham-exit-processor-bogofilter): new ham processor

2003-01-15  Jesper Harder  <harder@ifa.au.dk>

	* gnus-xmas.el (gnus-xmas-redefine): Use region-exists-p in
	XEmacs.

	* gnus-ems.el (gnus-mark-active-p): do.

2003-01-15  Kevin Ryde  <user42@zip.com.au>

	* gnus.texi (Using MIME): Mention auto-compression-mode with
	gnus-mime-copy-part.

2003-01-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-send): Don't warn about duplicates when
	superseding.

2003-01-15  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-download-body): New variable.
	(nnimap-split-articles): Use it.

2003-01-14  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-check-overview-buffer): This data
	integrity checker was incorrectly flagging, and removing, articles
	whose article number was negative.
	(gnus-agent-fetch-group-1): When executed in the group's summary
	buffer, refresh each downloaded line to update the status flag and
	font.  Preserve the value of gnus-newsgroup-headers so that
	gnus-agent-fetch-articles can split the requests by size.
	(gnus-agent-expire): Corrected day calculation for when
	gnus-agent-expire-days contains a list.

2003-01-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-audio.el (gnus-audio-au-player): Use executable-find.

2003-01-13  Jhair Tocancipa Triana <jhair_tocancipa@@gmx.net>

	* gnus-audio.el (gnus-audio-au-player, gnus-audio-wav-player): Use
	  /usr/bin/play as default player.
	  (gnus-audio-play): Added ARG-DESCRIPTOR to prompt for a file to play.

2003-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-add-send-actions): Allow a list of
	articles to be marked as well.

2003-01-14  Kevin Greiner  <kgreiner@xpediantsolutions.com>
	* gnus-agent.el (gnus-agent-get-undownloaded-list): Include the
	fictious headers generated by nnagent (ie. Undownloaded Article
	####) in the list of articles that have not been downloaded.

	* gnus-int.el (): Added require declarations to resolve
	compile-time warnings.
	(gnus-open-server): If the server status is set to offline,
	recursively execute gnus-open-server to open the offline backend
	(e.g. nnagent).

2003-01-14  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (gnus-article-reply-with-original): Use
	gnus-mark-active-p.
	(gnus-article-followup-with-original): do.

2003-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-sum.el: Removed `(when t ...)' around `gnus-define-keys'.

2003-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-score.el (gnus-score-edit-file-at-point): New function.
	(gnus-score-find-trace): Bind it to `e' key.  Added `q' for quit.

2003-01-13  Romain FRANCOISE  <romain@orebokech.com>

	* gnus-fun.el (gnus-x-face-from-file): Quote file name.
	(gnus-face-from-file): Ditto.

2003-01-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-articles-to-read): Don't just apply
	gnus-alter-articles-to-read-function to the unread articles.

2003-01-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-article-outlook-unwrap-lines)
	(gnus-article-outlook-repair-attribution)
	(gnus-article-outlook-rearrange-citation): New function names,
	renamed from "gnus-outlook-" to "gnus-article-outlook-".  Changed
	doc-string.

	* gnus-sum.el (gnus-summary-mode-map): Use new function names,
	removed `W k' key binding (use `W Y f' instead).
	(gnus-summary-make-menu-bar): Use new function names.

2003-01-13  Simon Josefsson  <jas@extundo.com>

	* gnus-fun.el (gnus-random-x-face): Doc fix.
	(gnus-insert-random-x-face-header): New function.

2003-01-13  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Deactivate items if
	mark is not active.

	* gnus-msg.el (gnus-inews-do-gcc): Comment.

	* gnus-ems.el (gnus-mark-active-p): New function.

	* gnus-group.el (gnus-topic-mode-p): New function.
	(gnus-group-make-menu-bar): Show more key bindings in topic mode.
	Deactivate items if mark is not active.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bumped version.
	(gnus-summary-line-format): Doc fix.

2003-01-12 22:02:49 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.12 is released.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail-source.el (mail-sources): Removed autoload to make it
	compile under XEmacs.

2003-01-12  Raymond Scholz  <ray-2003@zonix.de>

	* gnus-msg.el (gnus-confirm-mail-reply-to-news):  May be a
	regexp or a function too.
	(gnus-confirm-treat-mail-like-news): New variable.  Ask for
	confirmation even if the original article is mail.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-add-send-actions): Get the right
	articles to be marked when not yanking.

2003-01-12  Fran,Agois-David Collin  <Francois-David.Collin@curie.fr>

	* mm-decode.el (mm-get-part): Use mm-with-unibyte-current-buffer.

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-fun.el (gnus-face-from-file): Autoload.

	* gnus-cite.el (gnus-cite-delete-overlays): Protect against more
	errors.

2003-01-12  Simon Josefsson  <jas@extundo.com>

	* sieve.el (sieve-upload-and-bury): New.  Suggested by
	kai.grossjohann@uni-duisburg.de (Kai Gro,A_johann).

	* sieve-mode.el (sieve-mode-map): Bind s-u-a-b to C-c C-c.
	Suggested by kai.grossjohann@uni-duisburg.de (Kai Gro,A_johann).

2003-01-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-ignored-headers): Don't include the ^ and :
	in every string.

	* gnus.el (gnus-version-number): Bumped version number.

2003-01-12 13:46:20 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.11 is released.

2003-01-12  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-fetch-reply-field): Narrow to headers.

	* gnus-msg.el (gnus-inews-do-gcc): Don't try to mark GCC's as read
	if Gnus isn't alive.

2003-01-11  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): Remove downloadable
	marks from articles that are already stored in the agent.
	(gnus-agent-backup-overview-buffer): New debug tool.  Creates a
	backup copy of an invalid .overview file for later analysis.

2003-01-12  Gregorio Gervasio, Jr.  <gtgj@pacbell.net>

	* gnus-sum.el (gnus-summary-exit): Reverse change to make group
	exit work with two frames.

2003-01-11  Fran,Agois-David Collin  <Francois-David.Collin@wanadoo.fr>

	* message.el (message-forward-make-body): Use mule4.

2003-01-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-mode-map): Move wide-reply command.

2003-01-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* deuglify.el (gnus-outlook-deuglify-attrib-verb-regexp): Added
	castellano.
	(gnus-outlook-display-hook): New variable.
	(gnus-outlook-display-article-buffer): New function.
	(gnus-outlook-unwrap-lines, gnus-outlook-repair-attribution)
	(gnus-outlook-deuglify-article): Made them interactive and added
	optional arg.  Use `g-o-d-a-b'.
	(gnus-article-outlook-deuglify-article): Use `g-o-d-a-b'.

	* gnus-sum.el: Added autoloads.
	(gnus-summary-mode-map): Added gnus-summary-wash-deuglify-map.
	(gnus-summary-make-menu-bar): Added "(Outlook) Deuglify" menu.

2003-01-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-display-mime): Use the mime emulation
	variable.

	* gnus-sum.el (gnus-article-emulate-mime): New variable.

	* gnus-start.el (gnus-read-newsrc-el-file): Make sure that the
	newsrc-alist is initialized properly.

	* mail-source.el (mail-sources): Autoload.

	* gnus-sum.el (gnus-summary-make-false-root-always): Default to
	nil.

	* gnus-msg.el (gnus-configure-posting-styles): Make sure we don't
	insert two newlines.

	* message.el (message-check-news-header-syntax): Compute the
	header length correctly.

2003-01-10  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-expire): Do not remove article from
	alist when keeping fetched article file.
	(gnus-agent-retrieve-headers): When parsing response for article
	numbers, use the same algorithm as gnus-agent-braid-nov to protect
	against garbage in the server's response.

	* gnus-int.el (gnus-request-expire-articles,
	gnus-request-move-article): Only expire when the group's server
	has been agentized.

2003-01-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-cite.el (gnus-cite-delete-overlays): Protect against
	errors when deleting overlays.

	* gnus-score.el (gnus-score-followup): Allow tracing.

	* gnus-art.el (gnus-treat-display-face): New variable.
	(article-display-face): New command.

	* gnus-fun.el (gnus-face-from-file): New function.
	(gnus-convert-face-to-png): Ditto.

	* gnus-art.el (gnus-ignored-headers): Added Face.

2003-01-10  Simon Josefsson  <jas@extundo.com>

	* nndraft.el (nndraft-request-group): Avoid crash in
	directory-files when draft directory doesn't exists.

	* gnus-sum.el (gnus-select-article-hook): Add :option.

2003-01-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-stat): new variable
	(spam-group-spam-processor-stat-p)
	(spam-group-ham-processor-stat-p): new convenience functions
	(spam-summary-prepare-exit): add spam/ham processors to sequence
	(spam-list-of-checks): add spam-use-stat to list of checks
	(spam-split): conditionally load the spam-stat tables
	(spam-stat-register-spam-routine, spam-stat-register-ham-routine,
	spam-check-ifile): new functions

	* spam-stat.el (spam-stat): typo fix
	(spam-stat-install-hooks): new variable
	(spam-stat-split-fancy-spam-group): added documentation clarification
	(spam-stat-split-fancy-spam-threshhold): new variable
	(spam-stat-install-hooks): make hooks conditional
	(spam-stat-split-fancy): use spam-stat-split-fancy-spam-threshhold

	* gnus.el (gnus-group-ham-exit-processor-stat, spam-process): add
	spam-stat ham/spam processor symbols

2003-01-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-newsrc-el-file): Make sure the .eld
	file exists.

2003-01-10  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-read-group-1): Don't select first
	undownloaded/downloadable only when unplugged.

2003-01-10  Jesper Harder  <harder@ifa.au.dk>

	* gnus-srvr.el (gnus-browse-foreign-server): Optimize inner loop.

2003-01-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-ifile): fixed call-process-region to use the
	db parameter only if it's set
	(spam-ifile-register-with-ifile): ditto

2003-01-09  Alex Schroeder  <alex@emacswiki.org>

	* spam-stat.el (spam-stat-save): Set spam-stat-ngood and
	spam-stat-nbad before creating the hash table.
	(spam-stat-reset): Set spam-stat-ngood and spam-stat-nbad to 0.
	Changed copyright statement to FSF.

2003-01-09  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-catchup): Do not mark cached nor
	processable articles as read.
	(gnus-agent-summary-fetch-series): Remove processable and
	downloadable marks on all downloaded articles in the series.

	* nntp.el (nntp-report): Throw error after reporting the problem.
	(nntp-accept-process-output): Corrected error check to report an
	error when the process is nil.

2003-01-09  Simon Josefsson  <jas@extundo.com>

	* message.el (message-tool-bar-map): Add preview.

2003-01-09  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-preview): Get rid of MIME handles and buffers after
	previewing.

2003-01-08  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--grp-add-art): Fix wrong-type-argument
	bug when the (n+1)th article to be added to a group has a smaller
	number than the n articles already added.

2003-01-08  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-mode-field-menu): Use backquote.

2003-01-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: fixed the BBDB autoloads again, using
	bbdb-search-simple now (which is not a macro, thank god)

	* lpath.el (bbdb-search): removed function from maybe-fbind list

	* gnus.el (ham-process-destination): added new parameter for
	destination of ham articles found in spam groups at summary exit

	* spam.el (spam-get-ifile-database-parameter): use spam-ifile-database-path
	(spam-check-ifile, spam-ifile-register-with-ifile): use spam-get-ifile-database-parameter
	(spam-ifile-database-path): added new parameter for ifile's database
	(spam-move-spam-nonspam-groups-only): new parameter to determine
	if spam should be moved from all groups or only some
	(spam-summary-prepare-exit): fixed logic to use
	spam-move-spam-nonspam-groups-only when deciding to invoke
	spam-mark-spam-as-expired-and-move-routine; always invoke that
	routine after the spam has been expired-or-moved in case there's
	some spam left over; use spam-ham-move-routine in spam groups
	(spam-ham-move-routine): new function to move ham articles to the
	ham-process-destinations group parameter

2003-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-spec.el (gnus-parse-complex-format): %~ => ~*.

	* gnus-agent.el (gnus-agent-fetch-selected-article): Use
	gnus-summary-update-article-line.

2003-01-08  Simon Josefsson  <jas@extundo.com>

	* nnmail.el (nnmail-expiry-target-group): Request group, create it
	not successful.

2003-01-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el (bbdb-records): Fbind it for both Emacs and XEmacs.

2003-01-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-ifile): fixed the spam-ifile-all-categories
	logic, finally

2003-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-spec.el (gnus-parse-format): %C is a complex format.
	(gnus-parse-format): Change to %~.

	* message.el (message-generate-headers): Don't generate optional
	empty headers.

2003-01-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-cross-post-default)
	(message-cross-post-note-function, message-shoot-gnksa-feet)
	(message-strip-subject-trailing-was, message-change-subject)
	(message-mark-insert-file, message-cross-post-followup-to)
	(message-cross-post-followup-to, message-mode-map)
	(message-generate-unsubscribed-mail-followup-to)
	(message-make-mail-followup-to): Minor changes to doc-strings and
	error messages.  Updated copyright line.

	* message.el (message-make-mail-followup-to,
	message-generate-unsubscribed-mail-followup-to): New function
	names.  Renamed functions: "-mft" -> "-mail-followup-to".
	(message-make-mft, message-gen-unsubscribed-mft): Removed function
	names.

	* mml.el (mml-preview-insert-mail-followup-to): New function name.
	(mml-preview-insert-mft): Removed function name.
	(mml-preview): Use new function names.

	* gnus-art.el (gnus-article-edit-mode-map): Use new function names.

	* message.el (message-mode-field-menu): Moved header related
	commands from "Message" to "Field" menu.

2003-01-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-generate-headers-first): Added customization
	if variable is a list.

2003-01-07  Michael Shields  <shields@msrl.com>

	* gnus-art.el (gnus-article-next-page): Correctly handle the case
	where the last line of the article is the last line of the window.

2003-01-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-debug): Use ignore-errors.

	* gnus-agent.el (gnus-agent-fetch-selected-article): Use
	`gnus-summary-update-line'.

2003-01-08  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-unbuttonized-mime-types)
	(gnus-buttonized-mime-types): Doc fix.

2003-01-08  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-inline-media-tests): .xpm is 'x-xpixmap'.

2003-01-07  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnrss.el (nnrss-group-alist): Add and clear up.

2003-01-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: removed unnecessary condition-case for loading bbdb-com.el

	* lpath.el (bbdb-search): added BBDB functions for a better way to
	fix missing functions

	* spam.el (spam-check-ifile): if should be an unless

	* spam.el: define 'ignore alias for spam-BBDB-register-routine,
	spam-enter-ham-BBDB, and bbdb-create-internal initially to hush up warnings
	(spam-ifile-all-categories): doc string fixed to be less than 80 chars

2003-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-make-menu-bar): Added
	gnus-summary-refer-thread to thread menu.

2003-01-07  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group-1): When fetching within a
	summary buffer, articles that cannot be fetched are marked as
	canceled.

	* nntp.el (nntp-with-open-group): The quit signal handler must
	propagate the quit signal to the next outer handler so that the
	caller knows that the request aborted abnormally.

2003-01-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-ifile, spam-ifile-register-with-ifile)
	(spam-ifile-register-spam-routine)
	(spam-ifile-register-ham-routine): added ifile functionality that
	does not use ifile-gnus.el to classify and register articles
	(spam-get-article-as-string): convenience function
	(spam-summary-prepare-exit): added ifile spam and ham registration
	(spam-ifile-all-categories, spam-ifile-spam-category)
	(spam-ifile-path, spam-ifile): added customization options

	* gnus.el (gnus-group-ham-exit-processor-ifile): added ifile ham
	exit processor
	(spam-process): added gnus-group-ham-exit-processor-ifile to the
	list of choices

2003-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-score.el (gnus-score-followup): Also score immediate
	followups.

2003-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnweb.el (nnweb-asynchronous-p): Changed to nil.

2003-01-07  Simon Josefsson  <jas@extundo.com>

	* message.el (message-mode-menu): Fix receipt balloon help.

2003-01-07  Jesper Harder  <harder@ifa.au.dk>

	* gnus-msg.el (gnus-group-post-news): Don't assume that "" will
	always be interpreted as news.

2003-01-07  Simon Josefsson  <jas@extundo.com>

	* gnus-sieve.el (gnus-sieve-script): Use the crosspost argument to
	gnus-sieve-script, instead of the global variable
	gnus-sieve-crosspost.  One-line patch from Steinar Bang
	<sb@dod.no>.

2003-01-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus.el: Renamed gnus-summary-*-uncached-face as
	gnus-summary-*-undownloaded-face to avoid confusing the agent with
	the cache.

	* gnus-sum.el: Ditto.

2003-01-06  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-group): Modified to permit execution
	in either the group or summary buffer.
	New command "JS", in summary buffer, will fetch articles per the
	group's category, predicate, and processable flags.
	(gnus-agent-summary-fetch-series): Rewritten to call
	gnus-agent-session-fetch-group once with all articles in the
	series.
	(gnus-agent-summary-fetch-group): Fixed bug and modified code to
	return list of fetched articles.
	(gnus-agent-fetch-articles): Split fetch list into sublists such
	that the article buffer is only slightly larger than
	gnus-agent-max-fetch-size.  Added unwind-protect to ensure that
	the group's article alist is saved.
	(gnus-agent-fetch-headers): The 'killed' and 'cached' marks no
	longer result in the agent trying to fetch an article.
	(gnus-agent-fetch-group-1): Can now be called in either the group
	or summary buffer.  Removed the max-fetch-size code that I added
	on 2002-12-13 as that capability is now part of
	gnus-agent-fetch-articles.  Added code to update summary buffer.
	When called in the group buffer, articles that can not be fetched
	are AUTOMATICALLY MARKED AS READ.

	* gnus-sum.el (): Modified eval-when-compile to minimize
	misleading compilation warnings.
	(gnus-update-summary-mark-positions): Changed code to use
	gnus-undownloaded-mark rather than gnus-downloaded-mark.

	* nnheader.el (nnheader-insert-nov-file): Do not try to insert an
	empty file as the parser assumes that the file isn't empty.

	* nntp.el (nntp-send-string): The process-send-string call can,
	because it performs I/O on the process, change the process' state
	from open to closed.  If this happens, call nntp-report
	immediately to report the broken connection.
	(nntp-report): Rewritten to avoid needing a global variable to
	determine the appropriate course of action.  Instead, two function
	implementations are provided and the nntp-report function value is
	bound to the appropriate implementation.
	(nntp-retrieve-data): Moved nntp-report call to end of implementation.
	(nntp-with-open-group): Now binds nntp-report's function cell
	rather than binding gnus-with-open-group-first-pass.  Added a
	condition-case to detect a quit during a nntp command.  When the
	quit occurs, the current connection is closed as a fetch articles
	request could have several megabytes queued up for reading.
	(nntp-retrieve-headers): Bind articles to itself.  If
	nntp-with-open-group repeats this command, I must have access to
	the original list of articles.
	(nntp-retrieve-groups): Ditto for groups.
	(nntp-retrieve-articles): Ditto for articles.
	(*): Replaced nntp-possibly-change-group calls to
	nntp-with-open-group forms in all, but one, occurrance.
	(nntp-accept-process-output): Bug fix. Detect when called with
	null process.

2003-01-06  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el (mm-find-mime-charset-region): Don't do Latin-9 hack
	if we don't need to.
	(mm-iso-8859-x-to-15-region): Fix misplaced parenthesis.

2003-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-make-web-group): Pass the select
	method on to group-create.
	(gnus-group-line-format-alist): %U is an integer.

	* gnus-sum.el (gnus-summary-exit-no-update): Don't update
	ephemeral groups.
	(gnus-summary-read-group-1): Ditto.
	(gnus-group-make-articles-read): Ditto.

	* mm-url.el (mm-url-program): Doc fix.

	* message.el (message-mode-map): Rebound
	message-insert-wide-reply.

2003-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-xmas.el (gnus-xmas-group-startup-message): Bind the oort
	color as `gnus-group-startup-message' does.

2003-01-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: fixed line lengths to 80 chars or less

	* gnus-sum.el (gnus-read-mark-p): added the spam-mark as a
	"not-read" mark
	(gnus-summary-mark-forward): added the spam-mark to the list of
	marks not to be marked as "read" when viewed

2003-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-make-draft): Quote article-reply.

	* gnus-group.el (gnus-number-of-unseen-articles-in-group):
	Protect against unactive groups.

	* message.el (message-check-news-header-syntax): Check long
	header lines.
	(message-check-news-header-syntax): Update `start'.

	* gnus-group.el (gnus-group-expire-articles): Doc fix.
	(gnus-group-line-format): %U.
	(gnus-group-line-format-alist): ?U.
	(gnus-number-of-unseen-articles-in-group): New function.

	* nntp.el (nntp-accept-process-output): Use a 0.1 second timeout.

	* gnus.el (gnus-version-number): Bump version number.

2003-01-05 01:53:30 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.10 is released.

2003-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Fix version number.

2003-01-05 01:40:09 Lars Magne Ingebrigtsen <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.08 is released.

2003-01-04  Jesper Harder  <harder@ifa.au.dk>

	* mm-util.el: Add mm-string-make-unibyte.

	* gnus-group.el (gnus-group-jump-to-group): Make it work for
	UTF-8 groups.

2003-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-variable-list): Write gnus-format-specs last.

	* gnus-sum.el (gnus-summary-goto-subjects): Fix typo.

2003-01-04  Kevin Ryde  <user42@zip.com.au>

	* gnus-art.el (gnus-mime-jka-compr-maybe-uncompress): New
	function.

2003-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-exit): Bind gnus-group-is-exiting-p.
	(gnus-summary-read-group-1): Update group line.
	(gnus-summary-exit-no-update): Update group on exit.

	* gnus-group.el (gnus-group-line-format): Add %*.
	(gnus-group-line-format-alist): Ditto.
	(gnus-group-insert-group-line): Set it.
	(gnus-group-is-exiting-p): New variable.
	(gnus-group-insert-group-line): Use it.

2003-01-03  Teodor Zlatanov  <tzz@beld.net>

	* spam.el (spam-enter-ham-BBDB, spam-BBDB-register-routine):
	enable BBDB ham processing
	(spam-blacklist-register-routine): enable blacklist spam processing
	(spam-whitelist-register-routine): enable whitelist ham processing
	(spam-fetch-field-from-fast): fast fetching of the "from" field
	from (gnus-data-list)
	(spam-summary-prepare-exit): works completely now
	(spam-use-blacklist): oops, should be nil by default
	(spam-summary-prepare-exit): spam-use-PROCESSOR is only for
	split processing now; before it was for summary exit as
	well but that's done with the spam-contents and spam-process
	parameters now

2003-01-03  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-insert-tag): Don't quote non-ASCII unibyte
	characters.

2003-01-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-group-spam-contents-p, spam-group-ham-contents-p)
	(spam-group-processor-p, spam-group-processor-bogofilter-p)
	(spam-group-processor-ifile-p, spam-group-processor-blacklist-p)
	(spam-group-processor-whitelist-p, spam-group-processor-BBDB-p)
	(spam-mark-spam-as-expired-and-move-routine)
	(spam-generic-register-routine, spam-BBDB-register-routine)
	(spam-ifile-register-routine, spam-blacklist-register-routine)
	(spam-whitelist-register-routine): new functions
	(spam-summary-prepare-exit): added summary exit processing (expire
	or move) of spam-marked articles for spam groups; added slots for
	all the spam-*-register-routine functions

2003-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-retr): Wait 500 msecs.
	(pop3-read-response): Ditto.

	* gnus-msg.el (gnus-setup-message): Get the evaliation order
	right.
	(gnus-inews-make-draft): New function.
	(gnus-setup-message): Use it.

	* message.el (message-required-headers): Add From.

2003-01-02  Katsumi Yamaoka  <yamaoka@jpl.org>
	Trivial patch from Norbert Koch <nk@viteno.net>.

	* gnus-msg.el (gnus-gcc-externalize-attachments): Fix typo.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-generate-headers): Let header formatters do
	their work.

2003-01-02  Raymond Scholz  <ray-2003@zonix.de>

	* deuglify.el (gnus-article-outlook-deuglify-article):
	Rehighlight, reapply treatments and call
	`gnus-article-prepare-hook'.  Suggested by Niels Olof Bouvin.
	(gnus-outlook-repair-attribution-block): Recognize cited
	attributions.  Suggested by Niklas Morberg.

2003-01-02  Pete Kazmier  <pete@kazmier.com>

	* gnus-art.el (gnus-treat-predicate): Check condition first.

2003-01-02  Jesper Harder  <harder@ifa.au.dk>

	* lpath.el: Add url-http-file-exists-p.

	* gnus-group.el (gnus-group-fetch-charter): Use
	http://TLH.news-admin.org/charters/GROUPNAME as a fallback.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-draft-headers): Also generate From to get a
	nicer draft buffer summary.

	* gnus-xmas.el (gnus-xmas-read-event-char): Take an optional
	parameter.

	* gnus-art.el (article-wash-html): Clean up.
	(article-wash-html): Typo fix.

	* gnus-msg.el (gnus-summary-mail-forward): Clean up.
	(gnus-summary-mail-forward): To many lists of lists.

	* gnus-art.el (article-wash-html): Clean up.

2003-01-02  pete-temp  <pete-temp-12-29-2002@kazmier.com>

	* gnus-art.el (gnus-treat-wash-html): New variable.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-news-header-syntax): Allow posting.
	(message-check-news-header-syntax): Fix logic for sure, this
	time.

2003-01-02  Matthieu Moy  <Matthieu.Moy@imag.fr>

	* message.el (message-check-news-header-syntax): Check syntax of
	continuation headers.

2003-01-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-url-regexp,
	(gnus-button-mid-or-mail-regexp, gnus-button-alist,
	(gnus-header-button-alist): Regexps are case insensitive here.

2003-01-02  Simon Josefsson  <jas@extundo.com>

	* dig.el (query-dig): Doc fix.

2003-01-02  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Update whole
	summary buffer line, not just the download mark.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-goto-subjects): New function.
	(gnus-summary-insert-dormant-articles): New command and
	keystroke.

	* gnus-cache.el (gnus-summary-insert-cached-articles): Use new
	function for mass insertion of subjects.

	* nndraft.el (nndraft-generate-headers): Don't move point.

	* gnus.el (nnheader): Require nnheader.

	* nndraft.el (nndraft-request-associate-buffer): Use
	make-local-variable.

2003-01-02  Michael Shields  <shields@msrl.com>

	* nndraft.el (nndraft-request-associate-buffer): Make
	write-contents-hooks buffer-local before setting it.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-group-parameter-value): Take an extra param.
	(gnus-group-fast-parameter): Let group param results be nil.

	* gnus-art.el (gnus-article-forward-header): New function.
	(article-date-ut): Use it to remove continuation date headers.

	* gnus-sum.el (gnus-summary-walk-group-buffer): Supply prompt to
	read-event.
	(gnus-summary-remove-bookmark): Clean up.
	(gnus-summary-set-bookmark): Clean up.

	* gnus-util.el (gnus-read-event-char): Take an optional prompt.

	* gnus.el (gnus-group-startup-message): Bind data-directory to
	the Gnus etc directory.

2003-01-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-summary-prepare-exit): added slots for spam- and
	ham-processing of articles; use the new
	spam-group-(spam|ham)-contents-p functions
	(spam-group-spam-contents-p, spam-group-ham-contents-p): new
	convenience functions
	(spam-mark-junk-as-spam-routine): use the new
	spam-group-spam-contents-p function

	* gnus.el (spam-process, spam-contents, spam-process-destination):
	added new parameters with corresponding global variables
	(gnus-group-spam-exit-processor-ifile,
	gnus-group-spam-exit-processor-bogofilter,
	gnus-group-spam-exit-processor-blacklist,
	gnus-group-spam-exit-processor-whitelist,
	gnus-group-spam-exit-processor-BBDB,
	gnus-group-spam-classification-spam,
	gnus-group-spam-classification-ham): added new symbols for the
	spam-process and spam-contents parameters

	* spam.el (spam-ham-marks, spam-spam-marks): changed list
	customization and list itself to store mark symbol rather than
	mark character.
	(spam-bogofilter-register-routine): added logic to generate mark
	values list from spam-ham-marks and spam-spam-marks, so (member)
	would work.

2003-01-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-cross-post-followup-to): Fix comment.

2003-01-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-ham-marks, spam-spam-marks): changed list
	customization and list itself to store mark symbol rather than
	mark character.
	(spam-bogofilter-register-routine): added logic to generate mark
	values list from spam-ham-marks and spam-spam-marks, so (member)
	would work.

2003-01-01  Raymond Scholz  <ray-2002@zonix.de>

	* message.el (message-signature-insert-empty-line): New variable.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el: Renamed functions and variables: "xpost" ->
	"cross-post", "-fup2" -> "-followup-to".
	(message-cross-post-old-target, message-cross-post-default,
	message-cross-post-note, message-followup-to-note,
	message-cross-post-note-function): New variables names.
	(message-xpost-old-target, message-xpost-default,
	message-xpost-note, message-fup2-note,
	message-xpost-note-function): Removed variable names.
	(message-cross-post-followup-to-header,
	message-cross-post-insert-note, message-cross-post-followup-to):
	New function names.
	(message-xpost-fup2-header, message-xpost-insert-note,
	message-xpost-fup2): Removed function names.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-send-mail): Added message-cleanup-headers to
	prevent newlines in headers.

2003-01-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el (dns-make-network-process): Comment.

	* gnus-sum.el (gnus-summary-display-while-building): Default to
	nil.

2003-01-01  Wes Hardaker  <wes@hardakers.net>

	* gnus-sum.el (gnus-summary-display-while-building): New
	variable.

2003-01-01  Raymond Scholz  <ray-2003@zonix.de>

	* deuglify.el (gnus-outlook-rearrange-article): Kill overlays
	before rearranging the article.

2003-01-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndraft.el (nndraft-generate-headers): New function.
	(nndraft-request-associate-buffer): Use it to write headers on
	buffer save.

	* message.el (message-generate-headers): Let the function be a
	lambda form.
	(message-draft-headers): New variable.

	* gnus-msg.el (gnus-inews-make-draft-meta-information): New
	function.
	(gnus-setup-message): Use it.

	* message.el (message-generate-headers-first): Doc fix.
	(message-setup-1): Use new function for getting which headers to
	generate.
	(message-headers-to-generate): New function.

2003-01-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-save-alist): Make directory.

2002-12-31  Reiner Steib  <4uce.02.r.steib@gmx.net>

	* gnus-sum.el (gnus-summary-limit-to-age): Make prompt string
	mention negatives.

2002-12-31  Raymond Scholz  <ray-2002@zonix.de>

	* deuglify.el (gnus-outlook-rearrange-article): Use
	`transpose-regions' instead of tempering the kill-ring.
	(gnus-article-outlook-deuglify-article): Rehighlight article
	instead of a complete redisplay.

2002-12-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: most defvars are defcustoms now

	patches from Michael Shields  <shields@msrl.com>

	* spam.el (spam-bogofilter-articles): Select the article
	body using gnus-summary-show-article t instead of
	gnus-summary-select-article; this presents the raw text
	without running any hooks.

	* spam.el (spam-bogofilter-articles): Use message-remove-header
	to remove headers; the old way incorrectly removed just the first
	line of folded headers.

2002-12-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-load): Replace `ding-file' with `file'.

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-load): New function.
	(gnus-read-newsrc-el-file): Use it.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* gnus-art.el (gnus-button-valid-fqdn-regexp): New variable.
	(gnus-button-handle-apropos-documentation): New function.
	(gnus-button-handle-ctan): New function.
	(gnus-button-alist): Use them.  Improve some regexps.
	(gnus-button-prefer-mid-or-mail): Addition to doc-string.

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-subscribed-p): New function.
	(message-send-mail): Use it.
	* mml.el (mml-preview-insert-mft): New function.
	(mml-preview): Use it.

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-thread-latest-date): Protect against errors
	when sorting by date.

	* gnus-art.el (gnus-article-edit-mode): New variable.
	(gnus-article-setup-buffer): Warn user about discarding edits.

	* gnus-sum.el (gnus-summary-pipe-output): Clean up.
	(gnus-summary-pipe-output): Take a symbolic prefix to save all
	headers.

	* mm-uu.el (mm-uu-configure-list): Default to (shar . disabled).

2002-12-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-completion-alist): Added "Mail-Followup-To"
	and "Mail-Copies-To".

2002-07-21  Jesper harder  <harder@ifa.au.dk>

	* gnus-group.el: Add key bindings for
	gnus-group-sort-groups-by-real-name and
	gnus-group-sort-selected-groups-by-real-name.

2002-07-21  Jesper harder  <harder@ifa.au.dk>

	* gnus.texi (Sorting Groups): Add key bindings for
	gnus-group-sort-groups-by-real-name and
	gnus-group-sort-selected-groups-by-real-name.

2002-12-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-use-dig): new variable for blackhole checking
	through dig.el
	(spam-check-blackholes): added dig.el checking functionality and
	more verbose reporting; query-dig is autoloaded from dig.el
	(spam-use-blackholes): disabled by default
	(spam-blackhole-servers): removed rbl.maps.vix.com from the
	blackhole servers list

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-required-headers): New variable.

2002-12-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* dig.el (query-dig): new function

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* flow-fill.el (fill-flowed): Don't infloop on too long fill
	prefixes.

	* dns.el (query-dns): Protect against errors.

	* gnus-msg.el (gnus-article-yanked-articles): New variable.
	(gnus-inews-add-send-actions): Mark all answered messages as
	answered.

2002-08-10  Jari Aalto  <jari.aalto@poboxes.com>

	* nnmail.el (nnmail-split-it): Added tracing to
	`:' split rule

2002-08-13  Hrvoje Niksic  <hniksic@xemacs.org>

	* mm-decode.el (mm-mailcap-command): Remove the quotes around '%s'
	and "%s" so we don't overquote them.

2002-08-13  Hrvoje Niksic  <hniksic@xemacs.org>

	* (mm-display-external): Display the actual command that has been
	executed in the echo area.

2002-12-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-display-missing-topic): Bind entry.

	* message.el (message-with-reply-buffer): New macro.
	(message-fetch-reply-field): Use it.
	(message-insert-wide-reply): New command and keystroke.
	(message-carefully-insert-headers): New function.
	(message-insert-to): Use new function.

	* gnus-topic.el (gnus-topic-display-missing-topic): New function.
	(gnus-topic-goto-missing-group): Use it.

	* message.el (message-required-news-headers): Removed Lines.
	(message-reply): Don't insert References first.
	(message-followup): Ditto.
	(message-make-references): New function.
	(message-followup): Set message-reply-headers before generating
	the buffer stuff.

2002-12-29  Jesper Harder  <harder@ifa.au.dk>

	* mml.el (mml-generate-mime-1): Reverse the order of
	encoding/flowing.

2002-12-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-expiry-target-group): Mark articles as read
	after moving them.

	* gnus-sum.el (gnus-summary-dummy-line-format): Update format to
	fit with newer standard format.
	(gnus-summary-make-false-root-always): New variable.
	(gnus-gather-threads-by-subject): Use it.

	* message.el (message-get-reply-headers): Take an address list
	optional argument.

2002-12-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-keep-backlog): Change default to 20.

	* gnus-agent.el (gnus-agent-check-overview-buffer): Start from
	start.
	(gnus-agent-check-overview-buffer): Remove negative article
	numbers.

	* nnmail.el (nnmail-split-fancy-with-parent-ignore-groups): Doc fix.
	(nnmail-cache-ignore-groups): Doc fix.

	* nnimap.el (nnimap-debug): Made into a flag and defcustomed.
	(nnimap-debug-buffer): New variable.
	(nnimap-debug): Use it.

2002-12-28  Lars Magne Ingebrigtsen  <kgreiner@xpediantsolutions.com>

	* gnus.el (gnus-summary-high-uncached-face): New color scheme.

2002-12-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-check-overview-buffer): Sort lines if
	they aren't already sorted.

2002-12-28  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-mode-menu): Add ellipses to menu items
	expecting user interaction.
	(message-mode-field-menu): do.

2002-12-26  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-highlight-line): Don't bind `list' --
	it isn't used any more.

2002-12-22  Jesper Harder  <harder@ifa.au.dk>

	* binhex.el (binhex-decoder-program): Fix docstring.

2002-12-21  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* mm-decode.el (mm-mailcap-command): Do not backslash-quote
	special chars if the mailcap file uses single quotes around %s.
	From Laurent Martelli <laurent@bearteam.org>.

2002-12-19  Paul Jarc  <prj@po.cwru.edu>

	* gnus-int.el (gnus-request-update-info): nnchoke-r-u-i might not
	return the info object.

2002-12-18  Paul Jarc  <prj@po.cwru.edu>

	* gnus-int.el (gnus-request-update-info): Artificially add
	(1 . (1- min)) to the read range, in case the backend doesn't
	store marks for nonexistent articles.

2002-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* binhex.el (binhex-insert-char): Eval-and-compile.

2002-12-17  Jesper Harder  <harder@ifa.au.dk>

	* lpath.el: Add tool-bar-local-item-from-menu.

	* message.el (message-tool-bar-local-item-from-menu): New function.
	(message-tool-bar-map): Use it.

2002-12-14  Jesper Harder  <harder@ifa.au.dk>

	* gnus-uu.el (gnus-uu-digest-headers): Mention nil value in docstring.

	* gnus-art.el (gnus-article-header-rank): Last header in
	gnus-sorted-header-list should have higher rank than non-members.

2002-12-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-close-agent): Don't blank out the list of
	covered methods.

2002-12-12  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nntp.el (nntp-with-open-group-first-pass): Do not wrap in
	eval-when-compile.  Suggested by Kevin Greiner.

2002-12-13  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-max-fetch-size): New, defcustom.
	(gnus-agent-fetch-headers): Initialize gnus-agent-overview-buffer
	even though no headers may have been fetched
	(gnus-agent-fetch-group-1, and perhaps others, require this
	behavior).
	(gnus-agent-fetch-group-1): Fetch articles in chucks so that the
	server buffer is constrained by gnus-agent-max-fetch-size.
	Multiple chunks in the same group may perform arbitrarily large
	updates.

2002-12-12  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Added call to
	gnus-summary-update-download-mark to update the article in the
	summary.

2002-12-11  Kevin Greiner <kgreiner@xpediantsolutions.com>

	* gnus.el (gnus-summary-high-uncached-face,
	gnus-summary-normal-uncached-face, gnus-summary-low-uncached-face)
	New faces.

	* gnus-agent.el (gnus-agent-downloaded-article-face): REMOVED.  I
	added this on 2002-11-23 but it just wasn't working out as
	intended.  The idea isn't entirely dead, three new faces
	gnus-summary-*-uncached-face are being added to gnus.el to provide
	the basis for an improved implementation.
	(gnus-agent-read-servers): Undo the change made on 2002-11-23. The
	proper file to open is lib/servers.
	(gnus-summary-set-agent-mark): Expanded documentation.  Unmarking
	(i.e. removing the article from gnus-newsgroup-downloadable) will
	now restore the article's default mark rather than simply setting
	no mark.
	(gnus-agent-get-undownloaded-list): Corrected documentation.
	Added code to set new summary local variable,
	gnus-newsgroup-agentized.  Reworked impl so that it doesn't create
	a temporary list.  No longer sets gnus-newsgroup-downloadable.
	(gnus-agent-summary-fetch-group): Keep gnus-newsgroup-undownloaded
	up to date.  Call new gnus-summary-update-download-mark to keep
	summary buffer up-to-date.
	(gnus-agent-fetch-selected-article): Keep
	gnus-newsgroup-undownloaded up to date.
	(gnus-agent-fetch-articles): Return list of articles that were
	successfully fetched.
	(gnus-agent-check-overview-buffer): No more thingatpt.
	(gnus-agent-expire): No longer deletes NOV entries of unread
	articles.
	(gnus-agent-unread-articles): New function.
	(gnus-agent-regenerate-group): The article number must be
	terminated by a tab character.  Added more messages to report
	repairs.  Inhibit quits while writing changes so it is now safe
	have to quit regeneration.  Renamed gnus-tmp-downloaded back to
	downloaded to 1) resolve the unbound references and 2) avoid
	confusing this list with the gnus-tmp-downloaded in gnus-sum.el

	* gnus-art.el (gnus-article-prepare): The agent
	downloaded/undownloaded mark is no longer stored as the article's
	mark.

	* gnus-salt.el (gnus-tree-highlight-node): Added uncached as
	gnus-summary-highlight may use it.  Added downloaded as
	gnus-summary-highlight was using it.

	* gnus-sum.el (gnus-undownloaded-mark): Changed from ?@ to ?- as
	the download mark now follows Kai's +/- convention.
	(gnus-downloaded-mark): Added ?+ mark.
	(gnus-summary-highlight): Added rules to select
	gnus-summary-high-uncached-face,
	gnus-summary-normal-uncached-face, and
	gnus-summary-low-uncached-face.  Removed the
	gnus-agent-downloaded-article-face.
	(gnus-summary-line-format-alist): Implemented the download flag
	format (?O) as named in the manual.  This implementation displays
	either gnus-undownloaded-mark, gnus-downloaded-mark, or
	gnus-no-mark.
	(gnus-newsgroup-agentized): New local variable that identifies
	which groups are agentized.  While the agent is now on by default,
	you don't have to agentize every server that you use.
	(gnus-update-summary-mark-positions): Completed support for the
	download type of mark.
	(gnus-summary-insert-line): Added undownloaded to the parameters.
	(gnus-summary-prepare-threads): Set gnus-tmp-downloaded for
	reference by the gnus-summary-line-format-spec.

	* nntp.el (nntp-with-open-group): This macro handles dropped or
	broken connections by opening a new connection and repeating the
	failed command.
	(nntp-retrieve-headers-with-xover): Some NNTP servers respond to
	XOVER commands preceeding the active articles with the nov entry
	of the first available article.  When gnus connected to such a
	server, the unexpected nov entry would result in duplicate lines
	in the agent's overview file.  This patch fixes the duplicate
	lines problem and improves performance by skipping over all
	articles IDs that preceed the first nov entry in the server's
	reply.

2002-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-tmp-downloaded): New internal variable.
	(gnus-summary-highlight): Use it instead of `downloaded'.
	(gnus-summary-highlight-line): Ditto.

	* gnus-agent.el (gnus-agent-regenerate-group): Ditto.

2002-12-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-variable-list): Add gnus-agent-covered-methods.

	* gnus-agent.el (gnus-agent-check-overview-buffer): Remove debug
	calls.

	* gnus-sum.el (gnus-summary-highlight-line): Don't set the
	downloaded variable if we're in an uncovered group.

	* gnus-agent.el (gnus-agent-downloaded-article-face): Change the
	font to soemthing less noticeable.
	(gnus-agent-group-covered-p): New function.

2002-12-09  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-braid-nov): Remove corrupted lines.
	Because of an unknown bug, the group buffer is saved in .overview
	file.

2002-12-09  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nntp.el (nntp-send-command): Braino in last commit.  Replace
	`and' with `or'.

2002-12-08  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nntp.el (nntp-send-command): Assume that echo does not happen
	when nntp-open-connection-function is nntp-open-network-stream.
	Suggested by Sebastian D.B. Krause <krause@my.gnus.org>.

2002-12-07  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnslashdot.el (nnslashdot-retrieve-headers-1): Update the parser.

2002-12-06  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-group): bugfix: don't erase
	nntp-server-buffer if we aren't going to write to it.

2002-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>
	Trivial patch from Itai Zukerman <zukerman@math-hat.com>.

	* mm-decode.el (mm-w3m-safe-url-regexp): Fix parenthesis.

2002-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-decode-region): Remove newlines between
	decoded words.

2002-12-03  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus.el (fboundp): After loading mm-util, make sure it was the
	right one.

2002-11-29  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-art.el (gnus-inhibit-mime-unbuttonizing): Moved here from
	gnus-sum.  Made into a user option.

	* gnus-sum.el (gnus-simplify-ignored-prefixes)
	(gnus-summary-mark-article-as-unread)

2002-11-29  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* time-date.el (date-to-time): Typo.

	* parse-time.el: Typo.

	* nnsoup.el (nnsoup-retrieve-headers): Typo.

	* nnmail.el (nnmail-split, nnmail-process-unix-mail-format): Typos.

	* nnimap.el:
	(nnimap-split-rule, nnimap-find-minmax-uid): Typos.

	* mm-encode.el (mm-safer-encoding): Typo.

	* messcompat.el: Typo.

	* message.el (message-face-alist): Typo.

	* imap.el (imap-interactive-login, imap-open): Typos.

	* ietf-drums.el (ietf-drums-text-token, ietf-drums-qtext-token): Typos.

	* gnus.el: Typo.

	* gnus-win.el (gnus-configure-frame): Typo.

	* gnus-util.el (gnus-atomic-progn-assign): Typo.

	* gnus-topic.el (gnus-topic-sort-topics): Typo.

	* gnus-sum.el (gnus-summary-article-number)
	(gnus-summary-read-group-1, gnus-summary-mark-article)
	(gnus-summary-fetch-faq, gnus-refer-article-methods): Typos.

	* gnus-mule.el (gnus-mule-add-group): Typo.

	* gnus-mlspl.el (gnus-group-split-fancy): Typo.

	* gnus-group.el (gnus-group-fetch-faq): Typo.

	* gnus-art.el (gnus-decode-header-methods): Typo.

	* flow-fill.el: Typo.

2002-11-19  Stefan Monnier  <monnier@cs.yale.edu>

	* binhex.el (binhex-decode-region): Don't hardcode point-min == 1.

2002-11-29  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-simplify-ignored-prefixes)
	(gnus-summary-mark-article-as-unread)
	(gnus-mark-article-as-unread, gnus-summary-highlight-line):
	Reformatting to avoid long lines.
	(gnus-inhibit-mime-unbuttonizing): Moved to gnus-art.

2002-11-28  Daiki Ueno  <ueno@unixuser.org>

	* gnus-agent.el (gnus-agent-fetch-group-1): Article numbers should
	be accessed through `mail-header-number'.

2002-11-27  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* gnus-sum.el (gnus-summary-insert-old-articles): No longer passes
	compressed range to gnus-summary-insert-articles.

2002-11-26  Kevin Ryde <user42@zip.com.au>

	* gnus-art.el (gnus-mime-copy-part): Look for filename
	parameter under content-disposition, not content-type.

	* gnus-sum.el (gnus-summary-find-uncancelled): New function.
	(gnus-summary-reselect-current-group): Use it.

2002-11-26  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-agent.el (gnus-agent-uncached-articles): if
	gnus-agent-load-alist fails, return ARTICLES.

	* nnrss.el (nnrss-group-alist): Update the link of Jabber.

2002-11-26  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-insert-old-articles): Remove
	superfluous function call.
	(gnus-summary-catchup-all, gnus-summary-catchup-all-and-exit):
	Add warning to docstring.

2002-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el: Autoload number-at-point instead.
	(gnus-agent-check-overview-buffer): No warning for deactivate-mark.

2002-11-26  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-check-overview-buffer): Explicitly
	require thingatpt (for number-at-point) and protect against
	deactivate-mark being unbound (on XEmacs).

2002-11-25  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-check-overview-buffer): Make debugger
	print message on entry.

	From Kevin Greiner <kgreiner@xpediantsolutions.com>.

	* gnus-range.el (gnus-range-difference): New function.
	* gnus-sum.el (gnus-summary-insert-old-articles): Use it.

2002-11-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-sum.el (gnus-summary-insert-old-articles): Use
	gnus-remove-from-range instead of gnus-range-difference which
	doesn't exist.

2002-11-23  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>
	From Kevin Greiner <kgreiner@xpediantsolutions.com>.

	* gnus-agent.el (gnus-agent-downloaded-article-face): New face,
	used for showing which articles have been downloaded.
	(gnus-agent-article-alist): Format change.  Add documentation.
	(gnus-agent-summary-mode-map): New keybinding `J s' for fetching
	process-marked articles.
	(gnus-agent-summary-fetch-series): Command for `J s'.  Articles
	in the series are individually fetched to minimize lose of
	content due to an error/quit.
	(gnus-agent-synchronize-flags-server, gnus-agent-add-server): Use
	gnus-message instead of message.
	(gnus-agent-read-servers): Use file lib/methods instead of
	lib/servers.  TODO: Why?
	(gnus-summary-set-agent-mark): Adapt to new agent-alist format.
	(gnus-agent-get-undownloaded-list): Remove articles that appear to
	come from the agent.  This means that they are not downloaded.
	(gnus-agent-fetch-selected-article): Don't use history.
	(gnus-agent-save-history, gnus-agent-enter-history)
	(gnus-agent-article-in-history-p, gnus-agent-history-path):
	Removed function; history is not used anymore.
	(gnus-agent-fetch-articles): Fix handling of crossposted articles.
	(gnus-agent-crosspost): Started rewrite then realized that a typo
	in gnus-agent-fetch-articles ensures that this function is never
	called.  This will need to be fixed later.
	(gnus-agent-check-overview-buffer): Some sanity checks on the
	agent overview buffer.  This is a safety net used during
	development.
	(gnus-agent-flush-cache): The gnus-agent-article-alist format has
	changed, write a number to the file indicating this.
	(gnus-agent-fetch-headers): Rewrite to respect
	gnus-agent-consider-all-articles without relying on the
	`.fetched' files.  Make it fast.
	(gnus-agent-braid-nov): Change resulting from
	gnus-agent-fetch-headers change.
	(gnus-agent-load-alist, gnus-agent-save-alist): Don't use
	`.fetched' files.
	(gnus-agent-read-agentview): New function, used by
	gnus-agent-load-alist.
	(gnus-agent-load-fetched-headers): Remove.
	(gnus-agent-save-alist): Rewrite to accomodate new format.
	(gnus-agent-fetch-group-1): Make sure list of articles is in the
	same order as in gnus-newsgroup-headers.
	(gnus-agent-expire): Document and implement extra args ARTICLES,
	GROUP, FORCE.  Do not restrict usage.
	(gnus-agent-uncached-articles): New function.
	(gnus-agent-retrieve-headers): Use it.
	(gnus-agent-regenerate-group): No longer needs to be called from
	gnus-agent-regenerate.  Individual groups may be regenerated. The
	regeneration code now fixes duplicate, and mis-ordered, NOV entries.
	The article fetch dates are validated in the article alist.  The
	article alist is pruned of entries that do not reference existing
	NOV entries.  All changes are computed then applied with
	inhibit-quit bound to t.  As a result, it is now safe to quit out of
	regeneration.  The optional clean parameter has been replaced with
	an optional reread parameter.  Clean is no longer necessary as
	regeneration gets the appropriate setting from
	gnus-agent-consider-all-articles.  The new reread parameter will
	result in fetched, or all, articles being marked as unread.
	(gnus-agent-regenerate): Removed code to regenerate the history
	file as it is no longer used.

	* gnus-start.el (gnus-make-ascending-articles-unread): New
	function, for efficient mass-marking.

	* gnus-sum.el (gnus-summary-highlight): Use new face for
	downloaded articles.
	(gnus-article-mark): Prefer to indicate read/unread status over
	downloaded status.
	(gnus-summary-highlight-line-0): New function, maybe rehighlights
	line.
	(gnus-summary-highlight-line): Use new face for downloaded
	articles.
	(gnus-summary-insert-old-articles): Improved performance by
	replacing the initial LIST of older articles with a compressed
	RANGE of older articles.  Some servers appear to lie about
	their active range so the original list could contain millions
	of article numbers.  The range is not expanded into a list
	until the optional ALL parameter has been applied.

2002-11-18  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-category-mode): Typo in doc string.

2002-11-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el:
	added patch from Andreas Fuchs <asf@void.at> to prevent apply errors

	* spam.el: added `M s t' and `M s x' key mappings

2002-11-20  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-morse-message): Narrow to body.

2002-11-19  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-morse-message): Load
	morse.el (unmorse-region not autoloaded in Emacs 20 nor XEmacs).
	(unmorse-region): Autoload it instead.

2002-11-18  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-morse-message): New function.
	(gnus-summary-wash-map): Bind to `W m'.
	(gnus-summary-make-menu-bar): Add.

	* nnimap.el (nnimap-request-expire-articles): Compress sequence
	before storing \Deleted mark on expired articles.

2002-11-17  Shenghuo Zhu <zsh@cs.rochester.edu>
	Trivial patch from Markus Rost <rost@math.ohio-state.edu>

	* gnus-sum.el (gnus-summary-goto-unread): Doc fix - escape open
	parens in column 0.

2002-11-17  Juanma Barranquero  <lektu@terra.es>

	* nnweb.el (nnweb-google-create-mapping): Fix typo.

	* nnlistserv.el (nnlistserv-kk-create-mapping): Likewise.

	* gnus-nocem.el (gnus-nocem-liberal-fetch): Likewise.

2002-11-17  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* message.el (message-set-auto-save-file-name): Use
	make-directory, to avoid the dependence on gnus-util.

2002-11-16  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-callback-callback-function):
	(nnimap-callback-buffer): Removed, these cannot be global but must
	be embedded into the callback.
	(nnimap-make-callback): New.  Embedd article number, callback and
	buffer in function.
	(nnimap-callback, nnimap-request-article-part): Update.

2002-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-preview): Bind message-this-is-mail if it is mail.

2002-11-13  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus.el (gnus-summary-line-format): Document %C.

2002-11-11  Simon Josefsson  <jas@extundo.com>

	* pgg.el (pgg-encrypt, pgg-decrypt, pgg-sign, pgg-verify): Display
	output when called interactively.

2002-11-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-exit): Kill local variables.

	* message.el (message-draft-coding-system): Improve comment; use
	mm-auto-save-coding-system for the default value.

	* nndraft.el (nndraft-request-article): Revert to the state before
	2002-10-29; regexp-quote mail-header-separator.

2002-11-06  Jesper Harder  <harder@ifa.au.dk>

	* gnus-draft.el (gnus-draft-setup): Set gnus-message-group-art to
	allow editing of drafts from an nnvirtual group.

2002-11-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndraft.el (nndraft-request-article): Replace emacs-mule with
	mm-auto-save-coding-system.

	* message.el (message-draft-coding-system): Default to
	iso-2022-7bit.

	* mm-util.el (mm-auto-save-coding-system): Undo last change to
	restore the default value to emacs-mule or escape-quoted.

2002-11-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-encrypt-body): Inhibit encrypting of
	a delayed or a queued article as well as a draft.

	* gnus-sum.el (gnus-summary-edit-article): Inhibit editing of a
	delayed or a queued article in the raw format; treat a delayed
	article as a raw article as well as a draft.
	(gnus-summary-setup-default-charset): Clear gnus-newsgroup-charset
	for the delayed group.

	* nndraft.el (nndraft-request-article): Ignore auto save files for
	a delayed or a queued article; don't bother to decode a queued
	article; don't bind nnmail-file-coding-system for a queued article.

	* nnmail.el (nnmail-split-fancy-with-parent): Ignore the delayed
	and the queue group.

2002-11-04  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (gnus-group-delete-group):
	gnus-cache-active-hashtb might be void.

2002-11-02  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-encrypt-region): Makes PGG respect the
	setting of the default user ID.  From Raymond Scholz
	<ray-2002@zonix.de>.

2002-11-01  Jesper Harder  <harder@ifa.au.dk>

	* mm-bodies.el (mm-body-encoding): Don't return 8bit for 7bit
	charset.

2002-10-31  Ted Zlatanov <tzz@lifelogs.com>
	From Alex Schroeder <alex@emacswiki.org>
	* spam-stat.el (spam-stat-process-directory): add dir to message
	(spam-stat-reduce-size): No longer remove words
	with values close to 0.5, because the default value is 0.2.

2002-10-31  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-util.el (gnus-user-date-format-alist): Clarify and correct
	documentation.

2002-10-28  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-fetched-headers)
	(gnus-agent-load-fetched-headers)
	(gnus-agent-save-fetched-headers): Remove variable and two
	functions.  Kevin Greiner's version of gnus-agent-fetch-headers
	works better.
	(gnus-agent-fetch-headers): New implementation from Kevin
	Greiner.  Uses gnus-agent-article-alist to store information
	about fetched messages which aren't on the server anymore.  The
	trick is to return a list of considered messages to the caller,
	but to only fetch those which haven't been fetched yet.

2002-10-30  Simon Josefsson  <jas@extundo.com>

	* pgg-def.el (pgg-passphrase-cache-expiry): New, defcustom.

	* pgg.el (pgg-passphrase-cache-expiry): Removed.

2002-10-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mm-view.el (mm-w3m-local-map-property): Make it work with older
	versions of emacs-w3m than 1.3.3.

	* lpath.el: Bind w3m-minor-mode-map.

	* mm-view.el (mm-w3m-mode-command-alist)
	(mm-w3m-mode-dont-bind-keys, mm-w3m-mode-ignored-keys): Removed.
	(mm-w3m-mode-map): Undefined for Emacs21 and XEmacs.
	(mm-setup-w3m): Simplified.
	(mm-w3m-local-map-property): New function.
	(mm-inline-text-html-render-with-w3m): Use it.

	* gnus-art.el (gnus-article-wash-html-with-w3m): Use
	mm-w3m-local-map-property.

2002-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-auto-save-coding-system): Default to
	iso-2022-7bit.

	* nndraft.el (nndraft-request-article): Decode an article using
	the coding-system emacs-mule if it seems to have been saved using
	emacs-mule.
	(nndraft-request-replace-article): Use message-draft-coding-system
	instead of mm-auto-save-coding-system for the draft or delayed
	group.

2002-10-28  Josh  <huber@alum.wpi.edu>

	* mml.el (mml-mode-map): Fixed keybindings for mml-secure-*
	functions.

2002-10-28  Katsumi Yamaoka  <yamaoka@jpl.org>
	From mah@everybody.org (Mark A. Hershberger).

	* mm-url.el (mm-url-insert-file-contents): Make it return the same
	type values ("url" size) regardless of the values of
	mm-url-use-external.

2002-10-26  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* nnimap.el (nnimap-request-article-part): Try harder to show
	group name in debugging message.

2002-10-25  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-save-fetched-headers): Create
	directory if it doesn't exist.
	(gnus-agent-fetch-headers): Remove old cruft that tried to
	abstain from downloading articles more than once if
	gnus-agent-consider-all-articles was true.  This is now done
	properly via the .fetched files.

2002-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndraft.el (nndraft-request-article): Treat delayed articles
	like drafts.

2002-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-agent.el (gnus-agent-load-alist): Fix parenthesis.

2002-10-24  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-save-alist, gnus-agent-load-alist):
	Remove unused optional arg DIR and corresponding code.

	* nnimap.el (nnimap-request-article-part): Include group name in
	debugging output.

2002-10-24  Paul Jarc  <prj@po.cwru.edu>

	* gnus-agent.el (gnus-agent-fetch-headers): Add some comments.

2002-10-23  Kai Gro,A_johann  <kai.grossjohann@uni-duisburg.de>

	* gnus-agent.el (gnus-agent-fetched-headers): New variable,
	contains range of headers that have been fetched by the agent
	already.  Compare gnus-agent-article-alist.
	(gnus-agent-file-header-cache): Like
	gnus-agent-file-loading-cache, but for gnus-agent-fetched-headers.
	(gnus-agent-fetch-headers): Improve comment.  Revert to old
	seen/recent logic.
	Remember which headers have been fetched before and don't fetch
	them again the next time round.
	(gnus-agent-load-fetched-headers)
	(gnus-agent-save-fetched-headers): New functions, for remembering
	which headers have been fetched before.

2002-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Remove useless bindings.

2002-10-22  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-execute-command): Disable visual
	features while searching.

2002-10-22  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* pgg.el (pgg-snarf-keys): Do not refer unbinded local variables.

2002-10-22  Simon Josefsson  <jas@extundo.com>

	* pgg.el (pgg-encrypt, pgg-decrypt, pgg-sign, pgg-verify)
	(pgg-snarf-keys): Add.

2002-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lpath.el: Fbind bbdb-records.

	* spam.el: Don't autoload bbdb-records.

2002-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* spam.el: Set autoload for bbdb-records after loading bbdb-com to
	prevent inf-loop.

2002-10-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el: Removed some test lines.
	More test.

2002-10-21  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-agent.el (gnus-agent-fetch-headers): Remove articles that
	are known to be downloaded already.

2002-10-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-view.el (mm-text-html-renderer-alist): Add w3m-standalone.
	(mm-text-html-washer-alist): Ditto.

2002-10-19  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnheader.el (nnheader-remove-body): Fix an error of detecting
	boundary between headers and body.
	* nnml.el (nnml-parse-head): Ditto.

2002-10-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el (nnslashdot-generate-active): Ignore any bogus
	entries.

	* gnus-group.el (gnus-fetch-group): Allow an optional
	specification of the articles to select.

	* gnus-srvr.el (gnus-server-prepare): Removed superfluous cdr.

2002-10-20  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-agent.el (gnus-agent-fetch-group-1): After fetching
	headers from the group, update variable `articles' to contain
	only those numbers where headers exist.  (When fetching all
	articles in a group, Gnus creates lots of numbers where there is
	no articles.)

2002-10-20  Steve Youngs  <youngs@xemacs.org>

	* pgg-parse.el (pgg-parse-public-key-algorithm-alist): XEmacs
	doesn't have the 'alist custom type, use cons cells instead.
	(pgg-parse-symmetric-key-algorithm-alist): Ditto.
	(pgg-parse-hash-algorithm-alist): Ditto.
	(pgg-parse-compression-algorithm-alist): Ditto.
	(pgg-parse-signature-type-alist): Ditto.

	* pgg-gpg.el (pgg-gpg-extra-args): Fix custom mismatch.

	* pgg-pgp5.el (pgg-pgp5-extra-args): Ditto.

	* pgg-pgp.el (pgg-pgp-extra-args): Ditto.

2002-10-19  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-open-server): Check imap-state in IMAP server
	buffer.

2002-10-18  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-spec.el (gnus-make-format-preserve-properties)
	(gnus-xmas-format, gnus-parse-simple-format): Preserve text
	properties also on XEmacs.  `gnus-xmas-format' is like format but
	preserves text properties on XEmacs (though it only understands
	simple format specs).  The variable
	`gnus-make-format-preserve-properties' controls whether the
	function is used, and is checked in `gnus-parse-simple-format'.
	Patch by Paul Moore <gustav@morpheus.demon.co.uk>.

	* gnus-agent.el (gnus-agent-fetch-articles): More debugging
	output.
	(gnus-agent-consider-all-articles): New variable.
	(gnus-agent-get-undownloaded-list): Comment that marks todo item.
	(gnus-agent-fetch-headers): Depending on
	gnus-agent-consider-all-articles, maybe get all articles.
	(gnus-category-predicate-alist, gnus-agent-read-p): New predicate
	`read'.
	(gnus-predicate-imples-unread): New function.
	(gnus-agent-fetch-headers): Optimize to call
	gnus-list-of-unread-articles if that is sufficient.
	Check unseen and recent instead of seen and recent.
	(gnus-agent-fetch-headers): Abstain from calling
	gnus-list-range-intersection if range (a . b) would have (> a b).

2002-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-send-mail): Make it possible to perform
	edebug-defun.

2002-10-18  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-button-man-handler): Change default to
	`manual-entry' (defined in both emacsen).
	(gnus-button-man-handler): Remove emacsen difference and use
	`manual-entry'.

2002-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* spam.el: Wrap autoload settings for bbdb-records,
	executable-find and ifile-spam-filter with eval-and-compile.
	(spam-display-buffer-contents): Remove.
	(spam-bogofilter-score): Merge spam-display-buffer-contents.

2002-10-17  Ted Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-display-buffer-contents): New function.
	(spam-bogofilter-score): use spam-display-buffer-contents, patch
	from Katsumi Yamaoka <yamaoka@jpl.org>.

2002-10-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* nnheader.el (nnheader-parse-naked-head): New function.
	(nnheader-parse-head): Use the above function, in order to handle
	continuation lines properly.
	(nnheader-remove-body): New function.
	(nnheader-remove-cr-followed-by-lf): New function.
	(nnheader-ms-strip-cr): Use the above function.

	* gnus-agent.el (gnus-agent-regenerate-group): Call
	`nnheader-remove-body'; use `nnheader-parse-naked-head' instead of
	`nnheader-parse-head'.
	* gnus-cache.el (gnus-cache-possibly-enter-article): Ditto.

	* gnus-msg.el (gnus-inews-yank-articles): Do not unfold
	continuation lines by itself; call `nnheader-parse-naked-head'
	instead of `nnheader-parse-head'.
	* nndiary.el (nndiary-parse-head): Ditto.
	* nnfolder.el (nnfolder-parse-head): Ditto.
	* nnimap.el (nnimap-retrieve-headers-progress): Ditto.
	* nnmaildir.el (nnmaildir--update-nov): Ditto.
	* nnml.el (nnml-parse-head): Ditto.

2002-10-17  Steve Youngs  <youngs@xemacs.org>

	* gnus-art.el (gnus-button-man-handler): Add 'manual-entry' for
	XEmacs, default to it if featurep 'xemacs.

2002-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* spam-stat.el: Check for the existence of hash functions instead
	of the Emacs version to decide whether to load cl.  Suggested by
	Kai Gro,A_johann.

2002-10-15  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Open history
	if it isn't open yet.

2002-10-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el: Require mm-url only when compiling.
	(gnus-group-fetch-charter): Require mm-url.

	* spam-stat.el: Require cl for the functions gethash,
	hash-table-count, make-hash-table and mapc for Emacs 20.
	(puthash): Alias to cl-puthash for Emacs 20.
	(with-syntax-table): New macro for Emacs 20.

2002-10-12  Jesper Harder  <harder@ifa.au.dk>

	* gnus-spec.el (gnus-pad-form): Use gnus-string-width-function.

2002-10-11  Ted Zlatanov <tzz@lifelogs.com>

	* spam.el (spam-check-ifile): added ifile as a spam checking
	backend, and spam-use-ifle as the variable to toggle that check.

2002-10-12  Simon Josefsson  <jas@extundo.com>

	* message.el (message-beginning-of-line): New variable.
	(message-beginning-of-line): Use it.

2002-10-11  Ted Zlatanov <tzz@lifelogs.com>

	* spam.el: more compilation fixes for BBDB

	* spam-stat.el added code from Alex Schroeder <alex@gnu.org>
	(spam-stat-reduce-size): Interactive.
	(spam-stat-reset): New function.
	(spam-stat-save): Interactive.

2002-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el: Autoload gnus-delay-initialize.

	* message.el: Autoload gnus-delay-article.

2002-10-11  Jesper Harder  <harder@ifa.au.dk>

	* gnus-spec.el (gnus-balloon-face-function): Use the help-echo
	text property in Emacs.

2002-10-11  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-pgg-decrypt, mml2015-pgg-clear-decrypt)
	(mml2015-pgg-verify, mml2015-pgg-clear-verify): Remove CR.

	* mml1991.el (mml1991-pgg-sign): Remove CR.

2002-10-10  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-pgg-decrypt): Set gnus details even when
	decrypt failed.
	(mml2015-trust-boundaries-alist): Removed.
	(mml2015-gpg-extract-signature-details): Don't use it.
	(mml2015-unabbrev-trust-alist): New.
	(mml2015-gpg-extract-signature-details): Use it.

2002-10-10  Ted Zlatanov <tzz@lifelogs.com>

	* spam.el: compilation fixes, spam-check-bbdb function is nil if no
	BBDB installed

	* spam-stat.el: added code from Alex Schroeder <alex@gnu.org> to do
	statistical analysis of spam in Lisp only

2002-10-10  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-open-server): Re-open server if it isn't in
	auth, selected or examine state.

	* pgg-gpg.el (pgg-gpg-verify-region): Filter out stuff into output
	buffer and error buffer depending on type of information.

	* mml2015.el (mml2015-gpg-extract-signature-details): Parse
	--status-fd stuff even if gpg.el is not used (revert earlier
	change).
	(mml2015-pgg-{clear-,}verify): Store both output and errors as
	gnus details.
	(mml2015-pgg-{clear-,}verify): Extract signature info from errors
	buffer.

	* pgg.el (pgg-verify-region): Use it.

	* pgg-def.el (pgg-query-keyserver): New variable.

	* pgg.el (pgg-decrypt-region): Bind pgg-default-user-id to
	key-identifier in packet.  Is this a good idea?

	* mml.el (mml-mode-map): Add security commands that operates on
	MIME parts.
	(mml-menu): And menu items for them.

	* mml1991.el (mml1991-pgg-encrypt): Remove headers.

	* mml.el (mml-parse-1): Support sender in #secure tags.

	* mml1991.el (mml1991-pgg-sign): Only use message-sender if it is
	defined.

	* mml-sec.el (mml-smime-encrypt-buffer): Warn about combined signing.
	(mml-pgp-encrypt-buffer): Support combined signing.

	* mml1991.el (mml1991-mailcrypt-encrypt): Support combined signing.
	(mml1991-gpg-encrypt): Ditto.
	(mml1991-pgg-encrypt): Ditto.
	(mml1991-encrypt): Pass sign parameter.

	* mml-sec.el (mml-signencrypt-style-alist): Defcustom.
	(mml-signencrypt-style): Mention the variable.

2002-10-09  Simon Josefsson  <jas@extundo.com>

	* mml1991.el (mml1991-pgg-sign): Bind pgg-default-user-id, not
	pgg-gpg-user-id.

	* pgg.el (pgg-insert-url-with-w3): Ignore errors.
	(pgg-fetch-key-function): Nil if w3 is not installed.

2002-10-08  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Bind
	gnus-agent-current-history.

2002-10-06  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-parse-status): Don't use read to read token.

2002-10-05  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-agent.el (gnus-agent-fetch-selected-article): Do nothing
	for methods not covered by the agent, and when unplugged.

2002-10-05  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-encrypt-region): Query passphrase when
	signing.

	* gnus-agent.el (gnus-agent-read-servers): If getting method from
	a named server fails, ignore the server.

	* mml1991.el (mml1991-pgg-sign): Do QP.

	* pgg-gpg.el (pgg-gpg-encrypt-region): Make signencrypt really
	work.

2002-10-04  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el (pgg-gpg-encrypt-region): Make signencrypt work.

	* pgg-pgp.el (pgg-pgp-verify-region): Inline
	binary-write-decoded-region from MEL.

	* pgg.el (pgg-encrypt-region): Support sign.

	* pgg-gpg.el (pgg-gpg-encrypt-region): Ditto.

	* mml2015.el (mml2015-pgg-encrypt): Ditto.

	* pgg.el, pgg-def.el, pgg-parse.el, pgg-gpg.el, pgg-pgp5.el,
	pgg-pgp6.el: Moved from ../pgg/.  Modifications compared to EMIKO
	branch where PGG was taken from in the ChangeLog entries below.

2002-10-01  Simon Josefsson  <jas@extundo.com>

	* pgg-pgp.el: Don't require mel.  Don't use luna.
	(pgg-scheme-pgp-instance, pgg-make-scheme-pgp): Remove.
	(pgg-pgp-process-region): Use expand-file-name instead of concat.
	(pgg-pgp-process-region): Don't use binary-funcall.

	* pgg-pgp5.el (pgg-pgp5-process-region): Don't use binary-funcall.

	* pgg-gpg.el (pgg-gpg-process-region): Use expand-file-name
	instead of concat.

	* pgg-pgp5.el (pgg-pgp5-process-region): Ditto.

2002-09-29  Simon Josefsson  <jas@extundo.com>

	* pgg-parse.el (pgg-char-int, pgg-string-as-unibyte): Prevent byte
	compile warnings.

	* pgg.el (pgg-decrypt-region): Don't parse packet.

	* pgg.el, pgg-gpg.el, pgg-pgp5.el: Don't depend on luna.el.

2002-09-29  Daiki Ueno <ueno@unixuser.org>

	* pgg.el: Remove dependency on calist.el.

2002-09-28  Simon Josefsson  <jas@extundo.com>

	* pgg.el (pgg-temporary-file-directory): New variable.
	(pgg-verify-region): Don't assume set-buffer-multibyte exists.

	* pgg-pgp5.el (pgg-pgp5-process-region, pgg-scheme-verify-region)
	(pgg-scheme-snarf-keys-region): Use pgg-temporary-file-directory.

	* pgg-parse.el (pgg-char-int): Defalias.
	(pgg-format-key-identifier, pgg-byte-after, pgg-read-byte)
	(pgg-read-bytes, pgg-read-body): Use it.
	(pgg-decode-packets): Don't use MEL, use base64-*.
	(pgg-parse-armor): Don't assume set-buffer-multibyte exists.
	(pgg-string-as-unibyte): Defalias.
	(pgg-parse-armor-region): Use it.

	* pgg-gpg.el (pgg-gpg-process-region): Use
	pgg-temporary-file-directory.

	* luna.el: Don't def-edebug.

	* pgg-pgp5.el (pgg-scheme-verify-region): Inline
	binary-write-decoded-region from MEL.

	* pgg-pgp5.el, pgg-gpg.el: Don't require mel.

	* alist.el, calist.el: Don't require product/APEL.

	* pgg-parse.el (top-level): Remove dependency on static.el,
	pccl.el, mel.el.
	(pgg-parse-crc24, pgg-parse-crc24-string): Only define if
	`define-ccl-program' is boundp, instead of using broken.

2002-10-01  Simon Josefsson  <jas@extundo.com>

	* message.el (message-required-mail-headers): Remove Lines:.

2002-10-03  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Jesper Harder.

	* gnus-group.el (gnus-group-fetch-charter,
	gnus-group-fetch-control): Prompt for group if given a prefix
	argument.
	* gnus-sum.el (t): Add gnus-group-fetch-charter and
	gnus-group-fetch-control to summary key map and menu.

2002-10-03  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--group-maxnum-art): fix maximum article
	number when there are no articles.

2002-10-03  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-agent.el (gnus-agent-summary-fetch-group): Optional prefix
	arg ALL means to fetch all articles, not only downloadable ones.
	(gnus-agent-fetch-selected-article): New function for
	gnus-select-article-hook or gnus-mark-article-hook.

2002-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>
	From Peter von der Ahe <nospam2159@daimi.au.dk>.

	* gnus-ems.el (gnus-x-splash): Set coding-system-for-read to
	raw-text.

2002-09-30  Ted Zlatanov <tzz@lifelogs.com>

	* spam.el: merged changes from pinard@iro.umontreal.ca (Fran,Agois
	Pinard).
	Major revamp of the code, documentation is in comments in the file
	for now.

2002-09-30  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (mml2015-pgg-clear-verify): Verifying in a unibyte
	buffer seem to be needed?

2002-09-29  Simon Josefsson  <jas@extundo.com>

	* mml1991.el (pgg-output-buffer, pgg-errors-buffer): Prevent byte
	compile warnings.

	* mml1991.el (mml1991-function-alist): Add pgg.
	(mml1991-pgg-sign, mml1991-pgg-encrypt): New functions.
	(mml1991-pgg-encrypt): Fix recipients querying.

2002-09-28  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (autoload): Autoload correct files.  Trivial patch
	from dme@dme.org.
	(mml2015-pgg-decrypt, mml2015-pgg-verify): Make sure either nil or
	handle is returned.

2002-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-fixup-nnimap-unread-after-getting-new-news):
	Protect against non-existent of `nnimap-mailbox-info'.

2002-09-27  Simon Josefsson  <jas@extundo.com>

	* gnus-start.el (gnus-fixup-nnimap-unread-after-getting-new-news): New.
	(gnus-setup-news-hook): Use it.
	(gnus-after-getting-new-news-hook): Ditto.

	* nnimap.el (nnimap-fixup-unread-after-getting-new-news): Remove.

2002-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>
	From Mats Lidell <matsl@contactor.se>.

	* gnus-art.el (gnus-article-mode-syntax-table): Replace "-" to " ".

2002-09-27  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* gnus-sum.el (gnus-nov-parse-line): When an error is signaled in
	the part to decode encoded words, use raw words instead of decoded
	words.

2002-09-26  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnimap.el (nnimap-update-unseen): Use gnus-gethash-safe.

	* mm-view.el (mm-w3m-mode-ignored-keys): New variable.
	(mm-setup-w3m): Use it.

2002-09-27  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-article-mode-syntax-table): Make M-. work in
	article buffers.

	* nnimap.el (nnimap-fixup-unread-after-getting-new-news): Autoload
	it just in case.
	(nnimap-update-unseen): New function; update unseen count in
	`n-m-info'.
	(nnimap-close-group): Call it.

	* gnus-start.el (gnus-setup-news-hook): Add n-f-u-a-g-n-n.
	(gnus-after-getting-new-news-hook): Ditto.

	* nnimap.el (nnimap-retrieve-groups): Move the quick mail check
	message into verboselevel 9.  Change slow mail check message.
	(nnimap-retrieve-groups): Use prefixed names in n-mailbox-info.
	(nnimap-fixup-unread-after-getting-new-news): New function, to be
	used as a hook after getting new mail.

2002-09-26  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-parse-resp-text-code): The UNSEEN value in
	SELECT/EXAMINE is first unseen article, not number of unseen
	articles.  Make them distinct by renaming the former to
	`first-unseen' instead of `unseen'.

	* nnimap.el (nnimap-retrieve-groups): Get uidvalidity and unseen
	too.
	(nnimap-retrieve-groups): Don't used cached data if uidvalidity
	changed.
	(nnimap-retrieve-groups): Store uidvalidity and unseen data too.

	* gnus-int.el (gnus-server-unopen-status): Defcustom.

	* mml-sec.el (mml-signencrypt-style): Docstring to font-lock
	better.

	* mml2015.el (mml2015-pgg-decrypt): Only add security information
	if dissecting resulting buffer actually had any information.

2002-09-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-sort-by-method): Remove `symbol-name'
	because the function `string<' allows symbols.

	* gnus-sum.el (gnus-summary-make-menu-bar): Ditto.

2002-09-25  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* message.el (message-forward-make-body): Revert an early change
	because 8-bit utf-8 emails.

2002-09-25  Bj,Avrn Torkelsson  <torkel@acc.umu.se>

	* gnus-agent.el (gnus-category-line-format): Doc fixes (mostly added
	links to Info)
	* gnus-art.el (gnus-treat-highlight-signature):
	* gnus-art.el (gnus-treat-buttonize):
	* gnus-art.el (gnus-treat-buttonize-head):
	* gnus-art.el (gnus-treat-emphasize):
	* gnus-art.el (gnus-treat-strip-cr):
	* gnus-art.el (gnus-treat-unsplit-urls):
	* gnus-art.el (gnus-treat-leading-whitespace):
	* gnus-art.el (gnus-treat-hide-headers):
	* gnus-art.el (gnus-treat-hide-boring-headers):
	* gnus-art.el (gnus-treat-hide-signature):
	* gnus-art.el (gnus-treat-fill-article):
	* gnus-art.el (gnus-treat-hide-citation):
	* gnus-art.el (gnus-treat-hide-citation-maybe):
	* gnus-art.el (gnus-treat-strip-list-identifiers):
	* gnus-art.el (gnus-treat-strip-pgp):
	* gnus-art.el (gnus-treat-strip-pem):
	* gnus-art.el (gnus-treat-strip-banner):
	* gnus-art.el (gnus-treat-highlight-headers):
	* gnus-art.el (gnus-treat-highlight-citation):
	* gnus-art.el (gnus-treat-date-ut):
	* gnus-art.el (gnus-treat-date-local):
	* gnus-art.el (gnus-treat-date-english):
	* gnus-art.el (gnus-treat-date-lapsed):
	* gnus-art.el (gnus-treat-date-original):
	* gnus-art.el (gnus-treat-date-iso8601):
	* gnus-art.el (gnus-treat-date-user-defined):
	* gnus-art.el (gnus-treat-strip-headers-in-body):
	* gnus-art.el (gnus-treat-strip-trailing-blank-lines):
	* gnus-art.el (gnus-treat-strip-leading-blank-lines):
	* gnus-art.el (gnus-treat-strip-multiple-blank-lines):
	* gnus-art.el (gnus-treat-unfold-headers):
	* gnus-art.el (gnus-treat-fold-headers):
	* gnus-art.el (gnus-treat-fold-newsgroups):
	* gnus-art.el (gnus-treat-overstrike):
	* gnus-art.el (gnus-treat-display-xface):
	* gnus-art.el (gnus-treat-display-smileys):
	* gnus-art.el (gnus-treat-from-picon):
	* gnus-art.el (gnus-treat-mail-picon):
	* gnus-art.el (gnus-treat-newsgroups-picon):
	* gnus-art.el (gnus-treat-body-boundary):
	* gnus-art.el (gnus-treat-capitalize-sentences):
	* gnus-art.el (gnus-treat-fill-long-lines):
	* gnus-art.el (gnus-treat-play-sounds):
	* gnus-art.el (gnus-treat-translate):
	* gnus-art.el (gnus-treat-x-pgp-sig):
	* gnus-art.el (gnus-mime-button-line-format):
	* gnus-art.el (gnus-button-man-level):
	* gnus-art.el (gnus-button-emacs-level):
	* gnus-cus.el (gnus-group-parameters):
	* gnus-gl.el (bbb-build-mid-scores-alist):
	* gnus-group.el (gnus-group-line-format):
	* gnus-mlspl.el (gnus-group-split-setup):
	* gnus-mlspl.el (gnus-group-split):
	* gnus-msg.el (gnus-mailing-list-groups):
	* gnus-msg.el (gnus-posting-styles):
	* gnus-nocem.el (gnus-nocem-issuers):
	* gnus-score.el (gnus-score-regexp-bad-p):
	* gnus-srvr.el (gnus-server-line-format):
	* gnus-topic.el (gnus-topic-line-format):
	* gnus.el (gnus-summary-line-format):
	* mail-source.el (mail-sources):
	* message.el (message-subscribed-address-file):
	* nnmail.el (nnmail-split-fancy):

2002-09-24  Evgeny Roubinchtein  <zhenya@freeshell.org>

	* mail-source.el(mail-source-run-script): use `functionp' to test
	whether the argument `script' is in fact a function.
	(mail-sources): adjust the defcustom to allow users to specify a
	function or a string as the value of the `:prescript' and
	`:postscript' arguments of the `file' and `pop3' mail sources.

2002-09-25  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--grp-add-art): fix minimum article
	number when article 1 does not exist.

2002-09-25  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-art.el (gnus-button-handle-apropos-variable): Fall back to
	apropos if apropos-variable does not exist.
	(gnus-button-guessed-mid-regexp)
	(gnus-button-handle-describe-prefix, gnus-button-alist): Better
	regexes.  From Reiner Steib.
	(gnus-button-handle-describe-function)
	(gnus-button-handle-describe-variable): Doc fix.  From Reiner Steib.
	(gnus-button-handle-describe-key, gnus-button-handle-apropos)
	(gnus-button-handle-apropos-command): Doc fix.  From Reiner Steib.

2002-09-25  Mark A. Hershberger  <mah@everybody.org>
	Trivial patch.

	* nnrss.el (nnrss-save-server-data): Save nnrss-group-alist in
	the file.

2002-09-24  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-start.el (gnus-1): Create nndraft:queue, nndraft:drafts.

2002-09-24  Simon Josefsson  <jas@extundo.com>

	* mml2015.el (top-level): Require mm-util for mm-make-temp-file.
	(mml2015-use): Prefer PGG if installed.
	(mml2015-function-alist): Add PGG wrappers.
	(mml2015-gpg-extract-signature-details): Check mml2015-use too.
	(mml2015-gpg-extract-signature-details): PGG strips "gpg: "
	prefix, make regexp optionally skip it.
	(mml2015-pgg-decrypt, mml2015-pgg-clear-decrypt)
	(mml2015-pgg-verify, mml2015-pgg-clear-verify, mml2015-pgg-sign)
	(mml2015-pgg-encrypt): New functions.
	(defvar, autoload): Prevent byte-compile warnings.

2002-09-24  Katsumi Yamaoka  <yamaoka@jpl.org>
	From TSUCHIYA Masatoshi <tsuchiya@namazu.org>.

	* gnus-art.el (article-strip-banner): Check for the existence of
	from header.

2002-09-23  Kai Gro,b_(Bjohann  <grossjoh@ls6.informatik.uni-dortmund.de>

	* gnus-art.el (gnus-button-guessed-mid-regexp): Improved regexp.
	(gnus-button-alist): Improved regexp for
	gnus-button-handle-mid-or-mail (false positives), fixed
	gnus-button-handle-man entries.
	From Reiner Steib.

2002-09-23  Paul Jarc  <prj@po.cwru.edu>
	From Josh Huber.

	* nnmaildir.el (nnmaildir--update-nov): fix wrong-type error when
	nnmail-extra-headers is non-nil.

2002-09-23  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el: Store article numbers persistently.  General
	revision.
	(nnmaildir-request-expire-articles): handle 'immediate and 'never
	for nnmail-expiry-wait; delete instead of moving if 'force is
	given.

2002-09-23  Simon Josefsson  <jas@extundo.com>
	Trivial fix from beaker@iavmb.pl (Krzysztof J,Bjdruczyk).

	* smime.el (smime-sign-buffer): Get key and extra certs.
	(smime-get-key-with-certs-by-email): Utility function.

2002-09-21  ShengHuo ZHU  <zsh@cs.rochester.edu>
	Trivial patch from Micha Wiedenmann <mw-u1@gmx.de>

	* gnus-soup.el (gnus-soup-add-article): Mark as read only when the
	article exists.

2002-09-20  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-sum.el (gnus-summary-next-group): Switch to the summary buffer.

2002-09-20  Kai Gro,b_(Bjohann  <grossjoh@ls6.informatik.uni-dortmund.de>
	From Reiner Steib.

	* gnus-art.el (gnus-button-handle-custom,
	gnus-button-handle-mid-or-mail,
	gnus-button-handle-describe-{function,variable,key},
	gnus-button-handle-apropos{,command,variable}): New functions.
	(gnus-button-prefer-mid-or-mail,gnus-button-guessed-mid-regexp,
	gnus-button-{man,emacs,mail}-level): New variables.
	(gnus-button-alist): Use the above to buttonize emacs and mail
	related links.

2002-09-18  Juanma Barranquero  <lektu@terra.es>

	* gnus-int.el (gnus-status-message): Fix spacing.

	* imap.el (imap-continuation): Fix typos.

2002-09-18  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-msg.el (gnus-configure-posting-styles): Sort results.

	* gnus-art.el (gnus-article-reply-with-original): Correct
	with-current-buffer scope.

	* message.el (message-completion-alist): Add Reply-To, From, etc.

2002-09-18  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-request-expire-articles): Make flag setting
	conditional.  From Nevin Kapur <nevin@jhu.edu>.

2002-09-17  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-expiry-target): Don't search for which
	articles exists here.
	(nnimap-request-expire-articles): Do it here instead.  Only expire
	when articles are found.  Suggested by Nevin Kapur
	<nevin@jhu.edu>.

2002-09-17  Kai Gro,A_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Reiner Steib <reiner.steib@gmx.de>.

	* message.el (message-strip-subject-trailing-was)
	(message-change-subject, message-add-archive-header)
	(message-xpost-fup2-header, message-xpost-insert-note)
	(message-xpost-fup2, message-reduce-to-to-cc): New functions
	adopted from message-utils.el.  Add functions to the keymap, mode
	describtion and menu.
	(message-change-subject,message-xpost-fup2): Signal error if
	current header is empty.
	(message-xpost-insert-note): Changed insert position.
	(message-archive-note): Ensure to insert note in message body (not
	in head).
	(message-archive-header, message-archive-note)
	(message-xpost-default, message-xpost-note, message-fup2-note)
	(message-xpost-note-function): New variables adopted from
	message-utils.el.  Changed some doc-strings.
	(message-mark-insert-{begin,end}): Rename from
	message-{begin,end}-inserted-text-mark (message-utils.el), changed
	values.
	(message-subject-trailing-was-query)
	(message-subject-trailing-was-ask-regexp)
	(message-subject-trailing-was-regexp): New variables.
	(message-to-list-only): Added doc-string and menu entry.

	* message-utils.el: Removed.  Functions are now in message.el.

2002-09-16  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-art.el (gnus-article-reply-with-original,
	gnus-article-followup-with-original): Switch to
	gnus-summary-buffer before reply/followup.

2002-09-15  John Paul Wallington  <jpw@shootybangbang.com>

	* gnus-sum.el (gnus-summary-toggle-header): The article window may
	not exist. Toggle it anyway.

2002-09-13  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-msg.el (gnus-copy-article-buffer): Bind mail-header-separator.

	* gnus-art.el (article-fill-long-lines): Fill-paragraph properly.
	Trivial patch from Urban Engberg <ue@ccieurope.com>.

	* rfc2047.el (message-posting-charset): Defvar it.
	(rfc2047-charset-encoding-alist): Use B for iso-8859-7 and
	iso-8859-8. Fix doc.  Suggested by Dave Love <fx@gnu.org>.

	* mail-source.el (mail-source-fetch): Hide password.

	* gnus-sum.el (gnus-summary-next-group): Semi-exit only when needed.

2002-09-12  Katsumi Yamaoka  <yamaoka@jpl.org>
	From John Paul Wallington <jpw@shootybangbang.com>.

	* gnus.el (gnus-visual, gnus-meta): Fix typo.

2002-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-address-banner-alist): Doc fix.

2002-09-11  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-expiry-target): Only expiry-target existing articles.
	(nnimap-split-rule): Doc fix.
	(nnimap-request-expire-articles): Cleanup code.

2002-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>
	From TSUCHIYA Masatoshi <tsuchiya@namazu.org>.

	* gnus-art.el (gnus-article-address-banner-alist): New option.
	(article-strip-banner): Refer the above option to split banners of
	free mail servers, when no group parameter is specified.

2002-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-wait-for-string): Check for a process in the
	current buffer instead of `nntp-server-buffer'.

2002-09-09  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-button-man-handler): New variable.
	(gnus-button-alist): Use g-b-handle-man.
	(gnus-button-handle-man): New, call g-b-man-handler.

2002-09-08  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-button-alist): Buttonize man page links.

2002-09-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-dumbquotes-map): Add \230.

2002-09-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-browse-make-menu-bar): Add "d".

	* gnus-sum.el (gnus-summary-limit-to-unseen): New command and
	keystroke.

	* gnus-srvr.el (gnus-browse-describe-group): New command and
	keystroke.

2002-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-treat-body-boundary): Don't quote a
	value for gnus-decoration property.

2002-09-06  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* nnmail.el (nnmail-cache-fetch-group): Don't return "" (empty
	string) as group name in case we have a CRLF in the file.

2002-09-04  Jesper Harder  <harder@ifa.au.dk>

	* rfc1843.el (rfc1843-decode-loosely): Move to mime customization
	group.
	(rfc1843-decode-hzp): do.
	(rfc1843-newsgroups-regexp): do.

2002-09-04  Simon Josefsson  <jas@extundo.com>

	* message.el (message-canlock-generate): Make sure sha1 doesn't
	call external programs.

2002-09-03  Simon Josefsson  <jas@extundo.com>

	* nntp.el (nntp-wait-for-string): Dont infloop if process died.

	* gnus-agent.el (gnus-agent-batch): Add doc.

2002-09-03  Josh Huber  <huber@alum.wpi.edu>

	* gnus-msg.el (gnus-summary-handle-replysign): Change the order we
	check for signed and encrypted parts.
	* mml.el (mml-parse-1): Correct small typo which preventing
	setting recipients in a secure tag.

2002-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-priorities): Default to a list of
	iso-2022-jp and others for the Japanese environment.

2002-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-frame-or-window-display-name): Exclude
	invalid display names.

2002-08-30  Simon Josefsson  <jas@extundo.com>

	* gnus-group.el (gnus-group-fetch-control): Fix typo in last
	commit.  From Reiner Steib <4uce.02.r.steib@gmx.net>.

2002-08-26  Jesper Harder  <harder@ifa.au.dk>

	* gnus.el (gnus-group-charter-alist): New option.
	(gnus-group-fetch-control-use-browse-url): New option.

	* gnus-group.el (gnus-group-fetch-charter): New function.
	(gnus-group-fetch-control): New function.
	Add them to the keymap and menu. Require mm-url.

2002-08-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-mlspl.el (gnus-group-split-fancy): Doc fix.
	From Alex Schroeder <alex@emacswiki.org>.

2002-08-29  Jesper Harder  <harder@ifa.au.dk>

	* gnus-group.el (gnus-group-make-menu-bar): Add ellipses to menu
	items expecting user interaction.

	* gnus-topic.el (gnus-topic-make-menu-bar): do.

	* gnus-sum.el (gnus-summary-make-menu-bar): do.

	* gnus-srvr.el (gnus-server-make-menu-bar): do.

	* mml.el (mml-menu): do.

2002-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-touch-pop): New function.

	* message.el (message-smtpmail-send-it): New function.
	(message-send-mail-function): Add it for a candidate.

2002-08-27  Simon Josefsson  <jas@extundo.com>

	* gnus-msg.el (posting-charset-alist): Use
	gnus-define-group-parameter instead of defcustom.
	(gnus-put-message): Handle SPC in GCC.
	(gnus-inews-insert-gcc): Ditto.
	(gnus-inews-insert-archive-gcc): Ditto.

2002-08-26  Simon Josefsson  <jas@extundo.com>

	* gnus-agent.el (gnus-agent-auto-agentize-methods): New variable.
	(gnus-agentize): Auto agentize all nntp and nnimap groups.
	(gnus-agent-possibly-save-gcc): Autoload.
	Suggested by (KOSEKI Yoshinori) <kose@meadowy.org>.

2002-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-other-frame-function): New user option.
	(gnus-other-frame): Use it; add a doc-string; make it work with
	the gnuclient program.

	* gnus-util.el (gnus-frame-or-window-display-name): New function.

	* lpath.el: Fbind `frame-parameter', `make-frame-on-display',
	`device-connection' and `dfw-device'.

2002-08-22  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-art.el (gnus-emphasis-alist): Strikethru had a lot of false
	positives, make it stricter.  From Jochen Hein (trivial change).

2002-08-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-other-frame): Trivial fix.

2002-08-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-other-frame-parameters): New user option.
	(gnus-other-frame-object): New variable.
	(gnus-other-frame): Make it search for existing Gnus frame; don't
	read new news; delete frame on exit.

	* gnus-util.el (gnus-select-frame-set-input-focus): New function.

	* lpath.el: Fbind w32-focus-frame and x-focus-frame.

2002-08-20  Katsumi Yamaoka  <yamaoka@jpl.org>
	From 小関 吉則 (KOSEKI Yoshinori) <kose@meadowy.org>.

	* message.el (message-set-auto-save-file-name): Add support for
	the Cygwin Emacs; the system-type is `cygwin'.
	* nnheader.el (nnheader-file-name-translation-alist): Ditto.

2002-08-20  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-art.el (gnus-button-url-regexp): Use POSIX regexp if possible.

	* nnmh.el (nnmh-request-list-1): Use %.0f instead of %d to
	avoid arithmetic errors.

2002-08-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el: Don't fbind `gnus-article-replace-with-quoted-text'.

2002-08-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-ignored-supersedes-headers): Add X-Hashcash.
	(message-ignored-resent-headers): Add envelope From.

2002-08-18  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus.el (gnus-summary-line-format): Document %k specifier.

2002-08-17  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-sum.el (gnus-summary-line-message-size): New function.
	(gnus-summary-line-format-alist): Use it.

2002-08-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-make-date-line): Refer to the value for
	`gnus-article-time-format' in the summary buffer.

	* message.el (message-cite-prefix-regexp): Exclude ":" and ",A;".

2002-08-14  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (gnus-button-alist): Use ' not ` for default value
	quoting.
	(gnus-button-alist): Fix doc.
	(gnus-header-button-alist): Use ' not ` for default value quoting.
	(gnus-header-button-alist): Don't inline gnus-button-url-regexp,
	rationale similar to 2002-05-01 change.
	(gnus-article-add-buttons-to-head): Evaluate expression.

	* gnus-sum.el (gnus-summary-make-menu-bar): Add MIME button option.

2002-08-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-font-lock-keywords): Refer to the value for
	`message-cite-prefix-regexp' dynamically.

2002-08-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-decode-header-methods): Doc fix.

2002-08-12  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-shell-open): Allow non-list `imap-shell-program'.
	(imap-shell-open): Skip initial junk before IMAP greeting.

2002-08-11  Simon Josefsson  <jas@extundo.com>

	* message-utils.el (message-xpost-default,
	message-xpost-fup2-header, message-xpost-fup2): Fixed
	Typos.  Trivial changes from Reiner Steib
	<4uce.02.r.steib@gmx.net>.

2002-08-09  Simon Josefsson  <jas@extundo.com>

	* message.el (message-canlock-password): Set
	canlock-password-for-verify to newly generated canlock-password.
	When Emacs is restarted, Custom makes sure this is set, but during
	the same session we must set it manually.

2002-08-07  Jesper Harder  <harder@ifa.au.dk>

	* yenc.el: New file.

	* mm-uu.el (mm-uu-yenc-decode-function): New variable.
	(mm-uu-type-alist): Add yenc.
	(mm-uu-yenc-filename): New function.
	(mm-uu-yenc-extract): New function.

	* mm-bodies.el (mm-decode-content-transfer-encoding): Add yenc.

2002-08-06  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* dgnushack.el (merge): Don't use coerce.

2002-05-27  Jesper Harder  <harder@ifa.au.dk>

	* mailcap.el (mailcap-mime-data): Test window-system rather than
	mm-device-type.
	(mailcap-mime-data): Call xdvi and gv with "-safer".

	* mm-util.el: Don't define mm-device-type.

2002-08-05  Simon Josefsson  <jas@extundo.com>

	* mm-util.el (mm-coding-system-priorities): coding-system type not
	supported everywhere.

2002-08-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-version-number): Bumped version number.

2002-08-04 01:48:57 Lars Magne Ingebrigtsen  <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.07 is released.

2002-08-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-thread-sort-functions): Doc fix.
	(gnus-article-sort-functions): Doc fix.
	(t): New keystroke.
	(gnus-article-sort-by-random): New function.
	(gnus-thread-sort-by-random): New function.

2002-08-02  Simon Josefsson  <jas@extundo.com>

	* gnus-logic.el (gnus-advanced-integer): Swap arguments in
	funcall.  From Scott A Crosby <scrosby@cs.rice.edu>.

2002-07-31  Danny Siu  <dsiu@adobe.com>

	* nnimap.el (nnimap-split-articles): do not call nnmail-fetch-field
	when splitting malformed messages without message-id

2002-07-28  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Niklas Morberg <niklas.morberg@axis.com>.

	* nnweb.el (nnweb-type, nnweb-type-definition)
	(nnweb-gmane-create-mapping, nnweb-gmane-wash-article)
	(nnweb-gmane-search, nnweb-gmane-identity): Added gmane
	functionality.
	* nnweb.el: Removed old non-functioning search engines.

2002-07-27  Simon Josefsson  <jas@extundo.com>

	* message.el (message-forward-make-body): Don't use
	`message-forward-ignored-headers' when doing a "raw" followup (it
	is important to preserve e.g. CTE).

	* flow-fill.el (fill-flowed): Disable filladapt-mode.

	* gnus-sieve.el (gnus-sieve-guess-rule-for-article): Don't
	regexp-quote, Cyrus Sieve is fixed.

	* sieve-manage.el (sieve-manage-deletescript): New function.

	* sieve.el (sieve-manage-mode-map): Fix down-mouse-2 and down-mouse-3.
	(sieve-manage-mode): Fix menubar.
	(sieve-activate): Change some messages.
	(sieve-deactivate-all): New function.
	(sieve-deactivate): New alias.
	(sieve-remove): New function.
	(sieve-help): Fix help.
	All suggested by Ned Ludd.

2002-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-inline-text-html-with-images): Doc fix.
	(mm-w3m-safe-url-regexp): New user option.

	* mm-view.el (mm-inline-text-html-render-with-w3m): Use
	`mm-w3m-safe-url-regexp' to bind `w3m-safe-url-regexp'.

2002-07-23  Karl Kleinpaste  <karl@charcoal.com>

	* gnus-sum.el (gnus-summary-delete-article): Force
	nnmail-expiry-target to 'delete, so that absolute deletion
	happens when absolute deletion is requested.

2002-07-21  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Nevin Kapur <nevin@jhu.edu>.

	* nnmail.el (nnmail-fancy-expiry-target): Treat nonexisting
	headers as empty headers.

2002-07-21  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Jochen Hein <jochen@jochen.org>.

	* gnus-art.el (gnus-emphasis-alist): Add strikethrough and
	correct typo.
	(gnus-emphasis-strikethru): New face.

2002-07-20  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Jason Merrill <jason@redhat.com>.

	* nnfolder.el (nnfolder-retrieve-headers): Avoid searching the
	entire file for each of a sequence of missing articles.

	* gnus-salt.el (gnus-binary-display-article): Respect an existing
	value for gnus-view-pseudos.

	* gnus-sum.el (gnus-summary-insert-new-articles): Count down to
	avoid nreverse.

2002-07-14  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Ted Zlatanov <teodor.zlatanov@divine.com>.

	* gnus-sum.el (gnus-auto-expirable-marks): Remove `spam'.
	(gnus-summary-mode-line-format-alist): Add %h for number of
	spams.
	(gnus-newsgroup-spam-marked): New variable.
	(gnus-summary-local-variables): Add gnus-newsgroup-spam-marked.
	(gnus-article-read-p, gnus-article-mark)
	(gnus-set-global-variables, gnus-set-global-variables)
	(gnus-article-marked-p, gnus-summary-mark-article-as-read)
	(gnus-summary-mark-article-as-unread)
	(gnus-summary-mark-article-as-unread, gnus-summary-mark-article)
	(gnus-mark-article-as-read, gnus-mark-article-as-unread)
	(gnus-mark-article-as-unread, gnus-summary-catchup): Grok spam.

2002-07-10  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-to-groups): Allow group string to be a
	function.  From KANEMATSU Daiji <kdaiji@bea.com>.

2002-07-09  Nevin Kapur  <nevin@jhu.edu>

	* gnus-sum.el (gnus-summary-delete-article): Respect group
	parameters while expiring.

2002-07-08  Simon Josefsson  <jas@extundo.com>

	* gnus-art.el (article-make-date-line): Fix string.  From Henrik
	Enberg.

2002-07-08  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-art.el (article-unsplit-urls): Only display MIME when this
	function is called interactively.  From Niklas Morberg.

2002-07-06  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-topic.el (gnus-topic-indent, gnus-topic-unindent): Change
	cdaar to cdar and car.

	* nnsoup.el (nnsoup-retrieve-headers, nnsoup-request-type)
	(nnsoup-read-active-file, nnsoup-article-to-area): Ditto.

2002-07-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-toggle-header): Show headers anyway;
	don't break a narrowed article.

	* nntp.el (nntp-via-rlogin-command-switches): Doc fix.
	(nntp-open-via-rlogin-and-telnet): Ditto.

2002-07-02  Didier Verna  <didier@xemacs.org>

	* nnmail.el (nnmail-split-methods): fix custom type.

2002-07-02  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-art.el (article-unsplit-urls): Keep URL buttonized after
	unsplitting.  From Niklas Morberg <niklas.morberg@axis.com>.

2002-07-01  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-msg.el (gnus-summary-resend-default-address): New user option.
	(gnus-summary-resend-message): Use it.

2002-06-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-via-rlogin-command-switches): New variable.
	(nntp-open-via-rlogin-and-telnet): Re-revert; use the var above.

2002-06-28  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* message.el (message-font-lock-keywords): Don't fontify
	headers in the message body, only in the header.
	(message-font-lock-make-header-matcher): New function, used by
	message-font-lock-keywords.
	From Katsumi Yamaoka <yamaoka@jpl.org>.

2002-06-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-open-via-rlogin-and-telnet): Revert last change.

2002-06-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-open-via-rlogin-and-telnet): Hide commandline args.

2002-06-26  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* message.el (message-font-lock-keywords): Revert 2002-06-22
	change.

2002-06-24  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* message.el (message-font-lock-keywords): Put colon in header
	name match.

2002-06-22  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* message.el (message-font-lock-keywords): Don't use header faces
	in the body.  Thanks to Stefan Monnier for the hint on the
	implementation.

2002-05-09  Miles Bader  <miles@gnu.org>

	* gnus-cite.el (gnus-cite-blank-line-after-header): New variable.
	(gnus-article-hide-citation): Respect it.

2002-04-12  Juanma Barranquero  <lektu@terra.es>

	* pop3.el (pop3-open-server): Fix typo.

2002-06-18  Josh Huber  <huber@alum.wpi.edu>

	* gnus.el (gnus-find-subscribed-addresses): Use add-to-list
	instead of push to ignore duplicate to-(list|address) values.
	* nnmail.el (nnmail-cache-ignore-groups): New.
	* nnmail.el (nnmail-cache-insert): Obey nnmail-cache-ignore-groups

2002-06-18  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-delay.el (gnus-delay-send-queue): Delete the delay header
	before sending.  Suggested by Jan Rychter.

2002-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dgnushack.el (remove): New compiler macro.
	(last, coerce, subseq): Remove compiler macros for those built-in
	or unused functions.

2002-06-17  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-start.el (gnus-clear-system, gnus-read-newsrc-file): Make
	sure to write byte-compiled versions of gnus-*-format-alist to
	.newsrc.eld.  From Simon Josefsson.

2002-06-16  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-agent.el (gnus-agent-read-servers)
	(gnus-agent-write-servers): Put server name (string like
	"nnchoke:frumple") in the file instead of a server specification
	(Lisp expression like (nnchoke "frumple" ...parameters...)).
	From Bj,Axrn Mork <bmork@dod.no>.

2002-06-16  Simon Josefsson  <jas@extundo.com>

	* gnus-cache.el (gnus-cache-remove-article): n is &optional.  From
	Reiner Steib <4uce.02.r.steib@gmx.net>.

2002-06-15  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnheader.el (nnheader-file-name-translation-alist): Set the
	default value for MS Windows systems.

	* gnus-ems.el (nnheader-file-name-translation-alist): Removed.

2002-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-beginning-of-line): Keep the region active
	in XEmacs.  Suggested by TAKAHASHI Kaoru <kaoru@kaisei.org>.

2002-06-13  Josh Huber  <huber@alum.wpi.edu>

	* gnus-msg.el (gnus-summary-followup): Use g-s-handle-replysign.
	* gnus-msg.el (gnus-summary-reply): Ditto.
	* gnus-msg.el (gnus-summary-handle-replysign): New.

2002-06-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-send-mail-with-sendmail): Kill errbuf even
	if sending failed.

2002-06-11  Josh Huber  <huber@alum.wpi.edu>

	* gnus-start.el (gnus-dribble-enter): Don't call set-window-point anymore
	* mml2015.el (mml2015-mailcrypt-encrypt): Accept optional argument
	to sign while encrypting.

2002-06-11  Simon Josefsson  <jas@extundo.com>

	* gnus-int.el (gnus-request-move-article): Agent expire article if
	successfuly moved.

	* nnweb.el (nnweb-google-create-mapping): Honors the value of
	nnweb-max-hits.  From Niklas Morberg <niklas.morberg@axis.com>.

2002-06-10  Simon Josefsson  <jas@extundo.com>

	* gnus-int.el (gnus-request-expire-articles): Fix last change?

2002-06-09  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-delete-article): Don't agent expire here.

	* gnus-int.el (gnus-request-expire-articles): Do it here instead.

2002-06-08  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* flow-fill.el (fill-flowed): Ignore errors.

2002-06-06  Simon Josefsson  <jas@extundo.com>

	* message.el (message-send-mail-with-sendmail): Improve error message.

2002-06-06  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* message.el (message-interactive): Change default from nil to t.
	Better to be safe than to be fast.

2002-06-05  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* message.el (message-send-mail-with-sendmail): Check return value
	from call-process-region.

2002-06-04  Simon Josefsson  <jas@extundo.com>

	* gnus-msg.el (gnus-group-mail, gnus-group-news)
	(gnus-group-post-news, gnus-summary-mail-other-window)
	(gnus-summary-news-other-window, gnus-summary-post-news): Bind
	gnus-article-copy to nil, thereby inhibiting the `header' posting
	style match to use data from last viewed article.
	Suggested by Hrvoje Niksic.

2002-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* spam.el (spam-point-at-eol): New alias.
	(spam-parse-whitelist): Use it.

2002-06-03  Simon Josefsson  <jas@extundo.com>

	* nnmail.el (nnmail-mail-splitting-decodes): New variable.
	(nnmail-article-group): Use it.

2002-05-30  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-msg.el (gnus-inews-yank-articles): Merge split header lines
	so that code reading them won't be surprised.  From Jesper Harder
	<harder@ifa.au.dk>.

2002-05-29  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-delete-article): Agent expire deleted
	articles.

	* gnus.el (gnus-agent-cache): Doc fix.
	(gnus-agent): Change default to t.

	* gnus-agent.el (gnus-agent-expire): Make it accept optional
	ARTICLES, GROUP and FORCE parameters.

2002-05-28  Simon Josefsson  <jas@extundo.com>

	* gnus-group.el (gnus-group-line-format): Doc fix.

2002-05-28  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-msg.el (gnus-inews-yank-articles): Unfold headers of
	original article before yanking.  From Jesper Harder
	<harder@ifa.au.dk>.

2002-05-26  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-menu-split): New function.
	(gnus-summary-make-menu-bar): Split charset submenu.
	(gnus-summary-menu-maxlen): New variable.
	(gnus-summary-menu-split): Use it.

2002-05-25  Simon Josefsson  <jas@extundo.com>

	* mml.el (mml-preview): Generate some headers.

	* gnus.el (gnus-large-newsgroup): Fix :type.

	* nnimap.el (nnimap-nov-is-evil): Change default to t (because the
	Agent cache NOV's by default now).
	(nnimap-nov-is-evil): Make it default to `gnus-agent' instead.

2002-05-18  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-dependencies-add-header): Avoid one unecessary
	call to gnus-parent-id when we check for References loops.
	(gnus-summary-prepare-threads): Avoid simplifying every Subject
	twice by saving the simplified subject string in simp-subject.

2002-05-23  Simon Josefsson  <jas@extundo.com>

	* gnus-msg.el (gnus-confirm-mail-reply-to-news): Typo.  Trivial
	change from Benjamin Rutt <rutt+news@cis.ohio-state.edu>.

	* nnweb.el (nnweb-type): Remove dejanewsold.  Trivial change from
	Niklas Morberg <niklas.morberg@axis.com>.

2002-05-22  Simon Josefsson  <jas@extundo.com>

	* sieve.el (sieve-change-region): Define it before it is used.

	* gnus-msg.el (gnus-confirm-mail-reply-to-news)
	(gnus-summary-reply): Ask for confirmation when replying to news.
	Defaults to not ask.  From Benjamin Rutt
	<rutt+news@cis.ohio-state.edu>.

	* nnimap.el (nnimap-nov-is-evil): Improve doc.

2002-05-21  Simon Josefsson  <jas@extundo.com>

	* sieve-mode.el (sieve-manage): Fix autoloads.

	* sieve-manage.el (sieve-manage-cram-md5-auth): Just send the SASL
	name (makes it work with recent Cyrus timsieved).

2002-05-20  Jason  <jbaker@cs.utah.edu>
	Trivial patch.

	* gnus-art.el (gnus-request-article-this-buffer): Try
	reconnecting if you don't get the message.

2002-05-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-enter-digest-group): Only get
	Reply-To headers from the headers.

2002-05-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-url.el (mm-url-insert): Remove junk message.

2002-05-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnslashdot.el (nnslashdot-request-list): Parse new html.
	(nnslashdot-use-front-page): New variable.
	(nnslashdot-request-list): Use it.

	* mm-url.el (mm-url-timeout): New variable.
	(mm-url-retries): Ditto.
	(mm-url-insert): Use it.

2002-05-16  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-simplify-all-whitespace): New function.
	(gnus-simplify-subject-functions): Mention g-s-a-w.

2002-05-15  Josh Huber  <huber@alum.wpi.edu>

	* nnbabyl.el (nnbabyl-request-accept-article): Pass group to
	nnmail-cache-insert.
	* nndiary.el (nndiary-request-accept-article): Ditto.
	* nnfolder.el (nnfolder-request-accept-article): Ditto.
	* nnimap.el (nnimap-request-accept-article): Ditto.
	* nnmail.el (nnmail-process-unix-mail-format): Ditto.
	* nnmail.el (nnmail-check-duplication): Ditto. (from gnus-art)
	* nnmbox.el (nnmbox-request-accept-article): Ditto.
	* nnmh.el (nnmh-request-accept-article): Ditto.
	* nnmail.el (nnmail-cache-insert): Change group to required,
	removed code which tried to figure out the group.

2002-05-13  Josh Huber  <huber@alum.wpi.edu>

	* mml.el (mml-generate-mime-1): Fix mml generation for signed only
	messages. From Hans de Graaff <hans@degraaff.org>.
	* nnml.el (nnml-request-accept-article): Pass in the group name to
	nnmail-cache-insert, since it's available.

2002-05-10  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nndoc.el (nndoc-mime-digest-type-p): Set proper file-end.

2002-05-08  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Florian Weimer <fw@deneb.enyo.de>.

	* gnus.el (subscribed): New group parameter.
	(gnus-find-subscribed-addresses): Use it.

2002-05-08  Josh Huber  <huber@alum.wpi.edu>

	* mml-sec.el (mml-signencrypt-style-alist): Rename.  Also, changed
	the default for pgpmime to support pgp v2.
	* mml-sec.el (mml-signencrypt-style): New accessor function to
	allow users to get/set the signencrypt style more easily without
	frobbing the alist directly.
	* mml.el (mml-generate-mime-1): Use accessor function.

2002-05-08  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-art.el (gnus-article-mode-syntax-table): Specify matching
	parenthesis for "<" and ">".  Suggested by Andreas Schwab
	<schwab@suse.de>.

2002-05-07  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* nnmail.el (nnmail-cache-insert): Prefer group-art over group
	when intuiting the group the message is written to.  From Josh
	Huber <huber@alum.wpi.edu>.

2002-05-06  Simon Josefsson  <jas@extundo.com>

	* gnus-topic.el (gnus-group-topic-parameters): Work when group
	buffer doesn't show group.  From Matt Armstrong <matt@lickey.com>.

2002-05-06  Josh Huber  <huber@alum.wpi.edu>

	* mml2015.el (mml2015-gpg-encrypt): Changed name of optional
	argument, and fixed compiler warning. (added autoload for
	gpg-encrypt).

2002-05-04  Simon Josefsson  <jas@extundo.com>

	* mml1991.el (mml1991-function-alist): Doc fix.

	* mml.el (mml-preview): Bind gnus-newsrc-hashtb temporarily if it
	doesn't exist (for previewing messages without having Gnus
	started).

	* mm-util.el (mm-coding-system-priorities): Defcustom.

	* mm-encode.el (mm-content-transfer-encoding-defaults): Defcustom.

2002-05-01  Josh Huber  <huber@alum.wpi.edu>

	* gnus-msg.el (gnus-message-replysignencrypted): enabled by
	default.
	* mml-sec.el:
	* mml-sec.el (mml-signencrypt-style): New.
	* mml-sec.el (mml-pgpmime-encrypt-buffer): Accept optional
	argument `sign'.
	* mml-sec.el (mml-secure-message-encrypt-pgp): Changed default to
	signencrypt.
	* mml-sec.el (mml-secure-message-encrypt-pgpmime): Ditto.
	* mml.el (mml-generate-mime-1): Changed logic so a part which is
	both signed & encryped is processed in one operation. (rather than
	two separate ops: sign, then encrypt)
	* mml2015.el (mml2015-gpg-extract-signature-details): Give some
	indication if a message is signed by an expired key.
	* mml2015.el (mml2015-gpg-encrypt): Accept optional argument which
	enables combined sign & encrypt operation. (this was always on
	before).
	* mml2015.el (mml2015-encrypt): Accept optional argument `sign'.

2002-05-01  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-retrieve-groups): Use separate data for each
	server.
	(nnimap-mailbox-info): defvar instead of defvoo.

2002-05-01 20:09:21 Lars Magne Ingebrigtsen  <lars@ingebrigtsen.no>

	* gnus.el: Oort Gnus v0.06 is released.

2002-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* lpath.el: Bind url-package-version.

2002-05-01  Simon Josefsson  <jas@extundo.com>

	* nnfolder.el (nnfolder-request-delete-group): Figure out nov/mrk
	filename before deleting the group itself, because the presence of
	a group filename decides if long filenames are used or not.

	* gnus-art.el (gnus-button-alist): Don't inline
	gnus-button-url-regexp.  This makes it possible to change g-b-u-r
	without also modifying g-button-alist.
	(gnus-button-alist): Fix type to allow variable as well as regexp.
	(gnus-article-add-buttons): Evaluate regexp.  Strings evaluate to
	themselves, variables to its contents.
	(gnus-button-entry): Ditto.

2002-05-01  Simon Josefsson  <jas@extundo.com>

	* imap.el (imap-parse-resp-text-code, imap-parse-status): Treat
	UIDNEXT as a string.

	* nnimap.el (nnimap-string-lessp-numerical): New function.
	(nnimap-retrieve-groups): Compare UIDNEXT as strings instead of
	integers.

2002-04-29  Simon Josefsson  <jas@extundo.com>

	* nnmail.el (nnmail-cache-insert): Accept optional group
	parameter.

	* nnimap.el (nnimap-retrieve-groups): Don't send STATUS when
	n-r-g-a is disabled.

2002-04-29  Simon Josefsson  <jas@extundo.com>

	* nnimap.el (nnimap-split-fancy): Fix doc.
	(nnimap-split-fancy): Fix doc.

	* nnimap.el (nnimap-retrieve-groups-asynchronous): New variable.
	(nnimap-mailbox-info): New internal variable.
	(nnimap-retrieve-groups): Implement faster new mail check.

	* nnimap.el (nnimap-split-articles): Support
	nnmail-cache-accepted-message-ids.
	(nnimap-request-accept-article): Ditto.

	* imap.el (imap-mailbox-status-asynch): New command.

2002-04-29  Nevin Kapur  <nevin@jhu.edu>

	* gnus.el (gnus-find-subscribed-addresses): Return nil when there
	are no subscribed mail groups.
	- Strip quoted names when comparing addresses

2002-04-28  Jesper Harder  <harder@ifa.au.dk>

	* mm-decode.el (mm-text-html-renderer): Change customize type to
	const.

	* gnus-msg.el (gnus-discouraged-post-methods): Fix typo.
	(gnus-debug-exclude-variables): do.

2002-04-27  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-msg.el (gnus-article-mail): Use gnus-msg-mail instead.
	Trivial change from Karl Pfl,Adsterer <sigurd@12move.de>.

2002-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* dns.el (dns-make-network-process): New macro.
	(query-dns): Use it.

2002-04-27  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-msg.el (gnus-summary-reply): Remove unbound variable
	article-buffer.

	* mm-url.el (mm-url-package-name): New variable.
	(mm-url-package-version): New variable.
	(mm-url-insert-file-contents): Bind url-package-name and
	url-package-version here.
	* nnrss.el (nnrss-insert-w3): Move the bindings.

	* nnrss.el (nnrss-insert-w3): Bind url-package-name and
	url-package-version. Trivial change from Andrew J Cosgriff
	<ajc@polydistortion.net>

	* mm-decode.el (mm-save-part): Fill in file name when GUI saving
	attachments. Trivial change from Peter 'Luna' Runestig
	<peter@runestig.com>.

2002-04-19  Jesper Harder  <harder@ifa.au.dk>

	* nnkiboze.el (nnkiboze-request-scan): Call
	nnkiboze-possibly-change-group.
	(nnkiboze-generate-group): Use mm-with-unibyte to avoid encoding
	problems.
	(nnkiboze-generate-group): Set newsrc to the *highest* article
	number kibozed, not the lowest.

2002-04-15  Jesper Harder  <harder@ifa.au.dk>

	* gnus-art.el (article-unsplit-urls): Allow trailing SPC.

2002-04-24  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Dan Christensen <jdc+news@uwo.ca>.

	* nndoc.el (nndoc-type-alist, nndoc-lanl-gov-announce-type-p)
	(nndoc-transform-lanl-gov-announce, nndoc-generate-lanl-gov-head):
	Recognize math postings.  Extract Date (now ignores "(15kb)").
	Extract email address using gnus-extract-address-components
	instead of just taking the first word.  Create Date and From
	headers for message which are missing these headers.  Get rid
	of spurious \\ lines (purely cosmetic).  Extend body-end and
	file-end regexps, to exclude more garbage from the message.
	Make URL rephrasing regexp more flexible, to match current
	format.

2002-04-23  Simon Josefsson  <jas@extundo.com>

	* netrc.el: New file, functions copied from gnus-util.el by Ted
	Zlatanov <tzz@lifelogs.com>.

	* gnus-util.el: Require netrc.
	(gnus-netrc-get, gnus-netrc-machine, gnus-parse-netrc): Aliased to
	new code in netrc.el.

2002-04-23  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-msg.el (gnus-summary-resend-message-edit): Remove
	message-ignored-resent-headers, too.  From Matthieu Moy
	<Matthieu.Moy@imag.fr>.

2002-04-22  Bj,Avrn Torkelsson  <torkel@acc.umu.se>

	* gnus-srvr.el (gnus-server-browse-in-group-buffer): it is a
	boolean not a string
	* gnus-group.el (gnus-group-line-format): add description of %C
	* gnus-group.el (gnus-group-line-format-alist): add gnus-tmp-comment
	  as %C
	* gnus-group.el (gnus-group-insert-group-line): add gnus-tmp-comment

2002-04-22  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-scan): typo: set
	nnmaildir-get-new-mail, not nnmaildir-new-mail.  Don't call
	nnmail-get-new-mail for 'find-new-groups.

2002-04-21  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir-request-update-info,
	nnmaildir-request-group, nnmaildir-retrieve-groups): remove
	unnecessary calls to nnmaildir-request-scan.

2002-04-20  Josh Huber  <huber@alum.wpi.edu>

	* gnus-msg.el:
	* gnus-msg.el (gnus-message-replysign): New.
	* gnus-msg.el (gnus-message-replyencrypt): New.
	* gnus-msg.el (gnus-message-replysignencrypted): New.
	* gnus-msg.el (gnus-summary-reply): Use the three new variables
	(above) to automatically encrypt/sign to encrypted/signed
	messages.
	* message.el:
	* message.el (message-mode-map): Add keybinding for
	`message-to-list-only'
	* message.el (message-mode): Add description for
	`message-to-list-only'
	* message.el (message-to-list-only): New.
	* message.el (message-make-mft): Changed to use the cl loop macro,
	and added optional flag to return only the matched list. (for use
	in new message-to-list-only function)

2002-04-20  Josh Huber  <huber@alum.wpi.edu>

	* gnus-msg.el:
	* gnus-msg.el (gnus-message-replysign):
	* gnus-msg.el (gnus-replysign): New.
	* gnus-msg.el (gnus-replyencrypt): New.
	* gnus-msg.el (gnus-replysignencrypted): New.
	* gnus-msg.el (gnus-summary-reply):
	* message.el:
	* message.el (message-mode-map):
	* message.el (message-mode):
	* message.el (message-to-list-only): New.
	* message.el (message-make-mft):

2002-04-19  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-win.el (gnus-configure-windows-hook): Fix typo.

2002-04-18  Josh Huber  <huber@alum.wpi.edu>

	* message.el (message-gen-unsubscribed-mft): accept a prefix
	argument so CC can be included with C-u C-c C-f C-a

2002-04-17  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Ted Zlatanov <teodor.zlatanov@divine.com>.

	* spam.el (spam-whitelist, spam-blacklist, spam-enter-whitelist):
	Improve docstring.
	(spam-enter-blacklist): New command.

	* gnus-sum.el (gnus-spam-mark): New mark.
	(gnus-auto-expirable-marks): Add gnus-spam-mark.
	(gnus-summary-make-tool-bar): Correct conditional.
	(gnus-summary-limit-to-unread): Add gnus-spam-mark.
	(gnus-summary-mark-as-spam): New command.

2002-04-13  Josh Huber  <huber@alum.wpi.edu>

	* mml-sec.el (mml-secure-message): changed to support arbritrary
	modes.
	* mml-sec.el (mml-secure-message-encrypt-(smime|pgp|pgpmime)):
	changed to support "signencrypt" mode.
	* mml.el (mml-parse-1): changed to support different secure modes
	more easily. (for signencrypt)

2002-04-11  Stefan Monnier  <monnier@cs.yale.edu>

	* gnus-sum.el (gnus-update-summary-mark-positions)
	(gnus-summary-toggle-header):
	* gnus-uu.el (gnus-uu-binhex-article, gnus-uu-reginize-string)
	(gnus-uu-expand-numbers, gnus-uu-post-make-mime)
	(gnus-uu-post-encoded):
	* nnfolder.el (nnfolder-possibly-change-group):
	* nnimap.el (nnimap-retrieve-headers):
	* nnmbox.el (nnmbox-create-mbox): Don't assume point-min == 1.

2002-04-08  Stefan Monnier  <monnier@cs.yale.edu>

	* nnml.el (nnml-save-nov, nnml-generate-nov-file):
	* pop3.el (pop3-md5): Don't hardcode point-min == 1.

2002-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-srvr.el (gnus-server-set-info): Clear
	`gnus-server-method-cache' when `gnus-server-alist' is changed.
	From Daiki Ueno <ueno@unixuser.org>.

2002-04-11  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-force-verify-and-decrypt): Force
	viewing of security buttons.  Thanks to Nicolas Kowalski
	<Nicolas.Kowalski@imag.fr>.

	* smime.el (smime-CA-directory): Fix doc.  Thanks to Arne
	J,Axrgensen <arne+usenet@daimi.au.dk>.
	(smime-sign-buffer): Work in XEmacs.  Thanks to Nicolas Kowalski
	<Nicolas.Kowalski@imag.fr>.
	(smime-decrypt-buffer): Ditto.

2002-04-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-prepare): Place point on the emtpy
	header line.

2002-04-11  Per Abrahamsen  <abraham@dina.kvl.dk>

	* gnus.el (gnus-refer-article-method): Change `dejanews' to `google'.

2002-04-08  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-sum.el (gnus-summary-delete-marked-with): Fix typo.

2002-04-07  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* mm-view.el (mm-inline-text-html-render-with-w3): Don't ignore
	errors when debug.

2002-04-07  Josh Huber  <huber@alum.wpi.edu>

	* message.el (message-make-mft): Changed MFT code from using
	message-recipients (which included Bcc) to use only the To and CC
	headers.

2002-04-05  Per Abrahamsen  <abraham@dina.kvl.dk>

	* gnus-art.el (gnus-treat-from-picon): Add to gnus-picon group and
	add link.
	(gnus-treat-mail-picon): Ditto.
	(gnus-treat-newsgroups-picon): Ditto.
	(gnus-picon-databases): Fix custom type.
	(gnus-picon-databases): Add link.
	(gnus-article-x-face-command): Add to gnus-picon group.

2002-04-01  Jesper Harder  <harder@ifa.au.dk>

	* message.el (message-buffer-naming-style): Remove.

2002-04-02  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gnus-group.el (gnus-group-make-tool-bar): Load tool-bar first.

	* message.el (message-tool-bar-map): Ditto.

	* gnus-sum.el (gnus-summary-make-tool-bar): Ditto.

2002-04-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnwarchive.el (nnwarchive-mail-archive-article): Fix typo.

2002-04-01  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el: fixed some buggy invocations of nnmaildir--pgname.

2002-03-31  Andrew Cohen  <cohen@andy.bu.edu>
	Trivial patch.

	* dns.el: open-network-stream under XEmacs does udp.

2002-03-31  Lars Magne Ingebrigtsen  <larsi@quimbies.gnus.org>

	* spam.el (spam-enter-whitelist): New function.
	(spam-parse-whitelist): Ditto.
	(spam-refresh-list-cache): Ditto.
	(spam-address-whitelisted-p): New function.

	* dns.el (query-dns): Use TCP when make-network-process isn't
	available.
	(dns-servers): New variable.
	(dns-parse-resolv-conf): New function.
	(query-dns): Use it.

	* spam.el: New file.

	* dns.el (query-dns): Test.

2002-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* lpath.el (featurep): Bind make-network-process.

2002-03-31  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el: Use defstruct.  Use a single copy of
	nnmail-extra-headers to save memory.  Store server's group name
	prefix instead of each group's prefixed name.
	* nnnil.el (nnnil-retrieve-headers, nnnil-request-list): Erase
	nntp-server-buffer.

2002-03-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dns.el: New file.

2002-03-28  Simon Josefsson  <jas@extundo.com>

	* gnus-sum.el (gnus-summary-dummy-line-format):
	* gnus.el (gnus-summary-line-format): Fixing links to Info.
	Trivial change from Bj,Avrn Torkelsson <torkel@pdc.kth.se>.

2002-03-29  Kai Gro,b_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* gnus-sum.el (gnus-summary-move-article)
	(gnus-summary-copy-article): Mention `gnus-move-split-methods' in
	the doc string.

2002-03-28  Simon Josefsson  <jas@extundo.com>

	* mml-sec.el (mml-secure-message): Search after
	mail-header-separator from top of message.

2002-03-28  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el: Cosmetic changes.
	(nnmaildir--with-nntp-buffer, nnmaildir--with-work-buffer,
	nnmaildir--with-nov-buffer, nnmaildir--with-move-buffer,
	nnmaildir--group-ls): New macros/functions.  Use them.
	(nnmaildir--unlink): Evalutate argument only once.

2002-03-27  Jesper Harder  <harder@ifa.au.dk>

	* gnus-sum.el (gnus-summary-highlight): Use `eq' when comparing
	symbols.
	(gnus-summary-highlight-line): Use `gnus-point-at-bol' and
	`gnus-point-at-eol'.

2002-03-27  Paul Jarc  <prj@po.cwru.edu>

	* nnmaildir.el (nnmaildir--subdir, nnmaildir--nov-dir,
	nnmaildir--marks-dir): New macros.  Use them.
	Use inhibit-quit for atomicity instead of in-memory journaling.
	(nnmaildir--edit-prep): New function.
	(Local Variables): Use it.

2002-03-26  Pavel@Janik.cz (Pavel Jan,Amk)

	* gnus-sum.el (gnus-summary-make-menu-bar): Fix typo.

2002-03-25  Simon Josefsson  <jas@extundo.com>

	* message.el (message-mode): Fix doc.

2002-03-25  Simon Josefsson  <jas@extundo.com>

	* message.el (message-subject-re-regexp): Skip Re[42]: junk.  From
	Matthieu Moy <Matthieu.Moy@imag.fr>.

2002-03-24  Jesper Harder  <harder@ifa.au.dk>

	* mml-sec.el (mml-unsecure-message): Add docstring.

2002-03-23  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* nnmail.el (nnmail-large-newsgroup): Fix doc, allow non-numeric
	value.
	Trivial change from andre@slamdunknetworks.com

2002-03-22  Josh Huber  <huber@alum.wpi.edu>

	* mml.el (mml-mode-map): Added a keybinding for
	`mml-unsecure-message'.  Also, added a menu entry for said
	function in the Attachments menu.

2002-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el (canlock-version): Remove.
	(canlock-sha1-with-openssl): Don't use `canlock-string-as-unibyte'
	here; simplify \x insertions.
	(canlock-sha1): New function, always return a unibyte string.
	(canlock-make-cancel-key): Use `canlock-sha1'; simplify truncation
	of a password.
	(canlock-insert-header): Use `canlock-sha1'.
	(canlock-verify): Ditto.

2002-03-21  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* message.el (message-fix-before-sending): Add an option that
	ignores illegible text.
	Trivial change from Mark Milhollan <mlm@attglobal.net>

	* message.el (message-font-lock-keywords): Support multi-line MML
	tags.

	* gnus-sum.el (gnus-print-buffer): Remove gnus-decoration.
	Trivial change from lorentey@elte.hu (L,Burentey K,Aaroly)

2002-03-20  Katsumi Yamaoka  <yamaoka@jpl.org>

